| package |
package := Package name: 'Comet-Dolphin-Core'.
package paxVersion: 1;
	basicComment: ''.

package basicPackageVersion: '6'.


package methodNames
	add: #GRDolphinPlatform -> #cometForkProcessDo:;
	add: #GRDolphinPlatform -> #cometWait;
	add: 'GRPackage class' -> #cometDolphinCore;
	yourself.

package binaryGlobalNames: (Set new
	yourself).

package globalAliases: (Set new
	yourself).

package setPrerequisites: (IdentitySet new
	add: '..\..\Object Arts\Dolphin\Base\Dolphin';
	add: '..\Grease\Grease-Core';
	add: '..\Grease\Grease-Dolphin-Core';
	yourself).

package!

"Class Definitions"!


"Global Aliases"!


"Loose Methods"!

!GRDolphinPlatform methodsFor!

cometForkProcessDo: aBlock
	^(aBlock forkAt: Processor systemBackgroundPriority) name: 'ping'!

cometWait
	(Delay forSeconds: 15) wait! !
!GRDolphinPlatform categoriesFor: #cometForkProcessDo:!public! !
!GRDolphinPlatform categoriesFor: #cometWait!public! !

!GRPackage class methodsFor!

cometDolphinCore
	^(self new)
		name: 'Comet-Dolphin-Core';
		addDependency: 'Comet-Core';
		url: #seasideUrl;
		yourself! !
!GRPackage class categoriesFor: #cometDolphinCore!*comet-pharo-core!public! !

"End of package definition"!

"Source Globals"!

"Classes"!

"Binary Globals"!

