| package |
package := Package name: 'Seaside-Pharo-Canvas'.
package paxVersion: 1;
	basicComment: ''.

package basicPackageVersion: '3'.


package methodNames
	add: #WAHtmlCanvas -> #imageForm:;
	add: #WAImageButtonTag -> #form:;
	add: #WAImageTag -> #form:;
	add: 'GRPackage class' -> #seasidePharoCanvas;
	yourself.

package binaryGlobalNames: (Set new
	yourself).

package globalAliases: (Set new
	yourself).

package setPrerequisites: (IdentitySet new
	add: '..\Grease\Grease-Core';
	add: 'Seaside-Canvas';
	yourself).

package!

"Class Definitions"!


"Global Aliases"!


"Loose Methods"!

!GRPackage class methodsFor!

seasidePharoCanvas
	^ self new
		name: 'Seaside-Pharo-Canvas';
		addDependency: 'Seaside-Canvas';
		addDependency: 'Seaside-Pharo-Core';
		url: #seasideUrl;
		yourself! !
!GRPackage class categoriesFor: #seasidePharoCanvas!*seaside-pharo-canvas!public! !

!WAHtmlCanvas methodsFor!

imageForm: aForm 
	self 
		greaseDeprecatedApi: 'WAHtmlCanvas>>#imageForm:'
		details: 'Use WAImageTag>>form:. For example: "html image form: myForm".'.
	self image form: aForm! !
!WAHtmlCanvas categoriesFor: #imageForm:!*seaside-pharo-canvas!public! !

!WAImageButtonTag methodsFor!

form: aForm
	self extent: aForm extent.
	self document: aForm! !
!WAImageButtonTag categoriesFor: #form:!*seaside-pharo-canvas!public! !

!WAImageTag methodsFor!

form: aForm
	self document: aForm! !
!WAImageTag categoriesFor: #form:!*seaside-pharo-canvas!public! !

"End of package definition"!

"Source Globals"!

"Classes"!

"Binary Globals"!

