| package |
package := Package name: 'Seaside-Tests-Examples'.
package paxVersion: 1;
	basicComment: ''.

package basicPackageVersion: '9'.


package classNames
	add: #WAExamplesDefaultHandlersTest;
	yourself.

package methodNames
	add: 'GRPackage class' -> #seasideTestsExamples;
	yourself.

package binaryGlobalNames: (Set new
	yourself).

package globalAliases: (Set new
	yourself).

package setPrerequisites: (IdentitySet new
	add: '..\Grease\Grease-Core';
	add: 'Seaside-Core';
	add: 'Seaside-Session';
	add: 'Seaside-Tests-Environment';
	yourself).

package!

"Class Definitions"!

WAEnvironmentDefaultHandlersTest subclass: #WAExamplesDefaultHandlersTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!

"Global Aliases"!


"Loose Methods"!

!GRPackage class methodsFor!

seasideTestsExamples
	^ self new
		name: 'Seaside-Tests-Examples';
		description: 'Unit tests for Seaside-Examples.';
		addDependency: 'Seaside-Examples';
		addDependency: 'Seaside-Tests-Environment';
		url: #seasideUrl;
		yourself! !
!GRPackage class categoriesFor: #seasideTestsExamples!*seaside-tests-examples!public! !

"End of package definition"!

"Source Globals"!

"Classes"!

WAExamplesDefaultHandlersTest guid: (GUID fromString: '{E7F3065D-E400-4551-984E-6225FAD62267}')!
WAExamplesDefaultHandlersTest comment: ''!
!WAExamplesDefaultHandlersTest categoriesForClass!Unclassified! !
!WAExamplesDefaultHandlersTest methodsFor!

testDefaultCounterDirect
	| app |
	app := self defaultDispatcher entryPointAt: 'examples/counter'.
	self assert: app class == WAApplication.
	self assert: app isApplication.
	self deny: app isDispatcher.
	self deny: app parent isNil.
	self assert: app name = 'counter'.
	self assert: app parent name = 'examples'.
	self assert: app url pathString = '/examples/counter'!

testDefaultCounterNavigate
	| app |
	app := self defaultDispatcher entryPointAt: 'examples'.
	self assert: app class == WADispatcher.
	self assert: app isDispatcher.
	self deny: app isRoot.
	self deny: app isApplication.
	self deny: app parent isNil.
	self assert: app name = 'examples'.
	self assert: app url pathString = '/examples'.
	app := app entryPointAt: 'counter'.
	self assert: app class == WAApplication.
	self assert: app isApplication.
	self deny: app isDispatcher.
	self deny: app parent isNil.
	self assert: app name = 'counter'.
	self assert: app parent name = 'examples'.
	self assert: app url pathString = '/examples/counter'! !
!WAExamplesDefaultHandlersTest categoriesFor: #testDefaultCounterDirect!public!tests! !
!WAExamplesDefaultHandlersTest categoriesFor: #testDefaultCounterNavigate!public!tests! !

"Binary Globals"!

