| package |
package := Package name: 'Grease-Tests-Core'.
package paxVersion: 1;
	basicComment: ''.

package basicPackageVersion: '59'.


package classNames
	add: #GRAbstractDictionaryTest;
	add: #GRAbstractSequenceableCollectionTest;
	add: #GRArrayTest;
	add: #GRBagTest;
	add: #GRCodecTest;
	add: #GRCollectionTest;
	add: #GRDelayedSendTest;
	add: #GRDictionaryTest;
	add: #GRDurationTest;
	add: #GRErrorStub;
	add: #GRExceptionTest;
	add: #GRIdentityDictionaryTest;
	add: #GRIntervalTest;
	add: #GRNotificationStub;
	add: #GRNullCodecStreamTest;
	add: #GRNumberTest;
	add: #GRObjectStub;
	add: #GRObjectTest;
	add: #GROrderedCollectionTest;
	add: #GROrderedMultiMapTest;
	add: #GRPackageTest;
	add: #GRPlatformTest;
	add: #GRPrinterTest;
	add: #GRSetTest;
	add: #GRSmallDictionaryTest;
	add: #GRSortedCollectionTest;
	add: #GRStringTest;
	add: #GRSymbolTest;
	add: #GRUtf8CodecTest;
	add: #GRVersionTest;
	yourself.

package methodNames
	add: 'GRPackage class' -> #greaseTestsCore;
	yourself.

package binaryGlobalNames: (Set new
	yourself).

package globalAliases: (Set new
	yourself).

package setPrerequisites: (IdentitySet new
	add: '..\..\Object Arts\Dolphin\Base\Dolphin';
	add: 'Grease-Core';
	add: '..\..\IDB\IDB DateAndTime';
	add: '..\..\IDB\IDB Duration';
	add: '..\..\Camp Smalltalk\SUnit\SUnit';
	yourself).

package!

"Class Definitions"!

GRError subclass: #GRErrorStub
	instanceVariableNames: 'foo'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
GRNotification subclass: #GRNotificationStub
	instanceVariableNames: 'foo'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
GRObject subclass: #GRObjectStub
	instanceVariableNames: 'foo'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
TestCase subclass: #GRCodecTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
TestCase subclass: #GRCollectionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
TestCase subclass: #GRDelayedSendTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
TestCase subclass: #GRDurationTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
TestCase subclass: #GRExceptionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
TestCase subclass: #GRNullCodecStreamTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
TestCase subclass: #GRNumberTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
TestCase subclass: #GRObjectTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
TestCase subclass: #GRPackageTest
	instanceVariableNames: 'package'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
TestCase subclass: #GRPlatformTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
TestCase subclass: #GRPrinterTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
TestCase subclass: #GRSmallDictionaryTest
	instanceVariableNames: 'collection'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
TestCase subclass: #GRUtf8CodecTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
TestCase subclass: #GRVersionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
GRCollectionTest subclass: #GRAbstractDictionaryTest
	instanceVariableNames: 'associations'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
GRCollectionTest subclass: #GRAbstractSequenceableCollectionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
GRCollectionTest subclass: #GRBagTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
GRCollectionTest subclass: #GRSetTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
GRAbstractDictionaryTest subclass: #GRDictionaryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
GRAbstractDictionaryTest subclass: #GRIdentityDictionaryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
GRAbstractSequenceableCollectionTest subclass: #GRArrayTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
GRAbstractSequenceableCollectionTest subclass: #GRIntervalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
GRAbstractSequenceableCollectionTest subclass: #GROrderedCollectionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
GRAbstractSequenceableCollectionTest subclass: #GRSortedCollectionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
GRAbstractSequenceableCollectionTest subclass: #GRStringTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
GRAbstractSequenceableCollectionTest subclass: #GRSymbolTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
GRSmallDictionaryTest subclass: #GROrderedMultiMapTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!

"Global Aliases"!


"Loose Methods"!

!GRPackage class methodsFor!

greaseTestsCore
	^ self new
		name: 'Grease-Tests-Core';
		description: 'Unit tests for the package Grease-Core.';
		addDependency: 'Grease-Core';
		url: #seasideUrl;
		yourself! !
!GRPackage class categoriesFor: #greaseTestsCore!*grease-tests-core!public! !

"End of package definition"!

"Source Globals"!

"Classes"!

GRErrorStub guid: (GUID fromString: '{028F1687-95A3-44CC-BBB0-BF2FBC02961D}')!
GRErrorStub comment: ''!
!GRErrorStub categoriesForClass!Unclassified! !
!GRErrorStub methodsFor!

foo
	^ foo!

initialize
	super initialize.
	foo := true! !
!GRErrorStub categoriesFor: #foo!accessing!public! !
!GRErrorStub categoriesFor: #initialize!initialization!public! !

GRNotificationStub guid: (GUID fromString: '{88093008-AB86-425A-8D81-AFCF5897051B}')!
GRNotificationStub comment: ''!
!GRNotificationStub categoriesForClass!Unclassified! !
!GRNotificationStub methodsFor!

defaultAction
	^ #returnValue!

foo
	^ foo!

initialize
	super initialize.
	foo := true! !
!GRNotificationStub categoriesFor: #defaultAction!accessing!public! !
!GRNotificationStub categoriesFor: #foo!accessing!public! !
!GRNotificationStub categoriesFor: #initialize!initialization!public! !

GRObjectStub guid: (GUID fromString: '{A078BB6F-56EA-42CA-A517-A49B58144867}')!
GRObjectStub comment: ''!
!GRObjectStub categoriesForClass!Unclassified! !
!GRObjectStub methodsFor!

foo
	^ foo!

initialize
	super initialize.
	foo := true! !
!GRObjectStub categoriesFor: #foo!accessing!public! !
!GRObjectStub categoriesFor: #initialize!initialization!public! !

GRCodecTest guid: (GUID fromString: '{02CC226E-2D54-49B2-87A0-97DAC9F076B3}')!
GRCodecTest comment: ''!
!GRCodecTest categoriesForClass!Unclassified! !
!GRCodecTest methodsFor!

asString: aCollectionOfIntegers
	^String streamContents: [ :stream |
		aCollectionOfIntegers do: [ :each |
			stream nextPut: (Character codePoint: each) ] ]!

decodedString
	^'brstrg'!

latin1String
	^ self asString: #(220 98 232 114 115 116 114 238 241 103 233)!

macromanString
	^ self asString: #(134 98 143 114 115 116 114 148 150 103 142)!

seasideByteArray
	^ #(83 101 97 115 105 100 101) "Seaside" asByteArray!

testAllCodecs
	self assert: GRCodec allCodecs notEmpty.
	GRCodec allCodecs do: 
		[ :codec | 
		self deny: codec class = GRCodec.
		self assert: (codec isKindOf: GRCodec) ]!

testCodecLatin1
	#('iso-8859-1' 'ISO-8859-1' ) do:  [ :each | 
		| codec |
		codec := GRCodec forEncoding: each.
		self assert: codec name = each.
		self assert: codec url name = each.
		
		"Dialects may not guarantee anything about the comparability of
		 encoded strings.  Convert to Strings for simplicity."
		self assert: (codec encode: self decodedString) greaseString = self latin1String greaseString.
		self assert: (codec url encode: self decodedString) greaseString = self latin1String greaseString.
		self assert: (codec decode: self latin1String) = self decodedString.
		self assert: (codec url decode: self latin1String) = self decodedString ]!

testNext
	#('iso-8859-1' 'ISO-8859-1' ) do:  [ :each | 
		| stream |
		stream := (GRCodec forEncoding: each)
			encoderFor: self seasideByteArray readStream.
		self assert: stream next = $S.
		self assert: (stream next: 1) = 'e' ]!

testNullCodec
	| codec strings |
	codec := GRNullCodec new.
	strings := OrderedCollection new
		add: self latin1String;
		add: self utf8String;
		add: self utf16leString;
		add: self utf16beString;
		add: self macromanString;
		yourself.
	strings do:  [ :string | 
		self assert: (codec encode: string) = string.
		self assert: (codec url encode: string) = string.
		self assert: (codec decode: string) = string.
		self assert: (codec url decode: string) = string ].!

utf16beString
	^ self asString: #(0 220 0 98 0 232 0 114 0 115 0 116 0 114 0 238 0 241 0 103 0 233)!

utf16leString
	^ self asString: #(220 0 98 0 232 0 114 0 115 0 116 0 114 0 238 0 241 0 103 0 233 0)!

utf8String
	^ self asString: #(195 156 98 195 168 114 115 116 114 195 174 195 177 103 195 169)! !
!GRCodecTest categoriesFor: #asString:!private! !
!GRCodecTest categoriesFor: #decodedString!accessing!public! !
!GRCodecTest categoriesFor: #latin1String!accessing!public! !
!GRCodecTest categoriesFor: #macromanString!accessing!public! !
!GRCodecTest categoriesFor: #seasideByteArray!private! !
!GRCodecTest categoriesFor: #testAllCodecs!public!tests! !
!GRCodecTest categoriesFor: #testCodecLatin1!public!tests! !
!GRCodecTest categoriesFor: #testNext!public!tests! !
!GRCodecTest categoriesFor: #testNullCodec!public!tests! !
!GRCodecTest categoriesFor: #utf16beString!accessing!public! !
!GRCodecTest categoriesFor: #utf16leString!accessing!public! !
!GRCodecTest categoriesFor: #utf8String!accessing!public! !

GRCollectionTest guid: (GUID fromString: '{BBE43737-FBAD-43F9-AA52-486629922B1E}')!
GRCollectionTest comment: ''!
!GRCollectionTest categoriesForClass!Unclassified! !
!GRCollectionTest methodsFor!

allowsDuplicateValues
	"Does the tested collection allow storage of duplicate (equal) values."

	self subclassResponsibility!

arbitraryCollection
	"An general collection for testing. It should meet the needs of #duplicateElement,
	#excludedElement, #includedElement, and so on where appropriate.  Make sure the
	duplicated element doesn't end up being in the first or last position both before
	and after sorting."
	
	^ self collectionClass withAll: #(4 3 1 2 3 5)!

assert: aCollection sortedWith: sortBlock
	"Assert that aCollection is correctly sorted according to sortBlock."

	1 to: aCollection size -1 do: [ :index |
		| a b |
		a := aCollection at: index.
		b := aCollection at: index + 1.
		self assert: ((sortBlock value: a value: b) or: [ (sortBlock value: b value: a) not ]) ]!

assert: responseCollection validSequencedNewResponseFrom: receiverCollection
	"Assert that the returned object is, in fact a new object, and that it is
	of a valid response class for the tested collection."
	
	self deny: responseCollection == receiverCollection.
	self assert: (self isValidNewSequencedResponseClass: responseCollection class)!

collectionClass
	"Answer the collection class that is being tested."

	self subclassResponsibility!

duplicateElement
	"Answer an element that appears multiple times in #arbitraryCollection."

	^ 3!

emptyCollection
	"Answer an empty collection."

	^ self collectionClass new!

excludedElement
	"Answer an element that does not appear in #arbitraryCollection."

	^ 19!

includedElement
	"Answer a (non-duplicate) element that does appear in #arbitraryCollection."

	^ 2!

isExtensible
	"Answer whether the tested Collection implements the <extensibleCollection>
	protocol as defined in ANSI 5.7.5	."
		
	self subclassResponsibility!

isInitializable
	"Answer whether the tested Collection implements the <initializableCollection factory>
	protocol as defined in ANSI 5.7.23."
	
	self subclassResponsibility!

isValidNewSequencedResponseClass: aClass
	"Answer whether aClass is a valid return type for methods that return a new sequenced
	collection. These are methods such as #copyFrom:to: or #reverse, which are
	defined by ANSI for most classes to return the same class as the receiver.
	However, for Interval (and maybe other cases), ANSI specifies that the response
	may be any <sequencedReadableCollection>."
	
	^ aClass == self collectionClass or: [
		aClass allSuperclasses includes: SequenceableCollection ]!

testAny
	| collection |
	collection := self arbitraryCollection.
	
	self assert: ((self valuesOf: collection) includes: collection any)!

testEmptyAny
	| collection |
	collection := self emptyCollection.
	
	self should: [ (self valuesOf: collection) includes: collection any ] raise: Error!

testIsCollection
	self assert: self arbitraryCollection isCollection!

testNoneSatisfy
	| excluded included |
	excluded := self excludedElement.
	self assert: ( self arbitraryCollection noneSatisfy: [ :each | each = excluded ] ).
	included := self includedElement.
	self deny: ( self arbitraryCollection noneSatisfy: [ :each | each = included ] ).
	self assert: ( self emptyCollection noneSatisfy: [:each | true ])!

testNotEmpty
	
	self assert: self arbitraryCollection notEmpty.
	self deny:  self emptyCollection notEmpty.
	self assert: self arbitraryCollection notEmpty.
	self deny:  self emptyCollection notEmpty!

testSorted
	| sorted collection |
	collection := self arbitraryCollection.
	sorted := collection sorted.
	self assert: sorted validSequencedNewResponseFrom: collection.
	self assert: sorted sortedWith: [ :a :b | a <= b ].
	
	sorted := collection sorted: [ :a :b | a > b ].
	self assert: sorted validSequencedNewResponseFrom: collection.
	self assert: sorted sortedWith: [ :a :b | a > b ].!

valuesOf: aCollection
	"Answer the values of aCollecion. Dictionary tests override this."
	
	^ aCollection! !
!GRCollectionTest categoriesFor: #allowsDuplicateValues!configuration!public! !
!GRCollectionTest categoriesFor: #arbitraryCollection!configuration!public! !
!GRCollectionTest categoriesFor: #assert:sortedWith:!asserting!public! !
!GRCollectionTest categoriesFor: #assert:validSequencedNewResponseFrom:!asserting!public! !
!GRCollectionTest categoriesFor: #collectionClass!configuration!public! !
!GRCollectionTest categoriesFor: #duplicateElement!configuration!public! !
!GRCollectionTest categoriesFor: #emptyCollection!configuration!public! !
!GRCollectionTest categoriesFor: #excludedElement!configuration!public! !
!GRCollectionTest categoriesFor: #includedElement!configuration!public! !
!GRCollectionTest categoriesFor: #isExtensible!public!testing-ansi! !
!GRCollectionTest categoriesFor: #isInitializable!public!testing-ansi! !
!GRCollectionTest categoriesFor: #isValidNewSequencedResponseClass:!configuration!public! !
!GRCollectionTest categoriesFor: #testAny!public!tests! !
!GRCollectionTest categoriesFor: #testEmptyAny!public!tests! !
!GRCollectionTest categoriesFor: #testIsCollection!public!tests! !
!GRCollectionTest categoriesFor: #testNoneSatisfy!public!tests! !
!GRCollectionTest categoriesFor: #testNotEmpty!public!tests! !
!GRCollectionTest categoriesFor: #testSorted!public!tests! !
!GRCollectionTest categoriesFor: #valuesOf:!private! !

!GRCollectionTest class methodsFor!

isAbstract
	^ self name = #GRCollectionTest! !
!GRCollectionTest class categoriesFor: #isAbstract!public!testing! !

GRDelayedSendTest guid: (GUID fromString: '{BA7A0C49-BDA9-4203-B188-BE2E353BA1BA}')!
GRDelayedSendTest comment: ''!
!GRDelayedSendTest categoriesForClass!Unclassified! !
!GRDelayedSendTest methodsFor!

testArgumentCount
	" unary "
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #negated.
	self assert: send argumentCount = 0.
	send := GRDelayedSend 
		receiver: 1
		selector: #negated
		arguments: #().
	self assert: send argumentCount = 0.

	" binary "
	send := GRDelayedSend 
		receiver: 1
		selector: #+.
	self assert: send argumentCount = 1.
	send := GRDelayedSend 
		receiver: 1
		selector: #+
		argument: 2.
	self assert: send argumentCount = 0.

	" keyword "
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:.
	self assert: send argumentCount = 2.
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		argument: 2.
	self assert: send argumentCount = 1.
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		arguments: (Array 
				with: 2
				with: 3).
	self assert: send argumentCount = 0!

testFixCallbackTemps
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #+.
	self assert: send fixCallbackTemps == send.
	send := GRDelayedSend 
		receiver: 1
		selector: #+
		argument: 2.
	self assert: send fixCallbackTemps == send!

testValueBinary
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #+.
	self 
		should: [ send value ]
		raise: GRInvalidArgumentCount.
	send := GRDelayedSend 
		receiver: 1
		selector: #+
		argument: 2.
	self assert: send value = 3!

testValueKeyword
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:.
	self 
		should: [ send value ]
		raise: GRInvalidArgumentCount.
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		argument: 2.
	self 
		should: [ send value ]
		raise: GRInvalidArgumentCount.
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		arguments: (Array 
				with: 2
				with: 3).
	self deny: send value!

testValueUnary
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #negated.
	self assert: send value = -1.
	send := GRDelayedSend 
		receiver: 1
		selector: #negated
		arguments: #().
	self assert: send value = -1!

testValueValueBinary
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #+.
	self 
		should: 
			[ send 
				value: 2
				value: 3 ]
		raise: GRInvalidArgumentCount.
	send := GRDelayedSend 
		receiver: 1
		selector: #+
		argument: 2.
	self 
		should: 
			[ send 
				value: 2
				value: 3 ]
		raise: GRInvalidArgumentCount!

testValueValueKeyword
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:.
	self deny: (send 
			value: 2
			value: 3).
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		argument: 2.
	self 
		should: 
			[ send 
				value: 4
				value: 5 ]
		raise: GRInvalidArgumentCount.
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		arguments: (Array 
				with: 2
				with: 3).
	self 
		should: 
			[ send 
				value: 4
				value: 5 ]
		raise: GRInvalidArgumentCount!

testValueValueUnary
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #negated.
	self 
		should: 
			[ send 
				value: 2
				value: 3 ]
		raise: GRInvalidArgumentCount.
	send := GRDelayedSend 
		receiver: 1
		selector: #negated
		arguments: #().
	self 
		should: 
			[ send 
				value: 2
				value: 3 ]
		raise: GRInvalidArgumentCount!

testValueWithArgumentBinary
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #+.
	self assert: (send value: 2) = 3.
	send := GRDelayedSend 
		receiver: 1
		selector: #+
		argument: 2.
	self 
		should: [ send value: 2 ]
		raise: GRInvalidArgumentCount!

testValueWithArgumentKeyword
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:.
	self 
		should: [ send value: 2 ]
		raise: GRInvalidArgumentCount.
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		argument: 2.
	self deny: (send value: 3).
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		arguments: #(2 3 ).
	self 
		should: [ send value: 4 ]
		raise: GRInvalidArgumentCount!

testValueWithArgumentsBinary
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #+.
	self 
		should: [ send valueWithArguments: #(2 3 ) ]
		raise: GRInvalidArgumentCount.
	send := GRDelayedSend 
		receiver: 1
		selector: #+
		argument: 2.
	self 
		should: [ send valueWithArguments: #(3 4 ) ]
		raise: GRInvalidArgumentCount!

testValueWithArgumentsKeyword
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:.
	self deny: (send valueWithArguments: #(2 3 )).
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		argument: 2.
	self 
		should: [ send valueWithArguments: #(3 4 ) ]
		raise: GRInvalidArgumentCount.
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		arguments: #(2 3 ).
	self 
		should: [ send valueWithArguments: #(4 5 ) ]
		raise: GRInvalidArgumentCount!

testValueWithArgumentsUnary
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #negated.
	self 
		should: [ send valueWithArguments: #(2 3 ) ]
		raise: GRInvalidArgumentCount.
	send := GRDelayedSend 
		receiver: 1
		selector: #negated
		arguments: #().
	self 
		should: [ send valueWithArguments: #(2 3 ) ]
		raise: GRInvalidArgumentCount!

testValueWithArgumentUnary
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #negated.
	self 
		should: [ send value: 2 ]
		raise: GRInvalidArgumentCount.
	send := GRDelayedSend 
		receiver: 1
		selector: #negated
		arguments: #().
	self 
		should: [ send value: 2 ]
		raise: GRInvalidArgumentCount!

testValueWithPossibleArgumentsBinary
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #+.
	self 
		should: [ send valueWithPossibleArguments: #() ]
		raise: GRInvalidArgumentCount.
	send := GRDelayedSend 
		receiver: 1
		selector: #+
		argument: 2.
	self assert: (send valueWithPossibleArguments: #()) = 3.
	send := GRDelayedSend 
		receiver: 1
		selector: #+.
	self assert: (send valueWithPossibleArguments: #(2 )) = 3.
	send := GRDelayedSend 
		receiver: 1
		selector: #+
		argument: 2.
	self assert: (send valueWithPossibleArguments: #(3 )) = 3.
	send := GRDelayedSend 
		receiver: 1
		selector: #+.
	self assert: (send valueWithPossibleArguments: #(2 3 )) = 3.
	send := GRDelayedSend 
		receiver: 1
		selector: #+
		argument: 2.
	self assert: (send valueWithPossibleArguments: #(3 4 )) = 3!

testValueWithPossibleArgumentsKeyword
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:.
	self 
		should: [ send valueWithPossibleArguments: #() ]
		raise: GRInvalidArgumentCount.
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		argument: 2.
	self 
		should: [ send valueWithPossibleArguments: #() ]
		raise: GRInvalidArgumentCount.
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		arguments: (Array 
				with: 2
				with: 3).
	self deny: (send valueWithPossibleArguments: #()).
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:.
	self 
		should: [ send valueWithPossibleArguments: #(2 ) ]
		raise: GRInvalidArgumentCount.
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		argument: 2.
	self deny: (send valueWithPossibleArguments: #(3 )).
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		arguments: (Array 
				with: 2
				with: 3).
	self deny: (send valueWithPossibleArguments: #(4 )).
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:.
	self deny: (send valueWithPossibleArguments: #(2 3 )).
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		argument: 2.
	self deny: (send valueWithPossibleArguments: #(3 4 )).
	send := GRDelayedSend 
		receiver: 1
		selector: #between:and:
		arguments: (Array 
				with: 2
				with: 3).
	self deny: (send valueWithPossibleArguments: #(4 5 ))!

testValueWithPossibleArgumentsUnary
	| send |
	send := GRDelayedSend 
		receiver: 1
		selector: #negated.
	self assert: (send valueWithPossibleArguments: #()) = -1.
	send := GRDelayedSend 
		receiver: 1
		selector: #negated
		arguments: #().
	self assert: (send valueWithPossibleArguments: #()) = -1.
	send := GRDelayedSend 
		receiver: 1
		selector: #negated.
	self assert: (send valueWithPossibleArguments: #(2 )) = -1.
	send := GRDelayedSend 
		receiver: 1
		selector: #negated
		arguments: #().
	self assert: (send valueWithPossibleArguments: #(2 )) = -1.
	send := GRDelayedSend 
		receiver: 1
		selector: #negated.
	self assert: (send valueWithPossibleArguments: #(2 3 )) = -1.
	send := GRDelayedSend 
		receiver: 1
		selector: #negated
		arguments: #().
	self assert: (send valueWithPossibleArguments: #(2 3 )) = -1! !
!GRDelayedSendTest categoriesFor: #testArgumentCount!public!tests-accessing! !
!GRDelayedSendTest categoriesFor: #testFixCallbackTemps!public!tests-evaluating! !
!GRDelayedSendTest categoriesFor: #testValueBinary!public!tests-evaluating! !
!GRDelayedSendTest categoriesFor: #testValueKeyword!public!tests-evaluating! !
!GRDelayedSendTest categoriesFor: #testValueUnary!public!tests-evaluating! !
!GRDelayedSendTest categoriesFor: #testValueValueBinary!public!tests-evaluating! !
!GRDelayedSendTest categoriesFor: #testValueValueKeyword!public!tests-evaluating! !
!GRDelayedSendTest categoriesFor: #testValueValueUnary!public!tests-evaluating! !
!GRDelayedSendTest categoriesFor: #testValueWithArgumentBinary!public!tests-evaluating! !
!GRDelayedSendTest categoriesFor: #testValueWithArgumentKeyword!public!tests-evaluating! !
!GRDelayedSendTest categoriesFor: #testValueWithArgumentsBinary!public!tests-evaluating! !
!GRDelayedSendTest categoriesFor: #testValueWithArgumentsKeyword!public!tests-evaluating! !
!GRDelayedSendTest categoriesFor: #testValueWithArgumentsUnary!public!tests-evaluating! !
!GRDelayedSendTest categoriesFor: #testValueWithArgumentUnary!public!tests-evaluating! !
!GRDelayedSendTest categoriesFor: #testValueWithPossibleArgumentsBinary!public!tests-evaluating! !
!GRDelayedSendTest categoriesFor: #testValueWithPossibleArgumentsKeyword!public!tests-evaluating! !
!GRDelayedSendTest categoriesFor: #testValueWithPossibleArgumentsUnary!public!tests-evaluating! !

GRDurationTest guid: (GUID fromString: '{54681321-1D06-4C05-A584-3A5E5A0BC9B8}')!
GRDurationTest comment: ''!
!GRDurationTest categoriesForClass!Unclassified! !
!GRDurationTest methodsFor!

testAccessors
	| duration |
	duration := Duration seconds: 356521.
	self assert: duration days = 4.
	self assert: duration hours = 3.
	self assert: duration minutes = 2.
	self assert: duration seconds = 1.
	self assert: duration milliseconds = 0.!

testBasicInstanceCreation
	self assert: (Duration days: 1 hours: 1 minutes: 1 seconds: 1) asMilliseconds = 90061000.
	self assert: (Duration weeks: 1) asMilliseconds = 604800000.
	self assert: (Duration days: 1) asMilliseconds = 86400000.
	self assert: (Duration hours: 1) asMilliseconds = 3600000.
	self assert: (Duration minutes: 1) asMilliseconds = 60000.
	self assert: (Duration seconds: 1) asMilliseconds = 1000.
	self assert: (Duration milliseconds: 1) asMilliseconds = 1.!

testConversions
	| duration |
	duration := Duration days: 4 hours: 3 minutes: 2 seconds: 1.
	self assert: duration asSeconds = 356521.
	self assert: duration asMilliseconds = 356521000.
	self assert: duration negated asSeconds = -356521.
	self assert: duration negated asMilliseconds = -356521000.
	!

testIntegerConvenienceMethods
	self assert: 5 weeks = (Duration weeks: 5).
	self assert: 5 days = (Duration days: 5).
	self assert: 5 hours = (Duration hours: 5).
	self assert: 5 minutes = (Duration minutes: 5).
	self assert: 5 seconds = (Duration seconds: 5).
	self assert: 5 milliseconds = (Duration milliseconds: 5).!

testMixedInstanceCreation
	self assert: (Duration days: 1 hours: -23 minutes: 1 seconds: -59) asMilliseconds = 3601000.
!

testNegativeInstanceCreation
	self assert: (Duration days: -1 hours: -1 minutes: -1 seconds: -1) asMilliseconds = -90061000.
	self assert: (Duration weeks: -1) asMilliseconds = -604800000.
	self assert: (Duration days: -1) asMilliseconds = -86400000.
	self assert: (Duration hours: -1) asMilliseconds = -3600000.
	self assert: (Duration minutes: -1) asMilliseconds = -60000.
	self assert: (Duration seconds: -1) asMilliseconds = -1000.
	self assert: (Duration milliseconds: -1) asMilliseconds = -1.!

testPartialSecondsInstanceCreation
	"ANSI 5.8.3.1 and 5.8.3.2 specify that the seconds argument can be any
	Number - not just an integer as is the case for the other arguments."
	self assert: (Duration days: 0 hours: 0 minutes: 0 seconds: 1.5) asMilliseconds = 1500.
	self assert: (Duration days: 0 hours: 0 minutes: 0 seconds: 3/2) asMilliseconds = 1500.
	self assert: (Duration seconds: 1.5) asMilliseconds = 1500.
	self assert: (Duration seconds: 3/2) asMilliseconds = 1500.!

testRolloverInstanceCreation
	self assert: (Duration days: 0 hours: 25 minutes: 61 seconds: 61) asMilliseconds = 93721000.
	self assert: (Duration hours: 25) asMilliseconds = 90000000.
	self assert: (Duration minutes: 61) asMilliseconds = 3660000.
	self assert: (Duration seconds: 61) asMilliseconds = 61000.
	self assert: (Duration milliseconds: 1001) asMilliseconds = 1001.!

testZero
	| duration |
	duration := Duration zero.
	self assert: duration isZero.
	self assert: duration asMilliseconds = 0.
	self assert: duration = (Duration seconds: 0)! !
!GRDurationTest categoriesFor: #testAccessors!public!tests! !
!GRDurationTest categoriesFor: #testBasicInstanceCreation!public!tests! !
!GRDurationTest categoriesFor: #testConversions!public!tests! !
!GRDurationTest categoriesFor: #testIntegerConvenienceMethods!public!testing! !
!GRDurationTest categoriesFor: #testMixedInstanceCreation!public!tests! !
!GRDurationTest categoriesFor: #testNegativeInstanceCreation!public!tests! !
!GRDurationTest categoriesFor: #testPartialSecondsInstanceCreation!public!tests! !
!GRDurationTest categoriesFor: #testRolloverInstanceCreation!public!tests! !
!GRDurationTest categoriesFor: #testZero!public!tests! !

GRExceptionTest guid: (GUID fromString: '{86A904EC-D4B6-4CB2-B858-3F502DCB4DE7}')!
GRExceptionTest comment: ''!
!GRExceptionTest categoriesForClass!Unclassified! !
!GRExceptionTest methodsFor!

onExceptionReturn: anObject
	[ GRError signal ]
		on: GRError
		do: [:ex | ^ anObject ].
	
	^ self!

testDefaultActionResume
	"According to ANSI 5.5.15.2, the result of #defaultAction
	should be used to resume resumable exceptions. Behaviour is undefined
	for non-resumable exceptions so we do not test for that case."
	
	| result |
	result := GRNotificationStub signal.
	self assert: result = #returnValue.!

testDeprecatedApi
	| exception seen |
	exception := seen := nil.
	
	[ self 
		greaseDeprecatedApi: 'GRExceptionTest>>#testDeprecatedApi'
		details: 'Message in a bottle.'.
	seen := true ] 
		on: GRDeprecatedApiNotification
		do: 
			[ :notification | 
			exception := notification.
			exception resume.
			seen := false ].
	self assert: seen.
	self assert: exception notNil.
	self assert: exception messageText = 'GRExceptionTest>>#testDeprecatedApi'.
	self assert: exception details = 'Message in a bottle.'!

testErrorInitialization
	"Make sure #initialize is called on #new and that calling 'super initialize' doesn't error."
	self assert: GRErrorStub new foo!

testIsResumable
	"Make sure the platform class provides #isResumable on Exception.
	This test made a bit more complex by James Foster per issue #259
	for GemStone portability."

	| exception |
	[ Exception signal ]
		on: Exception
		do: [ :ex | 
			exception := ex.
			ex return
	].
	self shouldnt: [ exception isResumable ] raise: MessageNotUnderstood!

testNotificationInitialization
	"Make sure #initialize is called on #new and that calling 'super initialize' doesn't error."
	self assert: GRNotificationStub new foo!

testOnDoImplicitReturn
	"According to ANSI 5.5.15.2, an exception handler block that runs to completion
	should result in the call to #on:do: returning the block's value."
	
	| result |
	result := [ GRErrorStub signal ] on: GRErrorStub do: [ :e | #blockValue ].
	self assert: result = #blockValue.
	
	result := nil.
	result := [ GRNotificationStub signal ] on: GRNotificationStub do: [ :e | #blockValue ].
	self assert: result = #blockValue.!

testOnDoNonLocalReturn
	"You should be able to do a non-local return from within an exception
	handler block. We rely on a helper method here so we can check the return
	value."
	
	self assert: (self onExceptionReturn: 123) == 123!

testSignalError
	"Exception>>signal is part of the ANSI Smalltalk standard. However, Seaside
	only signals subclasses of WAPlatformError and WAPlatformNotification so Smalltalk
	implementations that do not otherwise provide it can implement it on
	these two classes."
	[ GRError new signal ] 
		on: GRError
		do: [ :e | ^ self ].
	self assert: false!

testSignalErrorClassSide
	"Exception class>>signal is part of the ANSI Smalltalk standard. However, Seaside
	only signals subclasses of WAPlatformError and WAPlatformNotification so Smalltalk
	implementations that do not otherwise provide it can implement it on
	these two classes."
	[ GRError signal ] 
		on: GRError
		do: [ :e | ^ self ].
	self assert: false!

testSignalNotification
	"Exception>>signal is part of the ANSI Smalltalk standard. However, Seaside
	only signals subclasses of WAPlatformError and WAPlatformNotification so Smalltalk
	implementations that do not otherwise provide it can implement it on
	these two classes."
	[ GRNotification new signal ] 
		on: GRNotification
		do: [ :e | ^ self ].
	self assert: false!

testSignalNotificationClassSide
	"Exception class>>signal is part of the ANSI Smalltalk standard. However, Seaside
	only signals subclasses of WAPlatformError and WAPlatformNotification so Smalltalk
	implementations that do not otherwise provide it can implement it on
	these two classes."
	[ GRNotification signal ] 
		on: GRNotification
		do: [ :e | ^ self ].
	self assert: false!

testSignalWithError
	"Exception>>signal: is part of the ANSI Smalltalk standard. However, Seaside
	only signals subclasses of WAPlatformError and WAPlatformNotification so Smalltalk
	implementations that do not otherwise provide it can implement it on
	these two classes."
	| text |
	text := 'Error!!'.
	[ GRError new signal: text ] 
		on: GRError
		do: 
			[ :e | 
			self assert: e messageText = text.
			^ self ].
	self assert: false!

testSignalWithErrorClassSide
	"Exception class>>signal: is part of the ANSI Smalltalk standard. However, Seaside
	only signals subclasses of WAPlatformError and WAPlatformNotification so Smalltalk
	implementations that do not otherwise provide it can implement it on
	these two classes."
	| text |
	text := 'Error!!'.
	[ GRError signal: text ] 
		on: GRError
		do: 
			[ :e | 
			self assert: e messageText = text.
			^ self ].
	self assert: false!

testSignalWithNotification
	"Exception>>signal: is part of the ANSI Smalltalk standard. However, Seaside
	only signals subclasses of WAPlatformError and WAPlatformNotification so Smalltalk
	implementations that do not otherwise provide it can implement it on
	these two classes."
	| text |
	text := 'Notification'.
	[ GRNotification new signal: text ] 
		on: GRNotification
		do: 
			[ :e | 
			self assert: e messageText = text.
			^ self ].
	self assert: false!

testSignalWithNotificationClassSide
	"Exception class>>signal: is part of the ANSI Smalltalk standard. However, Seaside
	only signals subclasses of WAPlatformError and WAPlatformNotification so Smalltalk
	implementations that do not otherwise provide it can implement it on
	these two classes."
	| text |
	text := 'Notification'.
	[ GRNotification signal: text ] 
		on: GRNotification
		do: 
			[ :e | 
			self assert: e messageText = text.
			^ self ].
	self assert: false! !
!GRExceptionTest categoriesFor: #onExceptionReturn:!private! !
!GRExceptionTest categoriesFor: #testDefaultActionResume!public!tests! !
!GRExceptionTest categoriesFor: #testDeprecatedApi!public!tests! !
!GRExceptionTest categoriesFor: #testErrorInitialization!public!tests! !
!GRExceptionTest categoriesFor: #testIsResumable!public!tests! !
!GRExceptionTest categoriesFor: #testNotificationInitialization!public!tests! !
!GRExceptionTest categoriesFor: #testOnDoImplicitReturn!public!tests! !
!GRExceptionTest categoriesFor: #testOnDoNonLocalReturn!public!tests! !
!GRExceptionTest categoriesFor: #testSignalError!public!tests! !
!GRExceptionTest categoriesFor: #testSignalErrorClassSide!public!tests! !
!GRExceptionTest categoriesFor: #testSignalNotification!public!tests! !
!GRExceptionTest categoriesFor: #testSignalNotificationClassSide!public!tests! !
!GRExceptionTest categoriesFor: #testSignalWithError!public!tests! !
!GRExceptionTest categoriesFor: #testSignalWithErrorClassSide!public!tests! !
!GRExceptionTest categoriesFor: #testSignalWithNotification!public!tests! !
!GRExceptionTest categoriesFor: #testSignalWithNotificationClassSide!public!tests! !

GRNullCodecStreamTest guid: (GUID fromString: '{42681617-F9FD-463D-8FCC-3DC6C4EA94B2}')!
GRNullCodecStreamTest comment: ''!
!GRNullCodecStreamTest categoriesForClass!Unclassified! !
!GRNullCodecStreamTest methodsFor!

codecStreamClass
	^ GRNullCodecStream!

seasideByteArray
	^ #(83 101 97 115 105 100 101) "Seaside" asByteArray!

testCrlf
	| stream |
	stream := GRNullCodec new 
		encoderFor: (WriteStream on: String new).
	stream crlf.
	
	self assert: stream contents size = 2.
	self assert: stream contents first = Character cr.
	self assert: stream contents last = Character lf!

testFlush
	| stream |
	stream := GRNullCodec new 
		encoderFor: (WriteStream on: String new).
	stream nextPutAll: 'abc'.
	self shouldnt: [ stream flush ] raise: Error.
	self assert: stream contents = 'abc'!

testName
	| codec |
	codec := GRNullCodec new.
	
	self assert: codec name = GRNullCodec codecName!

testNext
	| stream |
	stream := GRNullCodec new
		encoderFor: 'Seaside' readStream.
	self assert: stream next = $S.
	self assert: (stream next: 1) = 'e'!

testReadString
	| stream codecStream |
	stream := 'abc' readStream.
	codecStream := GRNullCodec new decoderFor: stream.
	self assert: codecStream next = $a.
	self assert: (codecStream next: 2) = 'bc'!

testSize
	| stream |
	stream := GRNullCodec new 
		encoderFor: (WriteStream on: String new).
	stream nextPutAll: 'abc'.
	self assert: stream size = 3.
	stream nextPut: $d.
	self assert: stream size = 4!

testSpace
	| stream |
	stream := GRNullCodec new 
		encoderFor: (WriteStream on: String new).
	stream space.
	
	self assert: stream contents size = 1.
	self assert: stream contents first = Character space!

testTab
	| stream |
	stream := GRNullCodec new 
		encoderFor: (WriteStream on: String new).
	stream tab.
	
	self assert: stream contents size = 1.
	self assert: stream contents first = Character tab!

testWriteString
	| stream codecStream |
	stream := WriteStream on: String new.
	codecStream := GRNullCodec new encoderFor: stream.
	codecStream
		nextPut: $A;
		nextPutAll: 'BC';
		nextPut: 68;
		nextPutAll: #(69 70 ) asByteArray.
	self assert: codecStream contents = 'ABCDEF'! !
!GRNullCodecStreamTest categoriesFor: #codecStreamClass!accessing!public! !
!GRNullCodecStreamTest categoriesFor: #seasideByteArray!private! !
!GRNullCodecStreamTest categoriesFor: #testCrlf!public!tests-characters! !
!GRNullCodecStreamTest categoriesFor: #testFlush!public!tests-protocol! !
!GRNullCodecStreamTest categoriesFor: #testName!public!tests-characters! !
!GRNullCodecStreamTest categoriesFor: #testNext!public!tests-protocol! !
!GRNullCodecStreamTest categoriesFor: #testReadString!public!tests! !
!GRNullCodecStreamTest categoriesFor: #testSize!public!tests-protocol! !
!GRNullCodecStreamTest categoriesFor: #testSpace!public!tests-characters! !
!GRNullCodecStreamTest categoriesFor: #testTab!public!tests-characters! !
!GRNullCodecStreamTest categoriesFor: #testWriteString!public!tests! !

GRNumberTest guid: (GUID fromString: '{20ED7BD2-A131-4616-875D-9B64F257638A}')!
GRNumberTest comment: ''!
!GRNumberTest categoriesForClass!Unclassified! !
!GRNumberTest methodsFor!

testBetweenAnd
	self assert: (6 between: 1 and: 12)!

testPluralize
	self assert: (0 pluralize: 'person') = '0 people'.
	self assert: (1 pluralize: 'person') = '1 person'.
	self assert: (2 pluralize: 'person') = '2 people'.
	self assert: (3 pluralize: 'person') = '3 people'.
	
	self assert: (0 pluralize: 'penis') = '0 penises'.
	self assert: (1 pluralize: 'penis') = '1 penis'.
	self assert: (2 pluralize: 'penis') = '2 penises'.
	
	self assert: (0 pluralize: 'person' with: 'members') = '0 members'.
	self assert: (1 pluralize: 'person' with: 'members') = '1 person'.
	self assert: (2 pluralize: 'person' with: 'members') = '2 members'.
	self assert: (3 pluralize: 'person' with: 'members') = '3 members'!

testReadFrom
	"We test #readFrom: as the expected behaviour on all platforms, as we rely on it for WANumberAttribute and WAQualifiedValue"
	
	self assert: (Number readFrom: '123' readStream) = 123.
	
	self assert: (Float readFrom: '123.45' readStream) = 123.45.
	
	self assert:   (Number readFrom: '123.45' readStream) = 123.45!

testTo
	| collection |
	collection := OrderedCollection new.
	(1 to: 5) do: [ :ea | collection add: ea ].
	self assert: collection asArray = #(1 2 3 4 5).
	
	collection := OrderedCollection new.
	(4 to: 4) do: [ :ea | collection add: ea ].
	self assert: collection asArray = #(4).
	
	collection := OrderedCollection new.
	(4 to: 4) do: [ :ea | collection add: ea ].
	self assert: collection asArray = #(4).
	
	collection := OrderedCollection new.
	(5 to: 4) do: [ :ea | collection add: ea ].
	self assert: collection asArray = #().
	
	collection := OrderedCollection new.
	(-3 to: -1.5) do: [ :ea | collection add: ea ].
	self assert: collection asArray = #(-3 -2).
	
	collection := OrderedCollection new.
	(1.5 to: 4) do: [ :ea | collection add: ea ].
	self assert: collection asArray = #(1.5 2.5 3.5).!

testToDo
	| collection |
	collection := OrderedCollection new.
	1 to: 5 do: [ :ea | collection add: ea ].
	self assert: collection asArray = #(1 2 3 4 5).
	
	collection := OrderedCollection new.
	4 to: 4 do: [ :ea | collection add: ea ].
	self assert: collection asArray = #(4).
	
	collection := OrderedCollection new.
	4 to: 4 do: [ :ea | collection add: ea ].
	self assert: collection asArray = #(4).
	
	collection := OrderedCollection new.
	5 to: 4 do: [ :ea | collection add: ea ].
	self assert: collection asArray = #().
	
	collection := OrderedCollection new.
	-3 to: -1.5 do: [ :ea | collection add: ea ].
	self assert: collection asArray = #(-3 -2).
	
	collection := OrderedCollection new.
	1.5 to: 4 do: [ :ea | collection add: ea ].
	self assert: collection asArray = #(1.5 2.5 3.5).!

testToDoClosures
	"#to:do: may be optimized and VAST currently has problems with closures
	in this case. We would prefer to use the optimized version than than
	(1 to: 5) do: [ ... ] so this test is here to hilight the problem at
	least unless the platforms tell us the problem is not fixable."
	
	| collection |
	collection := OrderedCollection new.
	1 to: 5 do: [ :ea | collection add: [ea] fixCallbackTemps ].
	self assert: (collection collect: [ :ea | ea value ]) asArray = #(1 2 3 4 5)! !
!GRNumberTest categoriesFor: #testBetweenAnd!public!tests! !
!GRNumberTest categoriesFor: #testPluralize!public!tests! !
!GRNumberTest categoriesFor: #testReadFrom!public!tests! !
!GRNumberTest categoriesFor: #testTo!public!tests! !
!GRNumberTest categoriesFor: #testToDo!public!tests! !
!GRNumberTest categoriesFor: #testToDoClosures!public!tests! !

GRObjectTest guid: (GUID fromString: '{97E5F6ED-6981-436F-A4F6-020ECDA5C186}')!
GRObjectTest comment: ''!
!GRObjectTest categoriesForClass!Unclassified! !
!GRObjectTest methodsFor!

testError
	"Make sure #error: signals a subclass of WAPlatformError."
	self 
		should: [ GRObject new error: 'oh dear' ]
		raise: GRError.
	self 
		should: [ GRObject error: 'oh dear' ]
		raise: GRError!

testInitialize
	"Make sure #initialize is called on #new and that calling 'super initialize' doesn't error."
	self assert: GRObjectStub new foo! !
!GRObjectTest categoriesFor: #testError!public!tests! !
!GRObjectTest categoriesFor: #testInitialize!public!tests! !

GRPackageTest guid: (GUID fromString: '{43B1F5A1-14F6-4132-A671-8A7FADF00B63}')!
GRPackageTest comment: ''!
!GRPackageTest categoriesForClass!Unclassified! !
!GRPackageTest methodsFor!

setUp
	super setUp.
	package := GRPackage new!

testAllDependencies
	| packages |
	packages := Dictionary new.
	packages 
		at: 'Lust' put: (GRPackage new
			name: 'Lust';
			addDependency: 'Gluttony';
			addDependency: 'Greed';
			yourself);
		at: 'Gluttony' put: (GRPackage new
			name: 'Gluttony';
			addDependency: 'Greed';
			yourself);
		at: 'Greed' put: (GRPackage new
			name: 'Greed';
			yourself).
	packages values 
		do: [ :each | each resolveWith: packages ].
	
	self assert: (packages at: 'Lust') allDependencies size = 3.
	self assert: (packages at: 'Gluttony') allDependencies size = 2.
	self assert: (packages at: 'Greed') allDependencies size = 1.!

testDependencies
	self assert: package dependencies isEmpty.
	package addDependency: 'Lust'.
	package addDependency: 'Envy'.
	self assert: package dependencies size = 2.
	self assert: package dependencies first = 'Lust'.
	self assert: package dependencies last = 'Envy'
	!

testDescription
	self assert: package description isNil.
	package description: 'A hopeless pacakge'.
	self assert: package description = 'A hopeless pacakge'!

testLicense
	self assert: package license = #MIT.
	self assert: package isMIT.
	
	package license: #LGPL.
	self assert: package license = #LGPL.
	self assert: package isLGPL!

testName
	self assert: package name isNil.
	package name: 'Gimme-Hope'.
	self assert: package name = 'Gimme-Hope'!

testPackages
	| packages |
	packages := GRPackage packages.
	self assert: packages notEmpty.
	packages do: [ :each | 
		self assert: each name notEmpty.
		self assert: each license notNil.
		self assert: each url notNil ]!

testUrl
	self assert: package url isNil.
	
	package url: #seasideLGPLUrl.
	self assert: package url = GRPackage new seasideLGPLUrl. 
	
	package url: 'http://www.seaside.st/distributions'.
	self assert: package url = 'http://www.seaside.st/distributions'! !
!GRPackageTest categoriesFor: #setUp!public!running! !
!GRPackageTest categoriesFor: #testAllDependencies!public!tests-dependencies! !
!GRPackageTest categoriesFor: #testDependencies!public!tests-dependencies! !
!GRPackageTest categoriesFor: #testDescription!public!tests! !
!GRPackageTest categoriesFor: #testLicense!public!tests! !
!GRPackageTest categoriesFor: #testName!public!tests! !
!GRPackageTest categoriesFor: #testPackages!public!tests-packages! !
!GRPackageTest categoriesFor: #testUrl!public!tests! !

GRPlatformTest guid: (GUID fromString: '{2FD3DC9B-92B8-4FB5-A6B5-E8B484210C93}')!
GRPlatformTest comment: 'A WAPlatformTest is a test to make sure the platform (= the Smalltalk dialect we are running on) implements the protocol we need for system classes like Collection. An example would be to make sure Collection implements #count: with the sementics we need.'!
!GRPlatformTest categoriesForClass!Unclassified! !
!GRPlatformTest methodsFor!

decodeUtf8Character: aCollectionOfIntegers 
	"Decodes a collection of bytes into a single character. We have this so we can avoid having non-ASCII characters in the source."
	| codec toDecode decoded |
	codec := GRCodec forEncoding: 'utf-8'.
	toDecode := aCollectionOfIntegers asByteArray.
	decoded := codec decode: toDecode.
	self assert: decoded size = 1.
	^ decoded at: 1!

platform
	^ GRPlatform current!

testAsNumber
	self assert: 2007 asNumber = 2007.
	self assert: '2007' asNumber = 2007!

testBlockContextWithPossibleArguments
	| block |
	block := [ :x | 1 + x ].
	self assert: (block valueWithPossibleArguments: (Array with: 2)) = 3.

	block := [ false not ].
	self assert: (block valueWithPossibleArguments: (Array with: 3))!

testBlockValuableProtocol
	self assert: [ nil ] argumentCount isZero.
	self assert: [ :x | x ] argumentCount = 1.
	self assert: [ :a :b | a + b ] argumentCount = 2.
	self 
		shouldnt: [ [ nil ] fixCallbackTemps ]
		raise: Error.
	self 
		shouldnt: [ [ :x | x ] fixCallbackTemps ]
		raise: Error.
	self 
		shouldnt: [ [ :a :b | a + b ] fixCallbackTemps ]
		raise: Error!

testCharacterAsUnicode
	"test for:
	Character >> #asUnicode
		^self asInteger"
	self assert: $S asUnicode = 83!

testCharacterTo
	| actual expected |
	actual := Array withAll: 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789_-'.
	actual := actual collect: [ :each | each greaseInteger ].
	expected := #(
		97
		98
		99
		100
		101
		102
		103
		104
		105
		106
		107
		108
		109
		110
		111
		112
		113
		114
		115
		116
		117
		118
		119
		120
		121
		122
		65
		66
		67
		68
		69
		70
		71
		72
		73
		74
		75
		76
		77
		78
		79
		80
		81
		82
		83
		84
		85
		86
		87
		88
		89
		90
		48
		49
		50
		51
		52
		53
		54
		55
		56
		57
		95
		45
	).
	self assert: actual size = expected size.
	actual 
		with: expected
		do: [ :first :second | self assert: first = second ]!

testConvertToSmalltalkNewlines
	| expected |
	expected := 'a' , GRPlatform current newline , 'b'.
	self assert: (GRPlatform current convertToSmalltalkNewlines: nil) isNil.
	self assert: (GRPlatform current convertToSmalltalkNewlines: '') = ''.
	self assert: (GRPlatform current convertToSmalltalkNewlines: 'abc') = 'abc'.
	self 
		assert: (GRPlatform current convertToSmalltalkNewlines: 'a' , (String with: Character cr with: Character lf) , 'b')
			= expected
		description: 'Multics, Unix and Unix-like systems (GNU/Linux, AIX, Xenix, Mac OS X, FreeBSD, etc.), BeOS, Amiga, RISC OS, and others'.
	self
		assert: (GRPlatform current convertToSmalltalkNewlines: 'a' , (String with: Character lf) , 'b')
			= expected
		description: 'DEC RT-11 and most other early non-Unix, non-IBM OSes, CP/M, MP/M, MS-DOS, OS/2, Microsoft Windows, Symbian OS'.
	self 
		assert: (GRPlatform current convertToSmalltalkNewlines: 'a' , (String with: Character cr) , 'b')
			= expected
		description: 'Commodore 8-bit machines, TRS-80, Apple II family, Mac OS up to version 9 and OS-9'!

testDateArithmetic
	| today tomorrow oneDay minusOneDay |
	today := DateAndTime year: 2008 month: 9 day: 13 hour: 14 minute: 32 second: 05 offset: Duration zero.
	tomorrow := DateAndTime year: 2008 month: 9 day: 14 hour: 14 minute: 32 second: 05 offset: Duration zero.
	oneDay := Duration days: 1 hours: 0 minutes: 0 seconds: 0.
	minusOneDay := Duration days: -1 hours: 0 minutes: 0 seconds: 0.
	self assert: tomorrow - today = oneDay.
	self assert: today - tomorrow = minusOneDay.
	self assert: today + oneDay = tomorrow.
	self assert: tomorrow - oneDay = today.
	self assert: tomorrow + minusOneDay = today.
	self assert: today - minusOneDay = tomorrow!

testDaysInMonthForYear
	(1 to: 12) with: #(31 28 31 30 31 30 31 31 30 31 30 31) do: [ :month :days |
		self assert: days = (Date daysInMonth: (Date nameOfMonth: month) forYear: 2007) ]!

testDigitValue
	'0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ' 
		with: (0 to: 35)
		do: [ :each :expected | self assert: each digitValue = expected ]!

testEmptyOrNil
	self assert: '' isEmptyOrNil.
	self assert: nil isEmptyOrNil.
	self assert: Array new isEmptyOrNil.
	self deny: 'Timberwolf' isEmptyOrNil!

testFixCallbackTemps
	"Make sure that #fixCallbackTemps is properly understood by block-contexts. Make sure that this is either a nop for Smalltalks with true block closures, or it properly fixes the context otherwise."

	| array blocks values |
	array := #(1 2 3).
	blocks := array collect: [ :each | [ each ] fixCallbackTemps ].
	values := blocks collect: [ :each | each value ].
	self assert: values = array!

testGreaseIntegerOnCharacter
	"ASCII (1 byte)"
	| oWithStroke euro manna |
	self assert: $a greaseInteger = 97.
	self assert: $A greaseInteger = 65.

	"Latin-1 (2 byte)"
	oWithStroke := self decodeUtf8Character: #(195 152 ).
	self assert: oWithStroke greaseInteger = 216.

	"BMP (3 byte)"
	euro := self decodeUtf8Character: #(226 130 172 ).
	self assert: euro greaseInteger = 8364.

	"SMP (4 byte)"
	manna := self decodeUtf8Character: #(240 144 140 188 ).
	self assert: manna greaseInteger = 66364!

testGreaseIntegerOnNumber
	self assert: 2007 greaseInteger = 2007.
	self assert: 2007.0 greaseInteger = 2007.
	self assert: 2007.1 greaseInteger = 2007.
	self assert: 2007.9 greaseInteger = 2007!

testGreaseIntegerOnString
	self assert: '' greaseInteger isNil.
	self assert: 'a' greaseInteger isNil.
	self assert: ' 1' greaseInteger isNil.
	self assert: 'a1' greaseInteger isNil.
	self assert: '-' greaseInteger isNil.
	self assert: '-a' greaseInteger isNil.
	self assert: '0' greaseInteger = 0.
	self assert: '12' greaseInteger = 12.
	self assert: '123' greaseInteger = 123.
	self assert: '123456789' greaseInteger = 123456789.
	self assert: '-0' greaseInteger = 0.
	self assert: '-12' greaseInteger = -12.
	self assert: '-123.4' greaseInteger = -123.
	self assert: '-123456789' greaseInteger = -123456789!

testGreaseString
	self assert: 'Timberwolf' greaseString = 'Timberwolf'.
	self assert: #DireWolf greaseString = 'DireWolf'.
	self assert: true greaseString = 'true'.
	self assert: 666 greaseString = '666'.
	self assert: $A greaseString = 'A'.
	self assert: nil greaseString = 'nil'.
	[ 1 / 0 ] 
		on: ZeroDivide
		do: [ :error | self assert: error greaseString isString ].
	self assert: 15.25 greaseString = '15.25'.
	self assert: nil greaseString isString.
	self assert: (4 @ 2) greaseString = '4@2'.
	"#seasideString for a byte array should not do any decoding
	this is in place to catch encoding errors early"
	self assert: #(101 97 ) asByteArray greaseString ~= 'ea'.
	self assert: #(101 97 ) asByteArray greaseString isString.
	self assert: Object new greaseString isString!

testIfNil
	self assert: (nil ifNil: [ 1 ]) = 1.
	self assert: (1 ifNil: [ 2 ]) = 1!

testIfTrueIfFalse
	self assert: (false ifFalse: [ #false ]) = #false.
	self assert: (false ifTrue: [ #true ]) isNil.
	self assert: (true ifTrue: [ #true ]) = #true.
	self assert: (true ifFalse: [ #false ]) isNil.
	self assert: (true ifTrue: [ #true ] ifFalse: [ #false ]) = #true.
	self assert: (false ifTrue: [ #true ] ifFalse: [ #false ]) = #false.
	self assert: (true ifFalse: [ #false ] ifTrue: [ #true ]) = #true.
	self assert: (false ifFalse: [ #false ] ifTrue: [ #true ]) = #false!

testIncludesUnsafeUrlCharacter
	| unsafeCharacters |
	unsafeCharacters := ((0 to: 127)
		collect: [ :each | Character codePoint: each ])
		reject: [ :each | 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_.~' includes: each ].
	
	unsafeCharacters do: [ :each |
		self assert: (self platform includesUnsafeUrlCharacter: (String with: each)).
		self assert: (self platform includesUnsafeUrlCharacter: 'a', (String with: each)).
		self assert: (self platform includesUnsafeUrlCharacter: (String with: each), 'a') ].
	
	"make sure the method does not blow up on empty strings"
	self platform includesUnsafeUrlCharacter: ''!

testIncludesUnsafeXmlCharacter
	'"<&' do: [ :each |
		self assert: (self platform includesUnsafeXmlCharacter: (String with: each)).
		self assert: (self platform includesUnsafeXmlCharacter: 'a', (String with: each)).
		self assert: (self platform includesUnsafeXmlCharacter: (String with: each), 'a') ].
	
	"just make sure the method doesn't blow up on empty strings"
	self platform includesUnsafeXmlCharacter: ''.!

testIsCharacter
	self deny: 7 isCharacter.
	self assert: $7 isCharacter!

testIsCollection
	self deny: Object new isCollection!

testIsKeyword
	self deny: #isKeyword isKeyword.
	self deny: #+ isKeyword.
	self assert: #isKeyword: isKeyword.
	self assert: #isKeyword:isKeyword: isKeyword.!

testIsUnary
	self assert: #isUnary isUnary.
	self deny: #+ isUnary.
	self deny: #isUnary: isUnary.
	self deny: #isUnary:isUnary: isUnary.!

testLabel
	self assert: (self platform label isKindOf: String).
	self deny: self platform label isEmpty!

testNewline
	self assert: GRPlatform current newline isString.
	self deny: GRPlatform current newline isEmpty!

testNumArgs
	self assert: #not numArgs isZero.
	self assert: #+ numArgs = 1.
	self assert: #and: numArgs = 1.
	self assert: #value:value: numArgs = 2!

testPrintStringLimitedTo

	| longString shortString |
	longString := String streamContents: [:stream |
		1 to: 1000 do: [:i | stream nextPutAll: i printString]].
	"Squeak implementation adds 9 characters to limited string and VA Smalltalk adds 10, so we can't do an exact count."
	self assert: longString printString size > 65.
	shortString := longString printStringLimitedTo: 50.
	self assert: shortString size < 65!

testRandomGenerator
	| generator collection |
	generator := self platform newRandom.
	self should: [ generator nextInt: 0 ] raise: Error.
	self assert: (generator nextInt: 1) = 1.
	collection := (1 to: 200) collect: [ :ea | generator nextInt: 2 ].
	self assert: (collection includes: 1).
	self assert: (collection includes: 2).
	self assert: collection asSet size = 2.

	collection := 1 to: 5.
	self assert: (collection includes: (generator randomFrom: collection)).
	collection := -1.5 to: 3.5.
	self assert: (collection includes: (generator randomFrom: collection)).
	collection := #(1 2 3 4 5).
	self assert: (collection includes: (generator randomFrom: collection)).
	collection := #(1 2 3 4 5) asSet.
	self assert: (collection includes: (generator randomFrom: collection)).!

testReadStreamAtEnd
	"ANSI 5.9.2.1"
	
	| stream |
	stream := '' readStream.
	self assert: stream atEnd.

	stream := 'a' readStream.
	self deny: stream atEnd!

testReadStreamContents
	"ANSI 5.9.3.1"
	
	| stream |
	stream := 'abc' readStream.
	self assert: stream contents = 'abc'.
	stream next: 2.
	self assert: stream contents = 'abc'!

testReadStreamNegativeSkip
	"ANSI does not mention negative values being used with #skip: but we
	believe they work consistently. If not, we need to update our coding
	conventions to make sure we never do this."
	
	| stream position |
	stream := 'abcd' readStream.
	stream next; next.
	position := stream position.
	self assert: (stream peek) = $c.
	stream skip: -1.
	self assert: stream position = (position - 1).
	self assert: (stream peek) = $b!

testReadStreamNext
	"ANSI 5.9.2.3"
	
	| stream |
	stream := 'abcd' readStream.
	self assert: stream next = $a.
	self assert: (stream next: 0) = ''.
	self assert: (stream next: 1) = 'b'.
	self assert: (stream next: 2) = 'cd'!

testReadStreamPeek
	"ANSI 5.9.2.7"
	
	| stream |
	stream := 'abcd' readStream.
	self assert: stream peek = $a.
	
	stream := '' readStream.
	self assert: stream peek isNil!

testReadStreamPosition
	"ANSI 5.9.1.4 and 5.9.1.5"
	
	| stream |
	stream := 'abc' readStream.
	self assert: stream position = 0.
	stream next.
	self assert: stream position = 1.
	stream next.
	self assert: stream position = 2.
	stream next.
	self assert: stream position = 3.
	
	stream position: 1.
	self assert: stream position = 1.
	self assert: stream next = $b.
	stream position: 0.
	self assert: stream position = 0.
	self assert: stream next = $a.
	stream position: 3.
	self assert: stream atEnd
	!

testReadStreamReset
	"ANSI 5.9.1.6"
	
	| stream |
	stream := 'abc' readStream.
	stream next: 2.
	stream reset.
	self assert: stream next = $a!

testReadStreamSeasideUpToAll
	| stream string1 string2 |
	stream := 'abc12def' readStream.
	string1 := stream greaseUpToAll: '12'.
	string2 := stream greaseUpToAll: '12'.
	self assert: string1 = 'abc'.
	self assert: string2 = 'def'.
	self assert: stream atEnd!

testReadStreamSkip
	"ANSI 5.9.2.9"
	
	| stream |
	stream := 'abcd' readStream.
	self assert: (stream skip: 2; peek) = $c!

testReadStreamUpTo
	"ANSI 5.9.2.11"
	
	| stream |
	stream := 'abcd' readStream.
	self assert: (stream upTo: $c) = 'ab'.
	self assert: stream next = $d.
	
	stream := 'abcd' readStream.
	self assert: (stream upTo: $x) = 'abcd'.
	self assert: stream atEnd!

testReadStreamUpToEnd
	"Not defined by ANSI."
	
	| stream |
	stream := 'abcd' readStream.
	self assert: stream upToEnd = 'abcd'.
	self assert: stream atEnd.
	self assert: stream upToEnd = ''.
	self assert: stream atEnd.
	
	stream := 'abcd' readStream.
	stream upTo: $b.
	self assert: stream upToEnd = 'cd'.
	self assert: stream atEnd!

testReadWriteStreamAtEnd
	"ANSI 5.9.2.1"
	| stream |
	stream := GRPlatform current readWriteCharacterStream.
	self assert: stream atEnd.
	stream
		nextPut: $a;
		reset.
	self deny: stream atEnd!

testReadWriteStreamContents
	"ANSI 5.9.3.1"
	| stream |
	stream := GRPlatform current readWriteCharacterStream.
	stream
		nextPutAll: 'abc';
		reset.
	self assert: stream contents = 'abc'.
	stream next: 2.
	self assert: stream contents = 'abc'.
	stream := GRPlatform current readWriteByteStream.
	stream
		nextPutAll: 'abc' asByteArray;
		reset.
	self assert: stream contents = 'abc' asByteArray.
	stream next: 2.
	self assert: stream contents = 'abc' asByteArray!

testReadWriteStreamNegativeSkip
	"ANSI does not mention negative values being used with #skip: but we
	believe they work consistently. If not, we need to update our coding
	conventions to make sure we never do this."
	| stream position |
	stream := GRPlatform current readWriteCharacterStream.
	stream
		nextPutAll: 'abcd';
		reset.
	stream
		next;
		next.
	position := stream position.
	self assert: stream peek = $c.
	stream skip: -1.
	self assert: stream position = (position - 1).
	self assert: stream peek = $b.
	stream := GRPlatform current readWriteByteStream.
	stream
		nextPutAll: 'abcd' asByteArray;
		reset.
	stream
		next;
		next.
	position := stream position.
	self assert: stream peek = 99.
	stream skip: -1.
	self assert: stream position = (position - 1).
	self assert: stream peek = 98!

testReadWriteStreamNext
	"ANSI 5.9.2.3"
	| stream |
	stream := GRPlatform current readWriteCharacterStream.
	stream
		nextPutAll: 'abcd';
		reset.
	self assert: stream next = $a.
	self assert: (stream next: 0) = ''.
	self assert: (stream next: 1) = 'b'.
	self assert: (stream next: 2) = 'cd'.
	stream := GRPlatform current readWriteByteStream.
	stream
		nextPutAll: 'abcd' asByteArray;
		reset.
	self assert: stream next = 97.
	self assert: (stream next: 0) = '' asByteArray.
	self assert: (stream next: 1) = 'b' asByteArray.
	self assert: (stream next: 2) = 'cd' asByteArray!

testReadWriteStreamNextPut
	"ANSI 5.9.4.3"
	| stream |
	stream := GRPlatform current readWriteCharacterStream.
	stream nextPut: $a.
	self assert: stream contents = 'a'.
	stream := GRPlatform current readWriteByteStream.
	stream nextPut: 97.
	self assert: stream contents = 'a' asByteArray!

testReadWriteStreamNextPutAll
	"ANSI 5.9.4.4"
	| stream |
	stream := GRPlatform current readWriteCharacterStream.
	stream nextPutAll: 'abc'.
	self assert: stream contents = 'abc'.
	stream := GRPlatform current readWriteCharacterStream.
	stream nextPutAll: #($a $b $c ).
	self assert: stream contents = 'abc'.
	stream := GRPlatform current readWriteByteStream.
	stream nextPutAll: #(97 98 99 ) asByteArray.
	self assert: stream contents = 'abc' asByteArray!

testReadWriteStreamPeek
	"ANSI 5.9.2.7"
	| stream |
	stream := GRPlatform current readWriteCharacterStream.
	self assert: stream peek isNil.
	stream := GRPlatform current readWriteCharacterStream.
	stream
		nextPutAll: 'abcd';
		reset.
	self assert: stream peek = $a.
	stream := GRPlatform current readWriteByteStream.
	stream
		nextPutAll: 'abcd' asByteArray;
		reset.
	self assert: stream peek = 97!

testReadWriteStreamPosition
	"ANSI 5.9.1.4 and 5.9.1.5"
	| stream |
	stream := GRPlatform current readWriteCharacterStream.
	stream
		nextPutAll: 'abc';
		reset.
	self assert: stream position = 0.
	stream next.
	self assert: stream position = 1.
	stream next.
	self assert: stream position = 2.
	stream next.
	self assert: stream position = 3.
	stream position: 1.
	self assert: stream position = 1.
	self assert: stream next = $b.
	stream position: 0.
	self assert: stream position = 0.
	self assert: stream next = $a.
	stream position: 3.
	self assert: stream atEnd.
	stream := GRPlatform current readWriteByteStream.
	stream
		nextPutAll: 'abc' asByteArray;
		reset.
	self assert: stream position = 0.
	stream next.
	self assert: stream position = 1.
	stream next.
	self assert: stream position = 2.
	stream next.
	self assert: stream position = 3.
	stream position: 1.
	self assert: stream position = 1.
	self assert: stream next = 98.
	stream position: 0.
	self assert: stream position = 0.
	self assert: stream next = 97.
	stream position: 3.
	self assert: stream atEnd!

testReadWriteStreamReset
	"ANSI 5.9.1.6"
	| stream |
	stream := GRPlatform current readWriteCharacterStream.
	stream
		nextPutAll: 'abc';
		reset.
	stream next: 2.
	stream reset.
	self assert: stream next = $a.
	stream := GRPlatform current readWriteCharacterStream.
	stream
		nextPutAll: 'abc';
		reset.
	stream nextPutAll: 'def'.
	self assert: stream contents = 'def'.
	stream := GRPlatform current readWriteByteStream.
	stream
		nextPutAll: 'abc' asByteArray;
		reset.
	stream next: 2.
	stream reset.
	self assert: stream next = 97!

testReadWriteStreamSkip
	"ANSI 5.9.2.9"
	| stream |
	stream := GRPlatform current readWriteCharacterStream.
	stream
		nextPutAll: 'abcd';
		reset.
	self assert: (stream
			skip: 2;
			peek) = $c.
	stream := GRPlatform current readWriteByteStream.
	stream
		nextPutAll: 'abcd' asByteArray;
		reset.
	self assert: (stream
			skip: 2;
			peek) = 99!

testReadWriteStreamTab
	"ANSI 5.9.4.6"
	| stream |
	stream := GRPlatform current readWriteCharacterStream.
	stream tab.
	self assert: stream contents first = Character tab!

testReadWriteStreamUpTo
	"ANSI 5.9.2.11"
	| stream |
	stream := GRPlatform current readWriteCharacterStream.
	stream
		nextPutAll: 'abcd';
		reset.
	self assert: (stream upTo: $c) = 'ab'.
	self assert: stream next = $d.
	stream := GRPlatform current readWriteCharacterStream.
	stream
		nextPutAll: 'abcd';
		reset.
	self assert: (stream upTo: $x) = 'abcd'.
	self assert: stream atEnd.
	stream := GRPlatform current readWriteByteStream.
	stream
		nextPutAll: 'abcd' asByteArray;
		reset.
	self assert: (stream upTo: 99) = #(97 98 ) asByteArray.
	self assert: stream next = 100.
	stream := GRPlatform current readWriteByteStream.
	stream
		nextPutAll: 'abcd' asByteArray;
		reset.
	self assert: (stream upTo: 120) = #(97 98 99 100 ) asByteArray.
	self assert: stream atEnd!

testReadWriteStreamUpToEnd
	"Not defined by ANSI."
	| stream |
	stream := GRPlatform current readWriteCharacterStream.
	stream
		nextPutAll: 'abcd';
		reset.
	self assert: stream upToEnd = 'abcd'.
	self assert: stream atEnd.
	self assert: stream upToEnd = ''.
	self assert: stream atEnd.
	stream reset.
	stream upTo: $b.
	self assert: stream upToEnd = 'cd'.
	self assert: stream atEnd.
	stream := GRPlatform current readWriteByteStream.
	stream
		nextPutAll: 'abcd' asByteArray;
		reset.
	self assert: stream upToEnd = #(97 98 99 100 ) asByteArray.
	self assert: stream atEnd.
	self assert: stream upToEnd = #() asByteArray.
	self assert: stream atEnd.
	stream reset.
	stream upTo: 98.
	self assert: stream upToEnd = #(99 100 ) asByteArray.
	self assert: stream atEnd!

testSeconds
	self assert: Time now seconds isInteger.
	self deny: Time now seconds isFraction!

testSecureHashFor
	"Make sure the platform class provides a #secureHashFor: method. The method is called by Seaside when hashing passwords. The Squeak implementation returns a SHA-1 hash but another equivalent hash method could also be used."
	
	| a b |
	a := self platform secureHashFor: 'foobar'.
	b := self platform secureHashFor: 'foobar'.
	
	self assert: (a = b)!

testShutDownList
	"A smoke test: checks if the test-class can be added and removed to the shutdown list."
	
	[ self platform addToShutDownList: self class ]
		ensure: [  self platform removeFromShutDownList: self class ]!

testStackDepth
	| stackDepth someBlock |
	stackDepth := self platform stackDepth.
	self assert: stackDepth isInteger.
	self assert: stackDepth > 0.
	someBlock := [ self assert: self platform stackDepth > stackDepth ].
	someBlock value.
	self assert: stackDepth = self platform stackDepth!

testStartUpList
	"A smoke test: checks if the test-class can be added and removed to the startup list."
	
	[  self platform addToStartUpList: self class ]
		ensure: [  self platform removeFromStartUpList: self class ]!

testSymbolAsMutator
	"test for:
	Symbol >> #asMutator
	^ (self copyWith: $:) asSymbol"
	self assert: #name asMutator = #name:!

testTerminate
	| ensureRun ifCurtailedRun semaphore1 semaphore2 semaphore3 semaphore4 process |
	ensureRun := false.
	ifCurtailedRun := false.
	semaphore1 := self platform semaphoreClass new.
	semaphore2 := self platform semaphoreClass new.
	semaphore3 := self platform semaphoreClass new.
	semaphore4 := self platform semaphoreClass new.
	process := [
		[ [ semaphore1 signal. semaphore2 wait ]
			ensure: [ ensureRun := true. semaphore3 signal ] ]
			ifCurtailed: [ ifCurtailedRun := true. semaphore4 signal ] ] newProcess.
	self deny: (self platform isProcessTerminated: process).
	process resume.
	semaphore1 wait.
	self deny: (self platform isProcessTerminated: process).
	self platform terminateProcess: process.
	semaphore3 wait.
	self assert: ensureRun.
	semaphore4 wait.
	self assert: ifCurtailedRun.
	self assert: (self platform isProcessTerminated: process)!

testTotalSeconds
	"Answer the total seconds since the Squeak epoch: 1 January 1901."

	| seconds |
	seconds := Time totalSeconds.
	self assert: seconds isInteger.
	self assert: seconds > 3421645167!

testVersion
	self assert: (self platform version isKindOf: GRVersion).
	self assert: (self platform versionString isKindOf: String).
	self deny: self platform versionString isEmpty!

testWriteStreamContents
	"ANSI 5.9.3.1"
	
	| stream |
	stream := WriteStream on: String new.
	stream nextPutAll: 'abc'.
	self assert: stream contents = 'abc'.
	stream nextPutAll: 'def'.
	self assert: stream contents = 'abcdef'!

testWriteStreamCrLf
	| stream |
	stream := WriteStream on: String new.
	stream crlf.
	self assert: stream contents first codePoint = 13.
	self assert: stream contents second codePoint = 10!

testWriteStreamNextPut
	"ANSI 5.9.4.3"
	
	| stream |
	stream := WriteStream on: String new.
	stream nextPut: $a.
	self assert: stream contents = 'a'!

testWriteStreamNextPutAll
	"ANSI 5.9.4.4"
	
	| stream |
	stream := WriteStream on: String new.
	stream nextPutAll: 'abc'.
	self assert: stream contents = 'abc'.
	
	stream := WriteStream on: String new.
	stream nextPutAll: #($a $b $c).
	self assert: stream contents = 'abc'!

testWriteStreamReset
	"ANSI 5.9.1.6"
	
	| stream |
	stream := WriteStream on: String new.
	stream nextPutAll: 'abc'.
	stream reset.
	stream nextPutAll: 'def'.
	self assert: stream contents = 'def'!

testWriteStreamSpace
	"ANSI 5.9.4.5"
	
	| stream |
	stream := WriteStream on: String new.
	stream space.
	self assert: stream contents first = Character space!

testWriteStreamTab
	"ANSI 5.9.4.6"
	
	| stream |
	stream := WriteStream on: String new.
	stream tab.
	self assert: stream contents first = Character tab! !
!GRPlatformTest categoriesFor: #decodeUtf8Character:!private! !
!GRPlatformTest categoriesFor: #platform!accessing!public! !
!GRPlatformTest categoriesFor: #testAsNumber!public!tests! !
!GRPlatformTest categoriesFor: #testBlockContextWithPossibleArguments!public!tests! !
!GRPlatformTest categoriesFor: #testBlockValuableProtocol!public!tests! !
!GRPlatformTest categoriesFor: #testCharacterAsUnicode!public!tests! !
!GRPlatformTest categoriesFor: #testCharacterTo!public!tests! !
!GRPlatformTest categoriesFor: #testConvertToSmalltalkNewlines!public!tests! !
!GRPlatformTest categoriesFor: #testDateArithmetic!public!tests! !
!GRPlatformTest categoriesFor: #testDaysInMonthForYear!public!tests! !
!GRPlatformTest categoriesFor: #testDigitValue!public!tests! !
!GRPlatformTest categoriesFor: #testEmptyOrNil!public!tests! !
!GRPlatformTest categoriesFor: #testFixCallbackTemps!public!tests! !
!GRPlatformTest categoriesFor: #testGreaseIntegerOnCharacter!public!tests! !
!GRPlatformTest categoriesFor: #testGreaseIntegerOnNumber!public!tests! !
!GRPlatformTest categoriesFor: #testGreaseIntegerOnString!public!tests! !
!GRPlatformTest categoriesFor: #testGreaseString!public!tests! !
!GRPlatformTest categoriesFor: #testIfNil!public!tests! !
!GRPlatformTest categoriesFor: #testIfTrueIfFalse!public!tests! !
!GRPlatformTest categoriesFor: #testIncludesUnsafeUrlCharacter!public!tests! !
!GRPlatformTest categoriesFor: #testIncludesUnsafeXmlCharacter!public!tests! !
!GRPlatformTest categoriesFor: #testIsCharacter!public!tests! !
!GRPlatformTest categoriesFor: #testIsCollection!public!tests! !
!GRPlatformTest categoriesFor: #testIsKeyword!public!tests! !
!GRPlatformTest categoriesFor: #testIsUnary!public!tests! !
!GRPlatformTest categoriesFor: #testLabel!public!tests! !
!GRPlatformTest categoriesFor: #testNewline!public!tests! !
!GRPlatformTest categoriesFor: #testNumArgs!public!tests! !
!GRPlatformTest categoriesFor: #testPrintStringLimitedTo!public!tests! !
!GRPlatformTest categoriesFor: #testRandomGenerator!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadStreamAtEnd!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadStreamContents!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadStreamNegativeSkip!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadStreamNext!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadStreamPeek!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadStreamPosition!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadStreamReset!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadStreamSeasideUpToAll!public!tests-streams-seaside! !
!GRPlatformTest categoriesFor: #testReadStreamSkip!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadStreamUpTo!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadStreamUpToEnd!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadWriteStreamAtEnd!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadWriteStreamContents!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadWriteStreamNegativeSkip!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadWriteStreamNext!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadWriteStreamNextPut!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadWriteStreamNextPutAll!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadWriteStreamPeek!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadWriteStreamPosition!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadWriteStreamReset!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadWriteStreamSkip!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadWriteStreamTab!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadWriteStreamUpTo!public!tests-streams! !
!GRPlatformTest categoriesFor: #testReadWriteStreamUpToEnd!public!tests-streams! !
!GRPlatformTest categoriesFor: #testSeconds!public!tests! !
!GRPlatformTest categoriesFor: #testSecureHashFor!public!tests! !
!GRPlatformTest categoriesFor: #testShutDownList!public!tests-image! !
!GRPlatformTest categoriesFor: #testStackDepth!public!tests! !
!GRPlatformTest categoriesFor: #testStartUpList!public!tests-image! !
!GRPlatformTest categoriesFor: #testSymbolAsMutator!public!tests! !
!GRPlatformTest categoriesFor: #testTerminate!public!tests-processes! !
!GRPlatformTest categoriesFor: #testTotalSeconds!public!tests! !
!GRPlatformTest categoriesFor: #testVersion!public!tests! !
!GRPlatformTest categoriesFor: #testWriteStreamContents!public!tests-streams! !
!GRPlatformTest categoriesFor: #testWriteStreamCrLf!public!tests-streams! !
!GRPlatformTest categoriesFor: #testWriteStreamNextPut!public!tests-streams! !
!GRPlatformTest categoriesFor: #testWriteStreamNextPutAll!public!tests-streams! !
!GRPlatformTest categoriesFor: #testWriteStreamReset!public!tests-streams! !
!GRPlatformTest categoriesFor: #testWriteStreamSpace!public!tests-streams! !
!GRPlatformTest categoriesFor: #testWriteStreamTab!public!tests-streams! !

GRPrinterTest guid: (GUID fromString: '{32CB184E-8CEB-47E8-8B37-3D1644138130}')!
GRPrinterTest comment: ''!
!GRPrinterTest categoriesForClass!Unclassified! !
!GRPrinterTest methodsFor!

testComposedPrinter
	| converter |
	converter := GRSequentialPrinter new , 'CHF ' , GRNumberPrinter new.
	self assert: (converter print: 1234) = 'CHF 1234'.
	self assert: (converter print: -1234) = 'CHF 1234'.
	converter := GRSignPrinter new , GRNumberPrinter new , '%'.
	self assert: (converter print: 1234) = '1234%'.
	self assert: (converter print: -1234) = '-1234%'!

testCookieTimestamp
	| printer date |
	printer := GRPrinter cookieTimestamp.
	date := DateAndTime 
		year: 2008
		month: 8
		day: 1
		hour: 9
		minute: 4
		second: 4
		offset: (Duration 
				days: 0
				hours: 0
				minutes: 0
				seconds: 0).
	self assert: (printer print: date) = 'Fri, 01-Aug-2008 09:04:04 GMT'!

testDigitsOf
	| converter |
	converter := GRNumberPrinter new.
	self assert: (converter 
			digitsOf: 0.0
			base: 10) = '0'.
	self assert: (converter 
			digitsOf: 1.0
			base: 10) = '1'.
	self assert: (converter 
			digitsOf: -1.0
			base: 10) = '1'.
	self assert: (converter 
			digitsOf: -1234567890
			base: 10) = '1234567890'.
	self assert: (converter 
			digitsOf: 1234567890
			base: 10) = '1234567890'.
	self assert: (converter 
			digitsOf: -9876543210
			base: 10) = '9876543210'.
	self assert: (converter 
			digitsOf: 9876543210
			base: 10) = '9876543210'!

testDigitsOfBase
	| converter |
	converter := GRNumberPrinter new.
	self assert: (converter 
			digitsOf: 1234
			base: 2) = '10011010010'.
	self assert: (converter 
			digitsOf: 1234
			base: 3) = '1200201'.
	self assert: (converter 
			digitsOf: 1234
			base: 4) = '103102'.
	self assert: (converter 
			digitsOf: 1234
			base: 5) = '14414'.
	self assert: (converter 
			digitsOf: 1234
			base: 6) = '5414'.
	self assert: (converter 
			digitsOf: 1234
			base: 7) = '3412'.
	self assert: (converter 
			digitsOf: 1234
			base: 8) = '2322'.
	self assert: (converter 
			digitsOf: 1234
			base: 9) = '1621'.
	self assert: (converter 
			digitsOf: 1234
			base: 10) = '1234'.
	self assert: (converter 
			digitsOf: 1234
			base: 11) = 'a22'.
	self assert: (converter 
			digitsOf: 1234
			base: 12) = '86a'.
	self assert: (converter 
			digitsOf: 1234
			base: 13) = '73c'.
	self assert: (converter 
			digitsOf: 1234
			base: 14) = '642'.
	self assert: (converter 
			digitsOf: 1234
			base: 15) = '574'.
	self assert: (converter 
			digitsOf: 1234
			base: 16) = '4d2'!

testFileSizePrinterBinary
	| converter |
	converter := GRPrinter binaryFileSize.
	self assert: (converter print: 1) = '1 byte'.
	self assert: (converter print: 2) = '2 bytes'.
	self assert: (converter print: 30) = '30 bytes'.
	self assert: (converter print: 500) = '500 bytes'.
	self assert: (converter print: 6000) = '5.9 KiB'.
	self assert: (converter print: 70000) = '68.4 KiB'.
	self assert: (converter print: 800000) = '781.3 KiB'.
	self assert: (converter print: 9000000) = '8.6 MiB'.
	self assert: (converter print: 10000000) = '9.5 MiB'.
	self assert: (converter print: 200000000) = '190.7 MiB'.
	self assert: (converter print: 3000000000) = '2.8 GiB'.
	self assert: (converter print: 40000000000) = '37.3 GiB'!

testFileSizePrinterDecimal
	| converter |
	converter := GRPrinter decimalFileSize.
	self assert: (converter print: 1) = '1 byte'.
	self assert: (converter print: 2) = '2 bytes'.
	self assert: (converter print: 30) = '30 bytes'.
	self assert: (converter print: 500) = '500 bytes'.
	self assert: (converter print: 6000) = '6.0 kB'.
	self assert: (converter print: 70000) = '70.0 kB'.
	self assert: (converter print: 800000) = '800.0 kB'.
	self assert: (converter print: 9000000) = '9.0 MB'.
	self assert: (converter print: 10000000) = '10.0 MB'.
	self assert: (converter print: 200000000) = '200.0 MB'.
	self assert: (converter print: 3000000000) = '3.0 GB'.
	self assert: (converter print: 40000000000) = '40.0 GB'!

testFloatPrinter
	| converter |
	converter := GRNumberPrinter new precision: 2.
	self assert: (converter print: 1.009) = '1.01'.
	self assert: (converter print: 1.01) = '1.01'.
	self assert: (converter print: 1.019) = '1.02'.
	self assert: (converter print: 1.25) = '1.25'.
	self assert: (converter print: 1.254) = '1.25'.
	self assert: (converter print: 1.256) = '1.26'.
	self assert: (converter print: 1.009) = '1.01'.
	self assert: (converter print: 0.9) = '0.90'.
	self assert: (converter print: 0.99) = '0.99'.
	self assert: (converter print: 0.999) = '1.00'.
	self assert: (converter print: 0.9999) = '1.00'.
	self assert: (converter print: -0.9) = '0.90'.
	self assert: (converter print: -0.99) = '0.99'.
	self assert: (converter print: -0.999) = '1.00'.
	self assert: (converter print: -0.9999) = '1.00'!

testFloatPrinterInfinity
	| converter |
	converter := GRNumberPrinter new.
	self assert: (converter print: Float infinity) = 'Infinite'.
	self assert: (converter print: Float infinity negated) = 'Infinite'.
	converter infinite: 'very huge'.
	self assert: (converter print: Float infinity) = 'very huge'.
	self assert: (converter print: Float infinity negated) = 'very huge'!

testFloatPrinterNaN
	| converter |
	converter := GRNumberPrinter new.
	self assert: (converter print: Float nan) = 'NaN'.
	converter nan: 'Not A Number'.
	self assert: (converter print: Float nan) = 'Not A Number'!

testFloatPrinterPadding
	| converter |
	converter := GRNumberPrinter new.
	converter digits: 3.
	self assert: (converter print: 1) = '  1'.
	self assert: (converter print: 12) = ' 12'.
	self assert: (converter print: 123) = '123'.
	self assert: (converter print: 1234) = '1234'.
	converter padding: $*.
	self assert: (converter print: 1) = '**1'.
	self assert: (converter print: 12) = '*12'.
	self assert: (converter print: 123) = '123'.
	self assert: (converter print: 1234) = '1234'!

testFloatPrinterSeparator
	| converter |
	converter := GRNumberPrinter new.
	converter
		precision: 2;
		separator: $*.
	self assert: (converter print: 12345.0) = '12*345.00'.
	self assert: (converter print: 0.6789) = '0.68'.
	converter
		precision: 4;
		separator: $!!.
	self assert: (converter print: 12345.0) = '12!!345.000!!0'.
	self assert: (converter print: 0.6789) = '0.678!!9'!

testFullMonthName
	| printer |
	printer := GRPrinter fullMonthName.
	self assert: (printer print: (Date year: 2000 month: 8 day: 1)) = 'August'.
	self assert: (printer print: (Date year: 2000 month: 11 day: 1)) = 'November'!

testFullWeekName
	| printer |
	printer := GRPrinter fullWeekName.
	self assert: (printer print: (Date year: 1980 month: 1 day: 1)) = 'Tuesday'.
	self assert: (printer print: (Date year: 2000 month: 1 day: 1)) = 'Saturday'!

testHttp
	| printer date offsetHour |
	offsetHour := 2.
	printer := GRPrinter httpDate.
	date := DateAndTime 
		year: 1994
		month: 11
		day: 6
		hour: 8 + offsetHour
		minute: 49
		second: 37
		offset: (Duration 
				days: 0
				hours: offsetHour
				minutes: 0
				seconds: 0).
	self assert: (printer print: date) = 'Sun, 06 Nov 1994 08:49:37 GMT'!

testIntegerPrinter
	| converter |
	converter := GRNumberPrinter new.
	self assert: (converter print: 1234) = '1234'.
	self assert: (converter print: -1234) = '1234'.
	converter separator: $..
	self assert: (converter print: 1234) = '1.234'.
	self assert: (converter print: 1234567) = '1.234.567'.
	converter
		base: 16;
		separator: nil.
	self assert: (converter print: 1234) = '4d2'.
	self assert: (converter print: 123123) = '1e0f3'.
	converter uppercase.
	self assert: (converter print: 1234) = '4D2'.
	self assert: (converter print: 123123) = '1E0F3'!

testIsoDate
	| printer |
	printer := GRPrinter isoDate.
	self assert: (printer print: (Date 
				year: 1980
				month: 6
				day: 11)) = '1980-06-11'.
	self assert: (printer print: (Date 
				year: 2003
				month: 12
				day: 1)) = '2003-12-01'.
	self assert: (printer print: (Date 
				year: 800
				month: 12
				day: 24)) = '0800-12-24'!

testIsoTime
	| printer |
	printer := GRPrinter isoTime.
	self assert: (printer print: (Time 
				hour: 0
				minute: 0
				second: 0)) = '00:00:00'.
	self assert: (printer print: (Time 
				hour: 1
				minute: 2
				second: 3)) = '01:02:03'.
	self assert: (printer print: (Time 
				hour: 12
				minute: 23
				second: 34)) = '12:23:34'!

testOrdinalizePrinter
	| converter |
	converter := GRNumberPrinter new , GROrdinalizePrinter new.
	self assert: (converter print: 1) = '1st'.
	self assert: (converter print: 2) = '2nd'.
	self assert: (converter print: 3) = '3rd'.
	self assert: (converter print: 4) = '4th'.
	self assert: (converter print: 10) = '10th'.
	self assert: (converter print: 111) = '111th'.
	self assert: (converter print: 212) = '212th'.
	self assert: (converter print: 313) = '313th'.
	self assert: (converter print: 414) = '414th'.
	self assert: (converter print: 20) = '20th'.
	self assert: (converter print: 121) = '121st'.
	self assert: (converter print: 222) = '222nd'.
	self assert: (converter print: 323) = '323rd'.
	self assert: (converter print: 424) = '424th'!

testPadCenter
	| converter |
	converter := GRPrinter new.
	self assert: (converter 
			pad: ''
			center: $*
			to: 3) = '***'.
	self assert: (converter 
			pad: '1'
			center: $*
			to: 3) = '*1*'.
	self assert: (converter 
			pad: '12'
			center: $*
			to: 3) = '12*'.
	self assert: (converter 
			pad: '123'
			center: $*
			to: 3) = '123'.
	self assert: (converter 
			pad: '1234'
			center: $*
			to: 3) = '1234'!

testPaddedCentury
	| printer |
	printer := GRPrinter paddedCentury.
	self assert: (printer print: (Date year: 1980 month: 1 day: 1)) = '80'.
	self assert: (printer print: (Date year: 2009 month: 1 day: 1)) = '09'!

testPaddedHour12
	| printer |
	printer := GRPrinter paddedHour12.
	self assert: (printer print: (Time hour: 5 minute: 0 second: 0)) = '05'.
	self assert: (printer print: (Time hour: 10 minute: 0 second: 0)) = '10'.
	self assert: (printer print: (Time hour: 14 minute: 0 second: 0)) = '02'.
	self assert: (printer print: (Time hour: 23 minute: 0 second: 0)) = '11'!

testPadLeft
	| converter |
	converter := GRPrinter new.
	self assert: (converter 
			pad: ''
			left: $*
			to: 3) = '***'.
	self assert: (converter 
			pad: '1'
			left: $*
			to: 3) = '**1'.
	self assert: (converter 
			pad: '12'
			left: $*
			to: 3) = '*12'.
	self assert: (converter 
			pad: '123'
			left: $*
			to: 3) = '123'.
	self assert: (converter 
			pad: '1234'
			left: $*
			to: 3) = '1234'!

testPadRight
	| converter |
	converter := GRPrinter new.
	self assert: (converter 
			pad: ''
			right: $*
			to: 3) = '***'.
	self assert: (converter 
			pad: '1'
			right: $*
			to: 3) = '1**'.
	self assert: (converter 
			pad: '12'
			right: $*
			to: 3) = '12*'.
	self assert: (converter 
			pad: '123'
			right: $*
			to: 3) = '123'.
	self assert: (converter 
			pad: '1234'
			right: $*
			to: 3) = '1234'!

testRfc822
	| printer date |
	printer := GRPrinter rfc822.
	date := DateAndTime 
		year: 2008
		month: 8
		day: 1
		hour: 9
		minute: 4
		second: 4
		offset: (Duration 
				days: 0
				hours: -2
				minutes: 0
				seconds: 0).
	self assert: (printer print: date) = 'Fri, 01 Aug 2008 09:04:04 -0200'.
	date := DateAndTime 
		year: 2008
		month: 8
		day: 31
		hour: 19
		minute: 41
		second: 46
		offset: (Duration 
				days: 0
				hours: 0
				minutes: 30
				seconds: 0).
	self assert: (printer print: date) = 'Sun, 31 Aug 2008 19:41:46 +0030'!

testRfc822WithTimeZone
	| printer date |
	printer := GRPrinter rfc822WithTimeZone: 'GMT'.
	date := DateAndTime 
		year: 2008
		month: 8
		day: 1
		hour: 9
		minute: 4
		second: 4
		offset: (Duration 
				days: 0
				hours: 0
				minutes: 0
				seconds: 0).
	self assert: (printer print: date) = 'Fri, 01 Aug 2008 09:04:04 GMT'!

testSeparateLeft
	| converter |
	converter := GRNumberPrinter new.
	self assert: (converter 
			separate: ''
			left: $*) = ''.
	self assert: (converter 
			separate: '1'
			left: $*) = '1'.
	self assert: (converter 
			separate: '12'
			left: $*) = '12'.
	self assert: (converter 
			separate: '123'
			left: $*) = '123'.
	self assert: (converter 
			separate: '1234'
			left: $*) = '123*4'.
	self assert: (converter 
			separate: '12345'
			left: $*) = '123*45'.
	self assert: (converter 
			separate: '123456'
			left: $*) = '123*456'.
	self assert: (converter 
			separate: '1234567'
			left: $*) = '123*456*7'.
	self assert: (converter 
			separate: '12345678'
			left: $*) = '123*456*78'.
	self assert: (converter 
			separate: '123456789'
			left: $*) = '123*456*789'!

testSeparateRight
	| converter |
	converter := GRNumberPrinter new.
	self assert: (converter 
			separate: ''
			right: $*) = ''.
	self assert: (converter 
			separate: '1'
			right: $*) = '1'.
	self assert: (converter 
			separate: '12'
			right: $*) = '12'.
	self assert: (converter 
			separate: '123'
			right: $*) = '123'.
	self assert: (converter 
			separate: '1234'
			right: $*) = '1*234'.
	self assert: (converter 
			separate: '12345'
			right: $*) = '12*345'.
	self assert: (converter 
			separate: '123456'
			right: $*) = '123*456'.
	self assert: (converter 
			separate: '1234567'
			right: $*) = '1*234*567'.
	self assert: (converter 
			separate: '12345678'
			right: $*) = '12*345*678'.
	self assert: (converter 
			separate: '123456789'
			right: $*) = '123*456*789'!

testSignPrinter
	| converter |
	converter := GRSignPrinter new.
	converter
		negativePrinter: $-;
		positivePrinter: $+.
	self assert: (converter print: 12) = '+'.
	self assert: (converter print: -12) = '-'!

testStringPrinter
	| converter |
	converter := GRStringPrinter new.
	self assert: (converter print: 123) = '123'.
	self assert: (converter print: 'foo') = 'foo'.
	self assert: (converter print: true) = 'true'!

testStringPrinterLength
	| converter |
	converter := GRStringPrinter new.
	self assert: (converter print: 'foo') = 'foo'.
	converter length: 3.
	self assert: (converter print: 'foo') = 'foo'.
	converter length: 1.
	self assert: (converter print: 'foo') = 'f'!

testStringPrinterPad
	| converter |
	converter := GRStringPrinter new.
	converter
		character: $*;
		length: 5.
	converter padLeft.
	self assert: (converter print: 'foo') = '**foo'.
	converter padRight.
	self assert: (converter print: 'foo') = 'foo**'.
	converter padCenter.
	self assert: (converter print: 'foo') = '*foo*'!

testStringPrinterTrim
	| converter |
	converter := GRStringPrinter new.
	self assert: (converter print: ' foo ') = ' foo '.
	converter trimLeft.
	self assert: (converter print: ' foo ') = 'foo '.
	converter trimRight.
	self assert: (converter print: ' foo ') = ' foo'.
	converter trimBoth.
	self assert: (converter print: ' foo ') = 'foo'!

testSwissCurrency
	| printer |
	printer := GRPrinter swissCurrency.
	self assert: (printer print: 12.34) = 'CHF 12.35'.
	self assert: (printer print: -12.39) = 'CHF -12.40'!

testUnpaddedCentury
	| printer |
	printer := GRPrinter unpaddedCentury.
	self assert: (printer print: (Date year: 1980 month: 1 day: 1)) = '80'.
	self assert: (printer print: (Date year: 2009 month: 1 day: 1)) = '9'!

testUnpaddedDay
	| printer |
	printer := GRPrinter unpaddedDay.
	self assert: (printer print: (Date year: 2000 month: 1 day: 4)) = '4'.
	self assert: (printer print: (Date year: 2000 month: 1 day: 19)) = '19'!

testUnpaddedHour12
	| printer |
	printer := GRPrinter unpaddedHour12.
	self assert: (printer print: (Time hour: 5 minute: 0 second: 0)) = '5'.
	self assert: (printer print: (Time hour: 10 minute: 0 second: 0)) = '10'.
	self assert: (printer print: (Time hour: 14 minute: 0 second: 0)) = '2'.
	self assert: (printer print: (Time hour: 23 minute: 0 second: 0)) = '11'!

testUnpaddedHour24
	| printer |
	printer := GRPrinter unpaddedHour24.
	self assert: (printer print: (Time hour: 5 minute: 0 second: 0)) = '5'.
	self assert: (printer print: (Time hour: 10 minute: 0 second: 0)) = '10'.
	self assert: (printer print: (Time hour: 14 minute: 0 second: 0)) = '14'.
	self assert: (printer print: (Time hour: 23 minute: 0 second: 0)) = '23'!

testUnpaddedMinute
	| printer |
	printer := GRPrinter unpaddedMinute.
	self assert: (printer print: (Time hour: 0 minute: 5 second: 0)) = '5'.
	self assert: (printer print: (Time hour: 0 minute: 12 second: 0)) = '12'!

testUnpaddedMonth
	| printer |
	printer := GRPrinter unpaddedMonth.
	self assert: (printer print: (Date year: 2000 month: 8 day: 1)) = '8'.
	self assert: (printer print: (Date year: 2000 month: 11 day: 1)) = '11'!

testUnpaddedSecond
	| printer |
	printer := GRPrinter unpaddedSecond.
	self assert: (printer print: (Time hour: 0 minute: 0 second: 0)) = '0'.
	self assert: (printer print: (Time hour: 0 minute: 0 second: 9)) = '9'.
	self assert: (printer print: (Time hour: 0 minute: 0 second: 12)) = '12'!

testUnpaddedYear
	| printer |
	printer := GRPrinter unpaddedYear.
	self assert: (printer print: (Date year: 766 month: 1 day: 1)) = '766'.
	self assert: (printer print: (Date year: 1980 month: 1 day: 1)) = '1980'.
	self assert: (printer print: (Date year: 2009 month: 1 day: 1)) = '2009'!

testUsCurrency
	| printer |
	printer := GRPrinter usCurrency.
	self assert: (printer print: 12.34) = '$12.34'.
	self assert: (printer print: -12.34) = '-$12.34'! !
!GRPrinterTest categoriesFor: #testComposedPrinter!public!tests! !
!GRPrinterTest categoriesFor: #testCookieTimestamp!public!tests-timestamp! !
!GRPrinterTest categoriesFor: #testDigitsOf!public!tests-utilites! !
!GRPrinterTest categoriesFor: #testDigitsOfBase!public!tests-utilites! !
!GRPrinterTest categoriesFor: #testFileSizePrinterBinary!public!tests! !
!GRPrinterTest categoriesFor: #testFileSizePrinterDecimal!public!tests! !
!GRPrinterTest categoriesFor: #testFloatPrinter!public!tests! !
!GRPrinterTest categoriesFor: #testFloatPrinterInfinity!public!tests! !
!GRPrinterTest categoriesFor: #testFloatPrinterNaN!public!tests! !
!GRPrinterTest categoriesFor: #testFloatPrinterPadding!public!tests! !
!GRPrinterTest categoriesFor: #testFloatPrinterSeparator!public!tests! !
!GRPrinterTest categoriesFor: #testFullMonthName!public!tests-parts-date! !
!GRPrinterTest categoriesFor: #testFullWeekName!public!tests-parts-date! !
!GRPrinterTest categoriesFor: #testHttp!public!tests-timestamp! !
!GRPrinterTest categoriesFor: #testIntegerPrinter!public!tests! !
!GRPrinterTest categoriesFor: #testIsoDate!public!tests-timestamp! !
!GRPrinterTest categoriesFor: #testIsoTime!public!tests-timestamp! !
!GRPrinterTest categoriesFor: #testOrdinalizePrinter!public!tests! !
!GRPrinterTest categoriesFor: #testPadCenter!public!tests-utilites! !
!GRPrinterTest categoriesFor: #testPaddedCentury!public!tests-parts-date! !
!GRPrinterTest categoriesFor: #testPaddedHour12!public!tests-parts-time! !
!GRPrinterTest categoriesFor: #testPadLeft!public!tests-utilites! !
!GRPrinterTest categoriesFor: #testPadRight!public!tests-utilites! !
!GRPrinterTest categoriesFor: #testRfc822!public!tests-timestamp! !
!GRPrinterTest categoriesFor: #testRfc822WithTimeZone!public!tests-timestamp! !
!GRPrinterTest categoriesFor: #testSeparateLeft!public!tests-utilites! !
!GRPrinterTest categoriesFor: #testSeparateRight!public!tests-utilites! !
!GRPrinterTest categoriesFor: #testSignPrinter!public!tests! !
!GRPrinterTest categoriesFor: #testStringPrinter!public!tests! !
!GRPrinterTest categoriesFor: #testStringPrinterLength!public!tests! !
!GRPrinterTest categoriesFor: #testStringPrinterPad!public!tests! !
!GRPrinterTest categoriesFor: #testStringPrinterTrim!public!tests! !
!GRPrinterTest categoriesFor: #testSwissCurrency!public!tests-currency! !
!GRPrinterTest categoriesFor: #testUnpaddedCentury!public!tests-parts-date! !
!GRPrinterTest categoriesFor: #testUnpaddedDay!public!tests-parts-date! !
!GRPrinterTest categoriesFor: #testUnpaddedHour12!public!tests-parts-time! !
!GRPrinterTest categoriesFor: #testUnpaddedHour24!public!tests-parts-time! !
!GRPrinterTest categoriesFor: #testUnpaddedMinute!public!tests-parts-time! !
!GRPrinterTest categoriesFor: #testUnpaddedMonth!public!tests-parts-date! !
!GRPrinterTest categoriesFor: #testUnpaddedSecond!public!tests-parts-time! !
!GRPrinterTest categoriesFor: #testUnpaddedYear!public!tests-parts-date! !
!GRPrinterTest categoriesFor: #testUsCurrency!public!tests-currency! !

!GRPrinterTest class methodsFor!

packageNamesUnderTest
	^ #('Grease-Core')! !
!GRPrinterTest class categoriesFor: #packageNamesUnderTest!accessing!public! !

GRSmallDictionaryTest guid: (GUID fromString: '{3CB2029B-80D6-4BC9-9AE2-3ABA694E2D1A}')!
GRSmallDictionaryTest comment: ''!
!GRSmallDictionaryTest categoriesForClass!Unclassified! !
!GRSmallDictionaryTest methodsFor!

allowsDuplicateKeys
	^ false!

assertAssociations: anOrderedCollection
	| associations iterated |
	associations := collection associations.
	iterated := Array streamContents: [ :stream |
		collection associationsDo: [ :each | stream nextPut: each ] ].
	self assert: associations size = anOrderedCollection size.
	self assert: iterated size = anOrderedCollection size.
	1 to: anOrderedCollection size do: [ :index |
		self assert: (associations at: index) = (anOrderedCollection at: index).
		self assert: (iterated at: index) = (anOrderedCollection at: index) ]!

collectionClass
	^ GRSmallDictionary!

isKey: anObject equivalentTo: anotherObject
	^ anObject = anotherObject!

newCollection
	^ self collectionClass new!

setUp
	super setUp.
	collection := self newCollection!

testAddAll
	| dict result |
	dict := (Dictionary new at: '1' put: 'foo'; yourself).
	result := collection addAll: dict.
	self assert: result == dict.
	self assertAssociations: (Array with: '1' -> 'foo').
	
	dict := (GROrderedMultiMap new at: '1' put: 'foo'; at: '1' add: 'bar'; yourself).
	collection := self newCollection.
	result := collection addAll: dict.
	self assert: result == dict.
	self assertAssociations:
		(self allowsDuplicateKeys
			ifFalse: [ Array with: '1' -> 'bar' ]
			ifTrue: [ Array with: '1' -> 'foo' with: '1' -> 'bar' ])
!

testAddAndAssociations
	| association |
	association := collection add: '1' -> 'foo'.
	self assert: association key = '1'.
	self assert: association value = 'foo'.
	self assertAssociations: (Array with: '1' -> 'foo').
	
	association := collection add: '2' -> 'bar'.
	self assert: association key = '2'.
	self assert: association value = 'bar'.
	self assertAssociations: (Array with: '1' -> 'foo' with: '2' -> 'bar').
	
	association := collection add: '1' -> 'baz'.
	self assert: association key = '1'.
	self assert: association value = 'baz'.
	self assertAssociations:
		(self allowsDuplicateKeys
			ifFalse: [ Array with: '1' -> 'baz' with: '2' -> 'bar' ]
			ifTrue: [ Array with: '1' -> 'foo' with: '2' -> 'bar' with: '1' -> 'baz' ])
!

testAt
	self should: [ collection at: '1' ] raise: Error.
	collection add: '1' -> 'foo'.
	collection add: '1' -> 'bar'.
	self assert: (collection at: '1') =
		(self allowsDuplicateKeys ifTrue: [ 'foo' ] ifFalse: [ 'bar' ])!

testAtIfAbsent
	self assert: (collection at: '1' ifAbsent: [ 'foo' ]) = 'foo'.
	collection add: '1' -> 'bar'.
	collection add: '1' -> 'baz'.
	self assert: (collection at: '1' ifAbsent: [ 'foo' ]) = 
		(self allowsDuplicateKeys ifTrue: [ 'bar' ] ifFalse: [ 'baz' ])!

testAtIfAbsentPut
	self assert: (collection at: '1' ifAbsentPut: [ 'foo' ]) = 'foo'.
	self assertAssociations: (Array with: '1' -> 'foo').
	self assert: (collection at: '1' ifAbsentPut: [ 'bar' ]) = 'foo'.
	self assertAssociations: (Array with: '1' -> 'foo')!

testAtIfPresent
	collection add: '1' -> 'foo'.
	collection add: '1' -> 'bar'.
	self assert: (collection at: '1' ifPresent: [ :v | v , 'baz' ]) =
		(self allowsDuplicateKeys ifTrue: [ 'foobaz' ] ifFalse: [ 'barbaz' ]).
	self assert: (collection at: '2' ifPresent: [ :v | v , 'baz' ]) isNil!

testAtPut
	collection at: '1' put: 'foo'.
	collection at: '2' put: 'bar'.
	self assertAssociations: (Array with: '1' -> 'foo' with: '2' -> 'bar').
	collection at: '1' put: 'baz'.
	self assertAssociations: (Array with: '1' -> 'baz' with: '2' -> 'bar').!

testCopy
	| other |
	collection at: 1 put: 'foo'; at: 2 put: 'bar'.
	other := collection copy.
	collection at: 1 put: 'zork'; at: 3 put: 'zonk'.
	other at: 2 put: 'other'.
	
	self assert: collection size = 3.
	self assert: (collection at: 1) = 'zork'.
	self assert: (collection at: 2) = 'bar'.
	self assert: (collection at: 3) = 'zonk'.
	
	self assert: other size = 2.
	self assert: (other at: 1) = 'foo'.
	self assert: (other at: 2) = 'other'!

testDo
	| result |
	result := OrderedCollection new.
	collection at: '1' put: 'foo'; at: '2' put: 'bar'.
	collection do: [ :each | result add: each ].
	self assert: result asArray = #( 'foo' 'bar' )!

testGrow
	1 to: 100 do: [ :i |
		collection at: i put: i negated.
		self assert: collection size = i.
		[ :array :factor |
			self assert: array size = i.
			1 to: i do: [ :j | self assert: (array at: j) = (factor * j) ] ]
				value: collection keys value: 1;
				value: collection values value: -1 ]!

testIncludesKey
	self deny: (collection includesKey: '1').
	collection add: '1' -> 'foo'.
	collection add: '1' -> 'bar'.
	self assert: (collection includesKey: '1')!

testIsCollection
	self assert: collection isCollection!

testIsDictionary
	self assert: collection isDictionary!

testIsEmpty
	self assert: collection isEmpty.
	collection add: '1' -> 'foo'.
	collection add: '1' -> 'bar'.
	self deny: collection isEmpty!

testKeys
	collection add: '1' -> 'foo'; add: '2' -> 'bar'; add: '1' -> 'baz'.
	self assert: collection keys =
		(self allowsDuplicateKeys ifTrue: [ #('1' '2' '1') ] ifFalse: [ #('1' '2') ])!

testKeysAndValuesDo
	| iterated |
	collection keysAndValuesDo: [ :key :value |
		self assert: false ].
	collection add: '1' -> 'foo'; add: '2' -> 'bar'; add: '1' -> 'baz'.
	iterated := Array streamContents: [ :stream |
		collection keysAndValuesDo: [ :key :value |
			stream nextPut: key -> value ] ].
	self assert: iterated size = (self allowsDuplicateKeys ifTrue: [ 3 ] ifFalse: [ 2 ]).
	self assert: iterated first =
		(self allowsDuplicateKeys ifTrue: [ '1' -> 'foo' ] ifFalse: [ '1' -> 'baz' ]).
	self assert: iterated second = ('2' -> 'bar').
	self allowsDuplicateKeys ifTrue: [
		self assert: iterated third = ('1' -> 'baz') ].!

testKeysDo
	| result |
	result := OrderedCollection new.
	collection add: '1' -> 'foo'; add: '2' -> 'bar'; add: '1' -> 'baz'.
	collection keysDo: [ :each | result add: each ].
	self assert: result asArray = 
		(self allowsDuplicateKeys ifTrue: [ #('1' '2' '1') ] ifFalse: [ #('1' '2') ])!

testRemoveKey
	self should: [ collection removeKey: '1' ] raise: Error.
	collection add: '1' -> 'foo'.
	collection add: '1' -> 'bar'.
	collection add: '2' -> 'baz'.
	self assert: (collection removeKey: '1') =
		(self allowsDuplicateKeys ifTrue: [ #('foo' 'bar') ] ifFalse: [ 'bar' ]).
	self assertAssociations: (Array with: '2' -> 'baz').
	self assert: (collection removeKey: '2') =
		(self allowsDuplicateKeys ifTrue: [ #('baz') ] ifFalse: [ 'baz' ]).
	self assertAssociations: #().!

testRemoveKeyIfAbsent
	self assert: (collection removeKey: '1' ifAbsent: [ 'absent' ]) = 'absent'.
	collection add: '1' -> 'foo'.
	collection add: '1' -> 'bar'.
	collection add: '2' -> 'baz'.
	self assert: (collection removeKey: '1' ifAbsent: [ 'absent' ]) =
		(self allowsDuplicateKeys ifTrue: [ #('foo' 'bar') ] ifFalse: [ 'bar' ]).
	self assertAssociations: (Array with: '2' -> 'baz').
	self assert: (collection removeKey: '2' ifAbsent: [ 'absent' ]) =
		(self allowsDuplicateKeys ifTrue: [ #('baz') ] ifFalse: [ 'baz' ]).
	self assertAssociations: #().!

testSize
	self assert: collection size = 0.
	collection add: '1' -> 'foo'.
	self assert: collection size = 1.
	collection add: '2' -> 'bar'.
	self assert: collection size = 2.
	collection add: '1' -> 'baz'.
	self assert: collection size = 
		(self allowsDuplicateKeys ifTrue: [ 3 ] ifFalse: [ 2 ]).!

testValues
	collection add: '1' -> 'foo'; add: '2' -> 'bar'; add: '1' -> 'baz'.
	self assert: collection values =
		(self allowsDuplicateKeys ifTrue: [ #('foo' 'bar' 'baz') ] ifFalse: [ #('baz' 'bar') ])!

testWithAll
	| dict |
	dict := (Dictionary new at: '1' put: 'foo'; yourself).
	collection := self collectionClass withAll: dict.
	self assertAssociations: (Array with: '1' -> 'foo').
	
	dict := (GROrderedMultiMap new at: '1' put: 'foo'; at: '1' add: 'bar'; yourself).
	collection := self collectionClass withAll: dict.
	self assertAssociations:
		(self allowsDuplicateKeys
			ifFalse: [ Array with: '1' -> 'bar' ]
			ifTrue: [ Array with: '1' -> 'foo' with: '1' -> 'bar' ])
! !
!GRSmallDictionaryTest categoriesFor: #allowsDuplicateKeys!configuration!public! !
!GRSmallDictionaryTest categoriesFor: #assertAssociations:!asserting!public! !
!GRSmallDictionaryTest categoriesFor: #collectionClass!configuration!public! !
!GRSmallDictionaryTest categoriesFor: #isKey:equivalentTo:!configuration!public! !
!GRSmallDictionaryTest categoriesFor: #newCollection!configuration!public! !
!GRSmallDictionaryTest categoriesFor: #setUp!public!running! !
!GRSmallDictionaryTest categoriesFor: #testAddAll!public!tests-accessing! !
!GRSmallDictionaryTest categoriesFor: #testAddAndAssociations!public!tests-accessing! !
!GRSmallDictionaryTest categoriesFor: #testAt!public!tests-accessing! !
!GRSmallDictionaryTest categoriesFor: #testAtIfAbsent!public!tests-accessing! !
!GRSmallDictionaryTest categoriesFor: #testAtIfAbsentPut!public!tests-accessing! !
!GRSmallDictionaryTest categoriesFor: #testAtIfPresent!public!tests-accessing! !
!GRSmallDictionaryTest categoriesFor: #testAtPut!public!tests-accessing! !
!GRSmallDictionaryTest categoriesFor: #testCopy!public!tests! !
!GRSmallDictionaryTest categoriesFor: #testDo!public!tests-enumerating! !
!GRSmallDictionaryTest categoriesFor: #testGrow!public!tests! !
!GRSmallDictionaryTest categoriesFor: #testIncludesKey!public!tests-testing! !
!GRSmallDictionaryTest categoriesFor: #testIsCollection!public!tests-testing! !
!GRSmallDictionaryTest categoriesFor: #testIsDictionary!public!tests-testing! !
!GRSmallDictionaryTest categoriesFor: #testIsEmpty!public!tests-testing! !
!GRSmallDictionaryTest categoriesFor: #testKeys!public!tests-enumerating! !
!GRSmallDictionaryTest categoriesFor: #testKeysAndValuesDo!public!tests-enumerating! !
!GRSmallDictionaryTest categoriesFor: #testKeysDo!public!tests-enumerating! !
!GRSmallDictionaryTest categoriesFor: #testRemoveKey!public!tests-accessing! !
!GRSmallDictionaryTest categoriesFor: #testRemoveKeyIfAbsent!public!tests-accessing! !
!GRSmallDictionaryTest categoriesFor: #testSize!public!tests-accessing! !
!GRSmallDictionaryTest categoriesFor: #testValues!public!tests-enumerating! !
!GRSmallDictionaryTest categoriesFor: #testWithAll!public!tests! !

GRUtf8CodecTest guid: (GUID fromString: '{49B8A66A-13DB-4C26-B8C6-84EDB8905875}')!
GRUtf8CodecTest comment: ''!
!GRUtf8CodecTest categoriesForClass!Unclassified! !
!GRUtf8CodecTest methodsFor!

asString: aCollectionOfIntegers
	^String streamContents: [ :stream |
		aCollectionOfIntegers do: [ :each |
			stream nextPut: (Character codePoint: each) ] ]!

decodedString
	^ 'brstrg'!

seasideByteArray
	^ #(83 101 97 115 105 100 101) "Seaside" asByteArray!

testCodecUtf8
	#('UTF-8' 'utf-8') do: [ :codecName |
		| codec |
		codec := GRCodec forEncoding: codecName.
		self assert: codec name asLowercase = codecName asLowercase.
		self assert: codec url name asLowercase = codecName asLowercase.
		self assert: (codec encode: self decodedString) asByteArray = self utf8String asByteArray.
		self assert: (codec url encode: self decodedString) asByteArray = self utf8String asByteArray.
		self assert: (codec decode: self utf8String) = self decodedString.
		self assert: (codec url decode: self utf8String) = self decodedString ]!

testCodecUtf8Bom
	#('UTF-8' 'utf-8') do: [ :codecName |
		| codec bom |
		codec := GRCodec forEncoding: codecName.
		bom := self asString: #(239 187 191 ).
		self assert: (codec decode: bom , self utf8String) asString asByteArray = self decodedString asByteArray.
		self assert: (codec url decode: bom , self utf8String) asString asByteArray = self decodedString asByteArray]!

testCodecUtf8ShortestForm
	"Non shortest form characters should be rejected
	See Corrigendum #1: UTF-8 Shortest Form http://www.unicode.org/versions/corrigendum1.html"
	#('UTF-8' 'utf-8') do: [ :codecName |
		| codec abc |
		codec := GRCodec forEncoding: codecName.
		abc := self asString: #(193 129 193 130 193 131 ).
		self
			should: [ self deny: (codec decode: abc) = 'ABC' ]
			raise: Error ]!

testNext
	| stream |
	stream := (GRCodec forEncoding: 'utf8')
		encoderFor: self seasideByteArray readStream.
	self assert: stream next = $S.
	self assert: (stream next: 1) = 'e'!

utf8String
	^ self asString: #(195 156 98 195 168 114 115 116 114 195 174 195 177 103 195 169)! !
!GRUtf8CodecTest categoriesFor: #asString:!private! !
!GRUtf8CodecTest categoriesFor: #decodedString!accessing!public! !
!GRUtf8CodecTest categoriesFor: #seasideByteArray!private! !
!GRUtf8CodecTest categoriesFor: #testCodecUtf8!public!tests! !
!GRUtf8CodecTest categoriesFor: #testCodecUtf8Bom!public!tests! !
!GRUtf8CodecTest categoriesFor: #testCodecUtf8ShortestForm!public!tests! !
!GRUtf8CodecTest categoriesFor: #testNext!public!tests! !
!GRUtf8CodecTest categoriesFor: #utf8String!accessing!public! !

GRVersionTest guid: (GUID fromString: '{65CF2870-B220-430F-BFE3-A882F74095F4}')!
GRVersionTest comment: ''!
!GRVersionTest categoriesForClass!Unclassified! !
!GRVersionTest methodsFor!

assert: aVersionArray equals: bVersionArray
	| a b |
	a := self buildVersion: aVersionArray.
	b := self buildVersion: bVersionArray.
	self deny: a < b.
	self assert: a <= b.
	self deny: b < a.
	self assert: b <= a.
	self deny: b > a.
	self assert: b >= a.
	self deny: a > b.
	self assert: a >= b.
	self assert: a = b.!

assert: aVersionArray sortsBefore: bVersionArray
	| a b |
	a := self buildVersion: aVersionArray.
	b := self buildVersion: bVersionArray.
	self assert: a < b.
	self assert: a <= b.
	self deny: b < a.
	self deny: b <= a.
	self assert: b > a.
	self assert: b >= a.
	self deny: a > b.
	self deny: a >= b.
	self deny: a = b.!

buildVersion: anArray
	^ (GRVersion
		major: (anArray at: 1 ifAbsent: [ nil ])
		minor: (anArray at: 2 ifAbsent: [ nil ])
		revision: (anArray at: 3 ifAbsent: [ nil ]))
			stage: (anArray at: 4 ifAbsent: [ nil ]) number: (anArray at: 5 ifAbsent: [ nil ]);
			yourself!

testComparison
	self assert: #(1) sortsBefore: #(2).
	self assert: #(2) sortsBefore: #(10).
	self assert: #(1) sortsBefore: #(1 1).
	self assert: #(1 nil nil #alpha) sortsBefore: #(1).
	self assert: #(1 nil nil #alpha) sortsBefore: #(1 0).
	self assert: #(1 nil nil #alpha) sortsBefore: #(1 0 0).
	self assert: #(1 0) sortsBefore: #(2).
	self assert: #(1 0) sortsBefore: #(2 0).
	self assert: #(1 0) sortsBefore: #(1 1).
	self assert: #(1 2) sortsBefore: #(1 10).
	self assert: #(1 0 nil #alpha) sortsBefore: #(1 0).
	self assert: #(1 0 nil #alpha) sortsBefore: #(1 0 0).
	self assert: #(1 0 0) sortsBefore: #(2).
	self assert: #(1 0 0) sortsBefore: #(1 1).
	self assert: #(1 0 1) sortsBefore: #(1 1).
	self assert: #(1 0 1 #alpha) sortsBefore: #(1 1).
	self assert: #(1 1 0 #alpha) sortsBefore: #(1 1).
	self assert: #(1 1 0 #alpha 2) sortsBefore: #(1 1).
	self assert: #(1 1 0 #beta) sortsBefore: #(1 1).
	self assert: #(1 1 0 #beta 2) sortsBefore: #(1 1).
	self assert: #(1 nil nil #alpha) sortsBefore: #(1 nil nil #alpha 2).
	self assert: #(1 nil nil #beta) sortsBefore: #(1 nil nil #beta 2).
	self assert: #(1 0 nil #alpha) sortsBefore: #(1 0 nil #alpha 2).
	self assert: #(1 0 nil #beta) sortsBefore: #(1 0 nil #beta 2).
	self assert: #(1 0 0 #alpha) sortsBefore: #(1 0 0 #alpha 2).
	self assert: #(1 0 0 #beta) sortsBefore: #(1 0 0 #beta 2).!

testConvenience
	| version |
	version := GRVersion major: 1 minor: 2 revision: 3.
	self assert: version stage isNil.
	self assert: version stageNumber isNil.
	self assert: version isFinal.
	self deny: version isAlpha.
	self deny: version isBeta.
	version beAlpha.
	self assert: version stage = #alpha.
	self assert: version stageNumber isNil.
	self assert: version isAlpha.
	self deny: version isBeta.
	self deny: version isFinal.
	version beBeta.
	self assert: version stage = #beta.
	self assert: version stageNumber isNil.
	self assert: version isBeta.
	self deny: version isAlpha.
	self deny: version isFinal.
	version beReleaseCandidate.
	self assert: version stage = #rc.
	self assert: version stageNumber isNil.
	self assert: version isReleaseCandidate.
	version beReleaseCandidate: 1.
	self assert: version stage = #rc.
	self assert: version stageNumber = 1.
	self assert: version isReleaseCandidate.
	version beAlpha: 1.
	self assert: version stage = #alpha.
	self assert: version stageNumber = 1.
	self assert: version isAlpha.
	self deny: version isBeta.
	self deny: version isFinal.
	version beBeta: 1.
	self assert: version stage = #beta.
	self assert: version stageNumber = 1.
	self assert: version isBeta.
	self deny: version isAlpha.
	self deny: version isFinal.
	version beFinal.
	self assert: version stage isNil.
	self assert: version stageNumber isNil.
	self assert: version isFinal.
	self deny: version isAlpha.
	self deny: version isBeta.	!

testEquality
	self assert: #(1) equals: #(1).
	self assert: #(1) equals: #(1 0).
	self assert: #(1) equals: #(1 0 0).
	self assert: #(1 0) equals: #(1 0).
	self assert: #(1 0) equals: #(1 0 0).
	self assert: #(1 0 0) equals: #(1 0 0).
	self assert: #(1 0 0 #alpha) equals: #(1 0 0 #alpha 1).
	self assert: #(1 0 0 #beta) equals: #(1 0 0 #beta 1).!

testStringConversion
	self assert: (GRVersion major: 1 minor: 2 revision: 3) greaseString = '1.2.3'.
	self assert: (GRVersion major: 11 minor: 12 revision: 13) greaseString = '11.12.13'.
	self assert: (GRVersion major: 1 minor: 2) greaseString = '1.2'.
	self assert: (GRVersion major: 1 minor: 2 revision: 0) greaseString = '1.2.0'.
	self assert: (GRVersion major: 1) greaseString = '1.0'.
	self assert: ((GRVersion major: 1 minor: 2 revision: 3) beAlpha) greaseString = '1.2.3alpha'.
	self assert: ((GRVersion major: 1 minor: 2 revision: 3) beAlpha: 1) greaseString = '1.2.3alpha1'.
	self assert: ((GRVersion major: 1 minor: 2 revision: 3) beBeta) greaseString = '1.2.3beta'.
	self assert: ((GRVersion major: 1 minor: 2 revision: 3) beBeta: 1) greaseString = '1.2.3beta1'.! !
!GRVersionTest categoriesFor: #assert:equals:!asserting!public! !
!GRVersionTest categoriesFor: #assert:sortsBefore:!asserting!public! !
!GRVersionTest categoriesFor: #buildVersion:!private! !
!GRVersionTest categoriesFor: #testComparison!public!tests! !
!GRVersionTest categoriesFor: #testConvenience!public!tests! !
!GRVersionTest categoriesFor: #testEquality!public!tests! !
!GRVersionTest categoriesFor: #testStringConversion!public!tests! !

GRAbstractDictionaryTest guid: (GUID fromString: '{85962BA6-B151-419A-BE68-1EDE1CEBEDF1}')!
GRAbstractDictionaryTest comment: ''!
!GRAbstractDictionaryTest categoriesForClass!Unclassified! !
!GRAbstractDictionaryTest methodsFor!

allowsDuplicateValues
	^ true!

arbitraryAssociations
	^ associations ifNil: [ associations := self createArbitraryAssociations ]!

arbitraryCollection
	| dict |
	dict := self emptyCollection.
	self arbitraryAssociations do: [ :each |
		dict at: each key put: each value ].
	^ dict!

createArbitraryAssociations
	self subclassResponsibility!

isExtensible
	^ false!

isInitializable
	^ false!

isKey: anObject equivalentTo: anotherObject
	self subclassResponsibility!

testAssociationsDo
	| collection assocs count |
	collection := self arbitraryCollection.
	assocs := self arbitraryAssociations copy.
	count := 0.
	collection associationsDo: [:assoc |
		| size |
		count := count + 1.
		size := assocs size.
		assocs := assocs
			reject: [ :each |
				(self isKey: each key equivalentTo: assoc key)
					and: [ each value = assoc value ] ].
		self assert: size - 1 = assocs size ].
	self assert: assocs isEmpty.
	self assert: count = self arbitraryAssociations size!

valuesOf: aCollection
	^ aCollection values! !
!GRAbstractDictionaryTest categoriesFor: #allowsDuplicateValues!configuration!public! !
!GRAbstractDictionaryTest categoriesFor: #arbitraryAssociations!configuration!public! !
!GRAbstractDictionaryTest categoriesFor: #arbitraryCollection!configuration!public! !
!GRAbstractDictionaryTest categoriesFor: #createArbitraryAssociations!configuration!public! !
!GRAbstractDictionaryTest categoriesFor: #isExtensible!public!testing-ansi! !
!GRAbstractDictionaryTest categoriesFor: #isInitializable!public!testing-ansi! !
!GRAbstractDictionaryTest categoriesFor: #isKey:equivalentTo:!configuration!public! !
!GRAbstractDictionaryTest categoriesFor: #testAssociationsDo!public!tests! !
!GRAbstractDictionaryTest categoriesFor: #valuesOf:!private! !

!GRAbstractDictionaryTest class methodsFor!

isAbstract
	^ self name = #GRAbstractDictionaryTest! !
!GRAbstractDictionaryTest class categoriesFor: #isAbstract!public!testing! !

GRAbstractSequenceableCollectionTest guid: (GUID fromString: '{244C23DF-CB36-417E-B0DB-BB3998008FBF}')!
GRAbstractSequenceableCollectionTest comment: ''!
!GRAbstractSequenceableCollectionTest categoriesForClass!Unclassified! !
!GRAbstractSequenceableCollectionTest methodsFor!

isHomogeneous
	"Some classes can contain only objects of a particular class.  String is an example of such a class."
	^ self subclassResponsibility!

isSequenced
	"Answer whether the tested Collection implements the <sequencedCollection>
	protocol as defined in ANSI 5.7.12."
	
	self subclassResponsibility!

isUnique
	"Some classes cannot be copied because they represent unique values.  Symbol is an example of such a class."
	^ self subclassResponsibility!

testAddFirst
	| collection |
	(self isExtensible and: [ self isSequenced ]) ifFalse: [ ^ self ].
	
	collection := self arbitraryCollection.
	collection addFirst: self excludedElement.
	self assert: (collection at: 1) = self excludedElement.
	self assert: (collection copyFrom: 2 to: collection size) = self arbitraryCollection.!

testBeginsWithEmptySubCollection
	| collection | 
	collection := self arbitraryCollection.
	self deny: (collection beginsWithSubCollection: self emptyCollection).
	self deny: (self emptyCollection beginsWithSubCollection: collection).!

testBeginsWithSubCollection
	| collection |
	collection := self arbitraryCollection.
	self assert: (collection beginsWithSubCollection: (collection copyWithout: collection last)).
	self assert: (collection beginsWithSubCollection: collection).
	self deny: (collection beginsWithSubCollection: (collection copyWith: collection first)).!

testCopyAfter
	|  collection sub |
	
	"match last element"
	collection := self arbitraryCollection.
	sub := collection copyAfter: collection last.
	self assert: sub validSequencedNewResponseFrom: collection.
	self assert: sub isEmpty.
	
	"no match"
	self isUnique ifFalse: [
		sub := collection copyAfter: self excludedElement.
		self assert: sub validSequencedNewResponseFrom: collection.
		self assert: sub isEmpty ].
	
	"match an element"
	sub := collection copyAfter: self includedElement.
	self assert: sub validSequencedNewResponseFrom: collection.
	self assert: sub = (collection copyFrom: collection size - sub size + 1 to: collection size).
	self assert: (collection at: collection size - sub size) = self includedElement.

	self allowsDuplicateValues ifTrue: [
		sub := collection copyAfter: self duplicateElement.
		self assert: sub validSequencedNewResponseFrom: collection.
		self assert: sub = (collection copyFrom: collection size - sub size + 1 to: collection size).
		self assert: (collection at: collection size - sub size) = self duplicateElement.
		self assert: (sub includes: self duplicateElement) ].
	
	"Make sure we're using equality"
	(self isHomogeneous not and: [ self isInitializable ]) ifTrue: [
		collection := self collectionClass withAll: #(1 '1').
		sub := collection copyAfter: 1.
		self assert: sub size = 1.
		self assert: (sub at: 1) = '1' ]!

testCopyAfterLast
	|  collection sub |
	
	"match first element"
	collection := self arbitraryCollection.
	sub := collection copyAfterLast: collection last.
	self assert: sub validSequencedNewResponseFrom: collection.
	self assert: sub isEmpty.
	
	"no match"
	self isUnique ifFalse: [
		sub := collection copyAfter: self excludedElement.
		self assert: sub validSequencedNewResponseFrom: collection.
		self assert: sub isEmpty ].
	
	"match an element"
	sub := collection copyAfterLast: self includedElement.
	self assert: sub validSequencedNewResponseFrom: collection.
	self assert: sub = (collection copyFrom: collection size - sub size + 1 to: collection size).
	self assert: (collection at: collection size - sub size) = self includedElement.

	self allowsDuplicateValues ifTrue: [
		sub := collection copyAfterLast: self duplicateElement.
		self assert: sub validSequencedNewResponseFrom: collection.
		self assert: sub = (collection copyFrom: collection size - sub size + 1 to: collection size).
		self assert: (collection at: collection size - sub size) = self duplicateElement.
		self deny: (sub includes: self duplicateElement) ].
	
	"Make sure we're using equality"
	(self isHomogeneous not and: [ self isInitializable ]) ifTrue: [
		collection := self collectionClass withAll: #(1 '1').
		sub := collection copyAfterLast: 1.
		self assert: sub size = 1.
		self assert: (sub at: 1) = '1' ]!

testCopyUpTo
	|  collection sub |
	
	"match first element"
	collection := self arbitraryCollection.
	sub := collection copyUpTo: (collection at: 1).
	self assert: sub validSequencedNewResponseFrom: collection.
	self assert: sub isEmpty.
	
	"no match"
	self isUnique ifFalse: [
		sub := collection copyUpTo: self excludedElement.
		self assert: sub validSequencedNewResponseFrom: collection.
		self assert: sub size = collection size.
		collection keysAndValuesDo: [:index :value |
			self assert: (sub at: index) = value ]].
	
	"match an element"
	sub := collection copyUpTo: self includedElement.
	self assert: sub validSequencedNewResponseFrom: collection.
	self assert: sub = (collection copyFrom: 1 to: sub size).
	self assert: (collection at: sub size + 1) = self includedElement.

	self allowsDuplicateValues ifTrue: [
		sub := collection copyUpTo: self duplicateElement.
		self assert: sub validSequencedNewResponseFrom: collection.
		self assert: sub = (collection copyFrom: 1 to: sub size).
		self assert: (collection at: sub size + 1) = self duplicateElement.
		self deny: (sub includes: self duplicateElement) ].
	
	"Make sure we're using equality"
	(self isHomogeneous not and: [ self isInitializable ]) ifTrue: [
		collection := self collectionClass withAll: #(1 '1').
		sub := collection copyUpTo: '1'.
		self assert: sub size = 1.
		self assert: (sub at: 1) = 1 ]!

testCopyUpToLast
	|  collection sub |
	
	"match first element"
	collection := self arbitraryCollection.
	sub := collection copyUpToLast: collection first.
	self assert: sub validSequencedNewResponseFrom: collection.
	self assert: sub isEmpty.
	
	"no match"
	self isUnique ifFalse: [
		sub := collection copyUpToLast: self excludedElement.
		self assert: sub validSequencedNewResponseFrom: collection.
		self assert: sub size = collection size.
		collection keysAndValuesDo: [:index :value |
			self assert: (sub at: index) = value ]].
	
	"match an element"
	sub := collection copyUpToLast: self includedElement.
	self assert: sub validSequencedNewResponseFrom: collection.
	self assert: sub = (collection copyFrom: 1 to: sub size).
	self assert: (collection at: sub size + 1) = self includedElement.

	self allowsDuplicateValues ifTrue: [
		sub := collection copyUpToLast: self duplicateElement.
		self assert: sub validSequencedNewResponseFrom: collection.
		self assert: sub = (collection copyFrom: 1 to: sub size).
		self assert: (collection at: sub size + 1) = self duplicateElement.
		self assert: (sub includes: self duplicateElement) ].
	
	"Make sure we're using equality"
	(self isHomogeneous not and: [ self isInitializable ]) ifTrue: [
		collection := self collectionClass withAll: #(1 '1').
		sub := collection copyUpToLast: '1'.
		self assert: sub size = 1.
		self assert: sub first = 1 ]!

testEndsWithEmptySubCollection
	| collection | 
	collection := self arbitraryCollection.
	self deny: (collection endsWithSubCollection: self emptyCollection).
	self deny: (self emptyCollection endsWithSubCollection: collection).!

testEndsWithSubCollection
	| collection |
	collection := self arbitraryCollection.
	self assert: (collection endsWithSubCollection: (collection copyWithout: collection first)).
	self assert: (collection endsWithSubCollection: collection).
	self deny: (collection endsWithSubCollection: (collection copyWith: collection first)).!

testSort
	| collection |
	self isSequenced ifFalse: [ ^ self ].
	
	collection := self arbitraryCollection.
	collection sort.
	self assert: collection sortedWith: [ :a :b | a <= b ].
	
	collection sort: [ :a :b | a > b ].
	self assert: collection sortedWith: [ :a :b | a > b ].! !
!GRAbstractSequenceableCollectionTest categoriesFor: #isHomogeneous!public!testing! !
!GRAbstractSequenceableCollectionTest categoriesFor: #isSequenced!public!testing-ansi! !
!GRAbstractSequenceableCollectionTest categoriesFor: #isUnique!public!testing! !
!GRAbstractSequenceableCollectionTest categoriesFor: #testAddFirst!public!tests! !
!GRAbstractSequenceableCollectionTest categoriesFor: #testBeginsWithEmptySubCollection!public!tests! !
!GRAbstractSequenceableCollectionTest categoriesFor: #testBeginsWithSubCollection!public!tests! !
!GRAbstractSequenceableCollectionTest categoriesFor: #testCopyAfter!public!tests! !
!GRAbstractSequenceableCollectionTest categoriesFor: #testCopyAfterLast!public!tests! !
!GRAbstractSequenceableCollectionTest categoriesFor: #testCopyUpTo!public!tests! !
!GRAbstractSequenceableCollectionTest categoriesFor: #testCopyUpToLast!public!tests! !
!GRAbstractSequenceableCollectionTest categoriesFor: #testEndsWithEmptySubCollection!public!tests! !
!GRAbstractSequenceableCollectionTest categoriesFor: #testEndsWithSubCollection!public!tests! !
!GRAbstractSequenceableCollectionTest categoriesFor: #testSort!public!tests! !

!GRAbstractSequenceableCollectionTest class methodsFor!

isAbstract
	^ self name = #GRAbstractSequenceableCollectionTest! !
!GRAbstractSequenceableCollectionTest class categoriesFor: #isAbstract!public!testing! !

GRBagTest guid: (GUID fromString: '{6BC43D68-82D8-4F78-885A-B0A342A5D010}')!
GRBagTest comment: ''!
!GRBagTest categoriesForClass!Unclassified! !
!GRBagTest methodsFor!

allowsDuplicateValues
	^ true!

collectionClass
	^ Bag!

isExtensible
	^ true!

isInitializable
	^ true! !
!GRBagTest categoriesFor: #allowsDuplicateValues!configuration!public! !
!GRBagTest categoriesFor: #collectionClass!configuration!public! !
!GRBagTest categoriesFor: #isExtensible!public!testing-ansi! !
!GRBagTest categoriesFor: #isInitializable!public!testing-ansi! !

GRSetTest guid: (GUID fromString: '{4748B864-095E-44CF-A93E-7D887BB8BE51}')!
GRSetTest comment: ''!
!GRSetTest categoriesForClass!Unclassified! !
!GRSetTest methodsFor!

allowsDuplicateValues
	^ false!

collectionClass
	^ Set!

isExtensible
	^ true!

isInitializable
	^ true! !
!GRSetTest categoriesFor: #allowsDuplicateValues!configuration!public! !
!GRSetTest categoriesFor: #collectionClass!configuration!public! !
!GRSetTest categoriesFor: #isExtensible!public!testing-ansi! !
!GRSetTest categoriesFor: #isInitializable!public!testing-ansi! !

GRDictionaryTest guid: (GUID fromString: '{44A46DE6-9109-45D0-B2A2-61012628736B}')!
GRDictionaryTest comment: ''!
!GRDictionaryTest categoriesForClass!Unclassified! !
!GRDictionaryTest methodsFor!

collectionClass
	^ Dictionary!

createArbitraryAssociations
	^ OrderedCollection new
		add: #c -> 3;
		add: #a -> 1;
		add: #b -> 2;
		add: #e -> 1;
		add: #d -> 4;
		yourself!

isKey: anObject equivalentTo: anotherObject
	^ anObject = anotherObject! !
!GRDictionaryTest categoriesFor: #collectionClass!configuration!public! !
!GRDictionaryTest categoriesFor: #createArbitraryAssociations!configuration!public! !
!GRDictionaryTest categoriesFor: #isKey:equivalentTo:!configuration!public! !

GRIdentityDictionaryTest guid: (GUID fromString: '{27F0B436-E064-4921-BC5C-5617D846B493}')!
GRIdentityDictionaryTest comment: ''!
!GRIdentityDictionaryTest categoriesForClass!Unclassified! !
!GRIdentityDictionaryTest methodsFor!

collectionClass
	^ IdentityDictionary!

createArbitraryAssociations
	^ OrderedCollection new
		add: 'c' -> 3;
		add: 'a' -> 1;
		add: 'b' -> 2;
		add: 'd' -> 1;
		add: 'b' copy -> 4;
		yourself!

isKey: anObject equivalentTo: anotherObject
	^ anObject == anotherObject! !
!GRIdentityDictionaryTest categoriesFor: #collectionClass!configuration!public! !
!GRIdentityDictionaryTest categoriesFor: #createArbitraryAssociations!configuration!public! !
!GRIdentityDictionaryTest categoriesFor: #isKey:equivalentTo:!configuration!public! !

GRArrayTest guid: (GUID fromString: '{30CBE452-A4D9-4203-AD98-7008FCA30468}')!
GRArrayTest comment: ''!
!GRArrayTest categoriesForClass!Unclassified! !
!GRArrayTest methodsFor!

allowsDuplicateValues
	^ true!

collectionClass
	^ Array!

isExtensible
	^ false!

isHomogeneous
	^ false!

isInitializable
	^ true!

isSequenced
	^ true!

isUnique
	^ false! !
!GRArrayTest categoriesFor: #allowsDuplicateValues!configuration!public! !
!GRArrayTest categoriesFor: #collectionClass!configuration!public! !
!GRArrayTest categoriesFor: #isExtensible!public!testing-ansi! !
!GRArrayTest categoriesFor: #isHomogeneous!public!testing! !
!GRArrayTest categoriesFor: #isInitializable!public!testing-ansi! !
!GRArrayTest categoriesFor: #isSequenced!public!testing-ansi! !
!GRArrayTest categoriesFor: #isUnique!public!testing! !

GRIntervalTest guid: (GUID fromString: '{9AA43A90-C61F-46BC-941D-0EDF11E257A7}')!
GRIntervalTest comment: ''!
!GRIntervalTest categoriesForClass!Unclassified! !
!GRIntervalTest methodsFor!

allowsDuplicateValues
	^ false!

arbitraryCollection
	^ 1 to: 4!

collectionClass
	^ Interval!

emptyCollection
	^ 1 to: 0!

isExtensible
	^ false!

isHomogeneous
	^ true!

isInitializable
	^ false!

isSequenced
	^ false!

isUnique
	^ false!

testBeginsWithSubCollection
	self assert: ((-5 to: 10 by: 3) beginsWithSubCollection: (-5 to: 7 by: 3)).
	self assert: ((-5 to: 10 by: 3) beginsWithSubCollection: (-5 to: 10 by: 3)).
	self deny: ((-5 to: 10 by: 3) beginsWithSubCollection: (-8 to: 10 by: 3)).!

testEndsWithSubCollection
	self assert: ((-5 to: 10 by: 3) endsWithSubCollection: (-2 to: 10 by: 3)).
	self assert: ((-5 to: 10 by: 3) endsWithSubCollection: (-5 to: 10 by: 3)).
	self deny: ((-5 to: 10 by: 3) endsWithSubCollection: (-5 to: 13 by: 3)).! !
!GRIntervalTest categoriesFor: #allowsDuplicateValues!configuration!public! !
!GRIntervalTest categoriesFor: #arbitraryCollection!configuration!public! !
!GRIntervalTest categoriesFor: #collectionClass!configuration!public! !
!GRIntervalTest categoriesFor: #emptyCollection!configuration!public! !
!GRIntervalTest categoriesFor: #isExtensible!public!testing-ansi! !
!GRIntervalTest categoriesFor: #isHomogeneous!public!testing! !
!GRIntervalTest categoriesFor: #isInitializable!public!testing-ansi! !
!GRIntervalTest categoriesFor: #isSequenced!public!testing-ansi! !
!GRIntervalTest categoriesFor: #isUnique!public!testing! !
!GRIntervalTest categoriesFor: #testBeginsWithSubCollection!public!tests! !
!GRIntervalTest categoriesFor: #testEndsWithSubCollection!public!tests! !

GROrderedCollectionTest guid: (GUID fromString: '{C44E80C7-B8A7-4D61-9B6C-4DCF79D0C67E}')!
GROrderedCollectionTest comment: ''!
!GROrderedCollectionTest categoriesForClass!Unclassified! !
!GROrderedCollectionTest methodsFor!

allowsDuplicateValues
	^ true!

collectionClass
	^ OrderedCollection!

isExtensible
	^ true!

isHomogeneous
	^ false!

isInitializable
	^ true!

isSequenced
	^ true!

isUnique
	^ false! !
!GROrderedCollectionTest categoriesFor: #allowsDuplicateValues!configuration!public! !
!GROrderedCollectionTest categoriesFor: #collectionClass!configuration!public! !
!GROrderedCollectionTest categoriesFor: #isExtensible!public!testing-ansi! !
!GROrderedCollectionTest categoriesFor: #isHomogeneous!public!testing! !
!GROrderedCollectionTest categoriesFor: #isInitializable!public!testing-ansi! !
!GROrderedCollectionTest categoriesFor: #isSequenced!public!testing-ansi! !
!GROrderedCollectionTest categoriesFor: #isUnique!public!testing! !

GRSortedCollectionTest guid: (GUID fromString: '{05DEEFEC-2649-4910-9AC6-BCD889D33830}')!
GRSortedCollectionTest comment: ''!
!GRSortedCollectionTest categoriesForClass!Unclassified! !
!GRSortedCollectionTest methodsFor!

allowsDuplicateValues
	^ true!

collectionClass
	^ SortedCollection!

isExtensible
	^ true!

isHomogeneous
	^ true!

isInitializable
	^ true!

isSequenced
	^ false!

isUnique
	^ false! !
!GRSortedCollectionTest categoriesFor: #allowsDuplicateValues!configuration!public! !
!GRSortedCollectionTest categoriesFor: #collectionClass!configuration!public! !
!GRSortedCollectionTest categoriesFor: #isExtensible!public!testing-ansi! !
!GRSortedCollectionTest categoriesFor: #isHomogeneous!public!testing! !
!GRSortedCollectionTest categoriesFor: #isInitializable!public!testing-ansi! !
!GRSortedCollectionTest categoriesFor: #isSequenced!public!testing-ansi! !
!GRSortedCollectionTest categoriesFor: #isUnique!public!testing! !

GRStringTest guid: (GUID fromString: '{69764313-99F0-4BEE-8FE5-BD74B4021FCA}')!
GRStringTest comment: ''!
!GRStringTest categoriesForClass!Unclassified! !
!GRStringTest methodsFor!

allowsDuplicateValues
	^ true!

arbitraryCollection
	^ 'fadbbc' copy   "String literals are immutable"!

collectionClass
	^ String!

duplicateElement
	^ $b!

excludedElement
	^ $Q!

includedElement
	^ $d!

isExtensible
	^ false!

isHomogeneous
	^ true!

isInitializable
	^ true!

isSequenced
	^ true!

isUnique
	^ false!

testAsUppercase
	self assert: 'abc' asUppercase = 'ABC'.
	self assert: 'ABC' asUppercase = 'ABC'!

testCapitalized
	self assert: 'capitalized' capitalized = 'Capitalized'.
	self assert: 'Capitalized' capitalized = 'Capitalized'.
	self assert: 'CAPITALIZED' capitalized = 'CAPITALIZED'.
	self assert: #'capitalized' capitalized = #'Capitalized'.
	self assert: #'Capitalized' capitalized = #'Capitalized'.
	self assert: #'CAPITALIZED' capitalized = #'CAPITALIZED'.!

testCapitalizedUmlauts
	self assert: '' capitalized = ''.
	self assert: '' capitalized = ''.
	self assert: '' capitalized = ''.
	self assert: #'' capitalized = #''.
	self assert: #'' capitalized = #''.
	self assert: #'' capitalized = #''!

testExcerpt
	self assert: ('abcde' excerpt: 'c' radius: 0) = '...c...'.
	self assert: ('abcde' excerpt: 'c' radius: 1) = '...bcd...'.
	self assert: ('abcde' excerpt: 'c' radius: 2) = 'abcde'.
	self assert: ('abcde' excerpt: 'c' radius: 3) = 'abcde'.
	
	self assert: ('abcde' excerpt: 'c' radius: 0 ellipsis: 'x') = 'xcx'.
	self assert: ('abcde' excerpt: 'c' radius: 1 ellipsis: 'x') = 'xbcdx'.
	self assert: ('abcde' excerpt: 'c' radius: 2 ellipsis: 'x') = 'abcde'!

testExcerptEmpty
	self assert: ('' excerpt: '') isNil.
	self assert: ('' excerpt: 'x') isNil.
	self assert: ('x' excerpt: '') isNil!

testExcerptLeft
	self assert: ('abcde' excerpt: 'd' radius: 0 ellipsis: 'x') = 'xdx'.
	self assert: ('abcde' excerpt: 'd' radius: 1 ellipsis: 'x') = 'xcde'.
	self assert: ('abcde' excerpt: 'd' radius: 2 ellipsis: 'x') = 'xbcde'.
	self assert: ('abcde' excerpt: 'd' radius: 3 ellipsis: 'x') = 'abcde'!

testExcerptRight
	self assert: ('abcde' excerpt: 'b' radius: 0 ellipsis: 'x') = 'xbx'.
	self assert: ('abcde' excerpt: 'b' radius: 1 ellipsis: 'x') = 'abcx'.
	self assert: ('abcde' excerpt: 'b' radius: 2 ellipsis: 'x') = 'abcdx'.
	self assert: ('abcde' excerpt: 'b' radius: 3 ellipsis: 'x') = 'abcde'!

testInflectorAssimilated
	self assert: 'vertice' pluralize = 'vertices'.
	self assert: 'index' pluralize = 'indices'!

testInflectorCommonSuffixes
	self assert: 'mouse' pluralize = 'mice'.
	self assert: 'synopse' pluralize = 'synopses'.
	self assert: 'man' pluralize = 'men'!

testInflectorFfffSuffixes
	self assert: 'life' pluralize = 'lives'.
	self assert: 'wolf' pluralize = 'wolves'!

testInflectorIrregular
	self assert: 'genie' pluralize = 'genies'.
	self assert: 'ox' pluralize = 'oxen'.
	self assert: 'cow' pluralize = 'kine'.
	self assert: 'child' pluralize = 'children'.
	self assert: 'woman' pluralize = 'women'!

testInflectorNotInflecting
	self assert: 'fish' pluralize = 'fish'.
	self assert: 'travois' pluralize = 'travois'.
	self assert: 'chassis' pluralize = 'chassis'.
	self assert: 'nationalities' pluralize = 'nationalities'!

testInflectorTsssSuffixes
	self assert: 'church' pluralize = 'churches'.
	self assert: 'class' pluralize = 'classes'!

testInflectorYyyySuffixes
	self assert: 'story' pluralize = 'stories'.
	self assert: 'lady' pluralize = 'ladies'.
	self assert: 'stay' pluralize = 'stays'.!

testSubStrings
	"#subStrings: is defined by ANSI 5.7.10.15:
	Answer an array containing the substrings in the receiver separated by the elements of separators."
	| mimeType tokens |
	mimeType := 'application/xhtml+xml'.
	tokens := mimeType greaseSubStrings: '/'.
	self assert: tokens size = 2.
	self assert: tokens first = 'application'.
	self assert: tokens second = 'xhtml+xml'.
	
	"ANSI is a bit unclear on how multiple sequential delimiters should be treated.
	Make sure behaviour is consistent for several delimiters in a row (taken from
	Squeak's behaviour)"
	tokens := 'abc,.def.ghi' greaseSubStrings: '.,'.
	self assert: tokens size = 3.
	self assert: tokens first = 'abc'.
	self assert: tokens second = 'def'.
	self assert: tokens third = 'ghi'.

	"also ensure behavior consistent for several delimiters in a row at beginning and end of string...for completeness"
	tokens := ',.abc,.def.ghi.,' greaseSubStrings: '.,'.
	self assert: tokens size = 3.
	self assert: tokens first = 'abc'.
	self assert: tokens second = 'def'.
	self assert: tokens third = 'ghi'.
!

testTrimBoth
	self assert: '' trimBoth = ''.
	self assert: ' ' trimBoth = ''.
	self assert: '	' trimBoth = ''.
	self assert: 'foo' trimBoth = 'foo'.
	self assert: ' foo ' trimBoth = 'foo'.
	self assert: '  foo  ' trimBoth = 'foo'.
	self assert: ((String with: Character cr), '   foo  ') trimBoth = 'foo'.
	
	self assert: ('aabbaa' trimBoth: [ :each | each = $a ]) = 'bb'.
	self assert: ('bbaabb' trimBoth: [ :each | each = $a ]) = 'bbaabb'!

testTrimLeft
	self assert: '' trimLeft = ''.
	self assert: ' ' trimLeft = ''.
	self assert: '	' trimLeft = ''.
	self assert: 'foo' trimLeft = 'foo'.
	self assert: ' foo ' trimLeft = 'foo '.
	self assert: '  foo  ' trimLeft = 'foo  '.
	
	self assert: ('aabbaa' trimLeft: [ :each | each = $a ]) = 'bbaa'.
	self assert: ('bbaabb' trimLeft: [ :each | each = $a ]) = 'bbaabb'!

testTrimRight
	self assert: '' trimRight = ''.
	self assert: ' ' trimRight = ''.
	self assert: '	' trimRight = ''.
	self assert: 'foo' trimRight = 'foo'.
	self assert: ' foo ' trimRight = ' foo'.
	self assert: '  foo  ' trimRight = '  foo'.
	
	self assert: ('aabbaa' trimRight: [ :each | each = $a ]) = 'aabb'.
	self assert: ('bbaabb' trimRight: [ :each | each = $a ]) = 'bbaabb'!

testTruncate
	self assert: ('abc' truncate) = 'abc'.
	self assert: ('abc' truncate: 3) = 'abc'.
	self assert: ('abc' truncate: 2) = 'ab...'.
	
	self assert: ('abc' truncate: 1 ellipsis: '') = 'a'.
	self assert: ('abc' truncate: 0 ellipsis: 'none') = 'none'!

testTruncateEmpty
	self assert: '' truncate = ''! !
!GRStringTest categoriesFor: #allowsDuplicateValues!configuration!public! !
!GRStringTest categoriesFor: #arbitraryCollection!configuration!public! !
!GRStringTest categoriesFor: #collectionClass!configuration!public! !
!GRStringTest categoriesFor: #duplicateElement!configuration!public! !
!GRStringTest categoriesFor: #excludedElement!configuration!public! !
!GRStringTest categoriesFor: #includedElement!configuration!public! !
!GRStringTest categoriesFor: #isExtensible!public!testing-ansi! !
!GRStringTest categoriesFor: #isHomogeneous!public!testing! !
!GRStringTest categoriesFor: #isInitializable!public!testing-ansi! !
!GRStringTest categoriesFor: #isSequenced!public!testing-ansi! !
!GRStringTest categoriesFor: #isUnique!public!testing! !
!GRStringTest categoriesFor: #testAsUppercase!public!tests-converting! !
!GRStringTest categoriesFor: #testCapitalized!public!tests-converting! !
!GRStringTest categoriesFor: #testCapitalizedUmlauts!public!tests-converting! !
!GRStringTest categoriesFor: #testExcerpt!public!tests-excerpt! !
!GRStringTest categoriesFor: #testExcerptEmpty!public!tests-excerpt! !
!GRStringTest categoriesFor: #testExcerptLeft!public!tests-excerpt! !
!GRStringTest categoriesFor: #testExcerptRight!public!tests-excerpt! !
!GRStringTest categoriesFor: #testInflectorAssimilated!public!tests-pluralize! !
!GRStringTest categoriesFor: #testInflectorCommonSuffixes!public!tests-pluralize! !
!GRStringTest categoriesFor: #testInflectorFfffSuffixes!public!tests-pluralize! !
!GRStringTest categoriesFor: #testInflectorIrregular!public!tests-pluralize! !
!GRStringTest categoriesFor: #testInflectorNotInflecting!public!tests-pluralize! !
!GRStringTest categoriesFor: #testInflectorTsssSuffixes!public!tests-pluralize! !
!GRStringTest categoriesFor: #testInflectorYyyySuffixes!public!tests-pluralize! !
!GRStringTest categoriesFor: #testSubStrings!public!tests! !
!GRStringTest categoriesFor: #testTrimBoth!public!tests-trim! !
!GRStringTest categoriesFor: #testTrimLeft!public!tests-trim! !
!GRStringTest categoriesFor: #testTrimRight!public!tests-trim! !
!GRStringTest categoriesFor: #testTruncate!public!tests-truncate! !
!GRStringTest categoriesFor: #testTruncateEmpty!public!tests-truncate! !

GRSymbolTest guid: (GUID fromString: '{95E16974-B28D-415E-ACAE-381AD897783A}')!
GRSymbolTest comment: ''!
!GRSymbolTest categoriesForClass!Unclassified! !
!GRSymbolTest methodsFor!

allowsDuplicateValues
	^ true!

arbitraryCollection
	^ #'fadbbc'!

collectionClass
	^ Symbol!

duplicateElement
	^ $b!

emptyCollection
	^ #''!

excludedElement
	^ $Q!

includedElement
	^ $d!

isExtensible
	^ false!

isHomogeneous
	^ true!

isInitializable
	^ false!

isSequenced
	^ false!

isUnique
	^ true! !
!GRSymbolTest categoriesFor: #allowsDuplicateValues!configuration!public! !
!GRSymbolTest categoriesFor: #arbitraryCollection!configuration!public! !
!GRSymbolTest categoriesFor: #collectionClass!configuration!public! !
!GRSymbolTest categoriesFor: #duplicateElement!configuration!public! !
!GRSymbolTest categoriesFor: #emptyCollection!configuration!public! !
!GRSymbolTest categoriesFor: #excludedElement!configuration!public! !
!GRSymbolTest categoriesFor: #includedElement!configuration!public! !
!GRSymbolTest categoriesFor: #isExtensible!public!testing-ansi! !
!GRSymbolTest categoriesFor: #isHomogeneous!configuration!public! !
!GRSymbolTest categoriesFor: #isInitializable!public!testing-ansi! !
!GRSymbolTest categoriesFor: #isSequenced!public!testing-ansi! !
!GRSymbolTest categoriesFor: #isUnique!configuration!public! !

GROrderedMultiMapTest guid: (GUID fromString: '{FD7458CC-B920-47D3-AFE2-DEFE90AD8579}')!
GROrderedMultiMapTest comment: ''!
!GROrderedMultiMapTest categoriesForClass!Unclassified! !
!GROrderedMultiMapTest methodsFor!

allowsDuplicateKeys
	^ true!

collectionClass
	^ GROrderedMultiMap!

testAllAt
	self assert: (collection allAt: '1') = #().
	collection at: '1' add: 'foo'.
	collection at: '1' add: 'bar'.
	self assert: (collection allAt: '1') = #( 'foo' 'bar' )!

testAllAtIfAbsent
	self assert: (collection allAt: '1' ifAbsent: [ 'absent' ]) = 'absent'.
	collection at: '1' add: 'foo'.
	collection at: '1' add: 'bar'.
	self assert: (collection allAt: '1' ifAbsent: [ 'absent' ]) = #( 'foo' 'bar' )!

testAtAdd
	collection at: '1' add: 'foo'.
	collection at: '1' add: 'bar'.
	self assertAssociations: (Array with: '1' -> 'foo' with: '1' -> 'bar')! !
!GROrderedMultiMapTest categoriesFor: #allowsDuplicateKeys!configuration!public! !
!GROrderedMultiMapTest categoriesFor: #collectionClass!configuration!public! !
!GROrderedMultiMapTest categoriesFor: #testAllAt!public!tests-accessing! !
!GROrderedMultiMapTest categoriesFor: #testAllAtIfAbsent!public!tests-accessing! !
!GROrderedMultiMapTest categoriesFor: #testAtAdd!public!tests-accessing! !

!GROrderedMultiMapTest class methodsFor!

shouldInheritSelectors
	^ true! !
!GROrderedMultiMapTest class categoriesFor: #shouldInheritSelectors!public!testing! !

"Binary Globals"!

