| package |
package := Package name: 'Javascript-Pharo-Core'.
package paxVersion: 1;
	basicComment: ''.

package basicPackageVersion: '9'.


package methodNames
	add: #Color -> #javascriptOn:;
	add: #GRCodecStream -> #javascript:;
	add: #GRCodecStream -> #json:;
	add: 'GRPackage class' -> #javascriptDolphinCore;
	yourself.

package binaryGlobalNames: (Set new
	yourself).

package globalAliases: (Set new
	yourself).

package setPrerequisites: (IdentitySet new
	add: '..\..\..\Object Arts\Dolphin\MVP\Base\Dolphin MVP Base';
	add: '..\..\Grease\Grease-Core';
	yourself).

package!

"Class Definitions"!


"Global Aliases"!


"Loose Methods"!

!Color methodsFor!

javascriptOn: aStream
	aStream
		nextPut: $";
		nextPutAll: self asHTMLColor;
		nextPut: $"! !
!Color categoriesFor: #javascriptOn:!public! !

!GRCodecStream methodsFor!

javascript: anObject
	anObject javascriptOn: self!

json: anObject
	anObject jsonOn: self! !
!GRCodecStream categoriesFor: #javascript:!*javascript-pharo-core!public! !
!GRCodecStream categoriesFor: #json:!*javascript-pharo-core!public! !

!GRPackage class methodsFor!

javascriptDolphinCore
	^(self new)
		name: 'Javascript-Dolphin-Core';
		addDependency: 'Javascript-Core';
		addDependency: 'Seaside-Dolphin-Core';
		url: #seasideUrl;
		yourself! !
!GRPackage class categoriesFor: #javascriptDolphinCore!*javascript-pharo-core!public! !

"End of package definition"!

"Source Globals"!

"Classes"!

"Binary Globals"!

