| package |
package := Package name: 'Seaside-Canvas'.
package paxVersion: 1;
	basicComment: ''.

package basicPackageVersion: '98'.


package classNames
	add: #WAAbstractTextAreaTag;
	add: #WAAnchorTag;
	add: #WABasicFormTag;
	add: #WABreakTag;
	add: #WABrush;
	add: #WAButtonTag;
	add: #WACancelButtonTag;
	add: #WACanvas;
	add: #WACheckboxTag;
	add: #WACollectionTag;
	add: #WACompound;
	add: #WADateInput;
	add: #WADivTag;
	add: #WAEditTag;
	add: #WAFieldSetTag;
	add: #WAFileUploadTag;
	add: #WAFormInputTag;
	add: #WAFormTag;
	add: #WAGenericTag;
	add: #WAHeadingTag;
	add: #WAHiddenInputTag;
	add: #WAHorizontalRuleTag;
	add: #WAHtmlCanvas;
	add: #WAIframeTag;
	add: #WAImageButtonTag;
	add: #WAImageMapTag;
	add: #WAImageTag;
	add: #WAKeyGeneratorTag;
	add: #WALabelTag;
	add: #WAListTag;
	add: #WAMultiSelectTag;
	add: #WAObjectTag;
	add: #WAOptionGroupTag;
	add: #WAOptionTag;
	add: #WAOrderedListTag;
	add: #WAParameterTag;
	add: #WAPasswordInputTag;
	add: #WAPopupAnchorTag;
	add: #WARadioButtonTag;
	add: #WARadioGroup;
	add: #WARenderCanvas;
	add: #WARubyTextTag;
	add: #WAScriptTag;
	add: #WASelectTag;
	add: #WASubmitButtonTag;
	add: #WATableCellTag;
	add: #WATableColumnGroupTag;
	add: #WATableColumnTag;
	add: #WATableDataTag;
	add: #WATableHeadingTag;
	add: #WATableTag;
	add: #WATagBrush;
	add: #WATagCanvas;
	add: #WATextAreaTag;
	add: #WATextInputTag;
	add: #WATimeInput;
	add: #WAUnorderedListTag;
	add: #WAXmlCanvas;
	yourself.

package methodNames
	add: #WARequestContext -> #closeThisPopup;
	add: #WARequestContext -> #closeThisPopupAndReloadOpener;
	add: 'GRPackage class' -> #seasideCanvas;
	yourself.

package binaryGlobalNames: (Set new
	yourself).

package globalAliases: (Set new
	yourself).

package setPrerequisites: (IdentitySet new
	add: '..\..\Object Arts\Dolphin\Base\Dolphin';
	add: '..\Grease\Grease-Core';
	add: 'Seaside-Core';
	yourself).

package!

"Class Definitions"!

WAObject subclass: #WABrush
	instanceVariableNames: 'canvas parent closed'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAObject subclass: #WARadioGroup
	instanceVariableNames: 'canvas key values selected'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WABrush subclass: #WACompound
	instanceVariableNames: 'callbackBlock value id properties'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WABrush subclass: #WATagBrush
	instanceVariableNames: 'attributes'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WACompound subclass: #WADateInput
	instanceVariableNames: 'options month day year'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WACompound subclass: #WATimeInput
	instanceVariableNames: 'withSeconds hours minutes seconds'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WAAnchorTag
	instanceVariableNames: 'url'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WABasicFormTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WABreakTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WACollectionTag
	instanceVariableNames: 'list selected labelBlock'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WADivTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WAFieldSetTag
	instanceVariableNames: 'legend'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WAFormInputTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WAGenericTag
	instanceVariableNames: 'tag'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WAHeadingTag
	instanceVariableNames: 'level'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WAHorizontalRuleTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WAIframeTag
	instanceVariableNames: 'rootBlock'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WAImageTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WAKeyGeneratorTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WALabelTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WAObjectTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WAOptionGroupTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WAOptionTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WAParameterTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WARubyTextTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WAScriptTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WATableCellTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagBrush subclass: #WATableTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAAnchorTag subclass: #WAImageMapTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAAnchorTag subclass: #WAPopupAnchorTag
	instanceVariableNames: 'name features'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WABasicFormTag subclass: #WAFormTag
	instanceVariableNames: 'defaultAction'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WACollectionTag subclass: #WAListTag
	instanceVariableNames: 'callbackBlock'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WACollectionTag subclass: #WASelectTag
	instanceVariableNames: 'enabledBlock isOptional optionalLabel titleBlock values'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAListTag subclass: #WAOrderedListTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAListTag subclass: #WAUnorderedListTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WASelectTag subclass: #WAMultiSelectTag
	instanceVariableNames: 'callback'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAFormInputTag subclass: #WAAbstractTextAreaTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAFormInputTag subclass: #WAButtonTag
	instanceVariableNames: 'type value'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAFormInputTag subclass: #WACheckboxTag
	instanceVariableNames: 'value callback'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAFormInputTag subclass: #WAFileUploadTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAFormInputTag subclass: #WAHiddenInputTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAFormInputTag subclass: #WARadioButtonTag
	instanceVariableNames: 'group'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAFormInputTag subclass: #WASubmitButtonTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAAbstractTextAreaTag subclass: #WATextAreaTag
	instanceVariableNames: 'value'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAAbstractTextAreaTag subclass: #WATextInputTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATextInputTag subclass: #WAPasswordInputTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WASubmitButtonTag subclass: #WACancelButtonTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WASubmitButtonTag subclass: #WAImageButtonTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAGenericTag subclass: #WAEditTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATableCellTag subclass: #WATableColumnGroupTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATableCellTag subclass: #WATableDataTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATableColumnGroupTag subclass: #WATableColumnTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATableDataTag subclass: #WATableHeadingTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WARenderer subclass: #WACanvas
	instanceVariableNames: 'currentBrush parentBrush'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WACanvas subclass: #WATagCanvas
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagCanvas subclass: #WAHtmlCanvas
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WATagCanvas subclass: #WAXmlCanvas
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!
WAHtmlCanvas subclass: #WARenderCanvas
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!

"Global Aliases"!


"Loose Methods"!

!GRPackage class methodsFor!

seasideCanvas
	^ self new
		name: 'Seaside-Canvas';
		description: 'The mechanism of choice to generate valid and reusable XHTML markup.';
		addDependency: 'Seaside-Core';
		url: #seasideUrl;
		yourself
! !
!GRPackage class categoriesFor: #seasideCanvas!*seaside-canvas!public! !

!WARequestContext methodsFor!

closeThisPopup
	^ self respond: [ :resp |
		resp 
			contentType: WAMimeType textHtml;
			nextPutAll: (WAHtmlCanvas builder
				fullDocument: true;
				rootBlock: [ :root | 
					root title: 'Seaside'; beXhtml10Strict.
					root htmlAttributes at: 'xmlns' put: 'http://www.w3.org/1999/xhtml' ];
				render: [ :html | html script: 'window.close();' ]) ]!

closeThisPopupAndReloadOpener
	^ self respond: [ :resp |
		resp
			contentType: WAMimeType textHtml;
			nextPutAll: (WAHtmlCanvas builder
				fullDocument: true;
				rootBlock: [ :root | 
					root title: 'Seaside'; beXhtml10Strict.
					root htmlAttributes at: 'xmlns' put: 'http://www.w3.org/1999/xhtml' ];
				render: [ :html | html script: 'window.close();window.opener.location=window.opener.location;' ]) ]! !
!WARequestContext categoriesFor: #closeThisPopup!*seaside-canvas!public! !
!WARequestContext categoriesFor: #closeThisPopupAndReloadOpener!*seaside-canvas!public! !

"End of package definition"!

"Source Globals"!

"Classes"!

WABrush guid: (GUID fromString: '{259D15B8-59DC-4E5D-969E-5EDBB6180F95}')!
WABrush comment: '
I represent a brush to be used on a *WACanvas*.

Instance Variables
	canvas:		The canvas instance I am used with.
	parent:		The parent brush I am used within.
	closed:		Wether I have been closed/flushed yet.'!
!WABrush categoriesForClass!Unclassified! !
!WABrush methodsFor!

close
	"Close and flush the receiver onto the canvas and its associated document."

	closed ifFalse: [ self with: nil ]!

initialize
	super initialize.
	closed := false!

labelForSelector: aSymbol of: anObject
	^ anObject labelForSelector: aSymbol!

parent
	^ parent!

setParent: aBrush canvas: aCanvas
	parent := aBrush.
	canvas := aCanvas!

with: aBlock
	canvas nest: aBlock.
	closed := true! !
!WABrush categoriesFor: #close!public! !
!WABrush categoriesFor: #initialize!initialization!public! !
!WABrush categoriesFor: #labelForSelector:of:!private! !
!WABrush categoriesFor: #parent!accessing!public! !
!WABrush categoriesFor: #setParent:canvas:!initialization!public! !
!WABrush categoriesFor: #with:!public! !

WARadioGroup guid: (GUID fromString: '{8A0EF15A-455D-4FF7-A217-4B063A0140EC}')!
WARadioGroup comment: '
A WARadioGroup is a container for several related radio buttons. It must be used to create radio buttons.

Example:
| group |
group := html radioGroup.
group radioButton
	selected: aBoolean;
	callback: [ self someThing ].
'!
!WARadioGroup categoriesForClass!Unclassified! !
!WARadioGroup methodsFor!

callback: aBlock
	values := Dictionary new.
	key := canvas callbacks store: (WAValuesCallback on: aBlock values: values)!

callbackValue: anObject
	^self valuesAt: values size + 1 put: anObject!

hasCallback
	^values notNil!

hasSelection
 	^ selected notNil!

initializeWithCanvas: aRenderCanvas
	self initialize.
	canvas := aRenderCanvas!

isSelected: anObject
	"Test if anObject is currently selected."

 	^ selected = anObject!

key
	^ key ifNil: [ key := canvas callbacks store: WADispatchCallback new ]!

radioButton
	^ canvas radioButton group: self!

selected: anObject
	"Set anObject to be selected."

	selected := anObject!

valuesAt: aKey put: anObject
	values at: aKey put: anObject.
	^values size!

with: aBlock
	^ aBlock value: self! !
!WARadioGroup categoriesFor: #callback:!private! !
!WARadioGroup categoriesFor: #callbackValue:!private! !
!WARadioGroup categoriesFor: #hasCallback!private! !
!WARadioGroup categoriesFor: #hasSelection!public!testing! !
!WARadioGroup categoriesFor: #initializeWithCanvas:!initialization!public! !
!WARadioGroup categoriesFor: #isSelected:!public!testing! !
!WARadioGroup categoriesFor: #key!accessing!public! !
!WARadioGroup categoriesFor: #radioButton!public!public api! !
!WARadioGroup categoriesFor: #selected:!accessing!public! !
!WARadioGroup categoriesFor: #valuesAt:put:!private! !
!WARadioGroup categoriesFor: #with:!public!public api! !

!WARadioGroup class methodsFor!

canvas: aRenderCanvas
	^ self basicNew initializeWithCanvas: aRenderCanvas! !
!WARadioGroup class categoriesFor: #canvas:!accessing!public! !

WACompound guid: (GUID fromString: '{09D00B1A-489E-4653-8BA6-8CA91050CE59}')!
WACompound comment: 'I am the superclass for stuff that is not html element but you still want to access via the canvas API.'!
!WACompound categoriesForClass!Unclassified! !
!WACompound methodsFor!

addCallback
	self subclassResponsibility!

callback: aBlock
	callbackBlock := aBlock!

close
	closed ifTrue: [ ^ self ].
	closed := true.
	self with: nil!

hasCallback
	^ callbackBlock notNil!

id
	^ id!

id: aString
	id := aString!

initialize
	super initialize.
	"do not remove properties, it is used by SeasideAsync"
	properties := Dictionary new!

on: aSelector of: anObject 
	self value: (anObject perform: aSelector).
	self callback: (GRDelayedSend 
			receiver: anObject
			selector: aSelector asMutator)!

value
	^ value!

value: aValue
	value := aValue!

with: anObject
	anObject isNil
		ifFalse: [ value := anObject ].
	closed := true! !
!WACompound categoriesFor: #addCallback!private! !
!WACompound categoriesFor: #callback:!callbacks!public! !
!WACompound categoriesFor: #close!public! !
!WACompound categoriesFor: #hasCallback!public!testing! !
!WACompound categoriesFor: #id!accessing!public! !
!WACompound categoriesFor: #id:!accessing!public! !
!WACompound categoriesFor: #initialize!initialization!public! !
!WACompound categoriesFor: #on:of:!callbacks!public! !
!WACompound categoriesFor: #value!accessing!public! !
!WACompound categoriesFor: #value:!accessing!public! !
!WACompound categoriesFor: #with:!public! !

WATagBrush guid: (GUID fromString: '{63CABC37-45FF-4A9A-BB69-54F8C2B9D11E}')!
WATagBrush comment: '
This is the superclass for all XML element classes. Its main addtions are
- element name (#tag)
- attributes (instance of WAHtmlAttributes)
- common events (onXXX), this is a hack and would better be solved with traits'!
!WATagBrush categoriesForClass!Unclassified! !
!WATagBrush methodsFor!

accessKey: aString
	"Set a keyboard shortcut to access an element. An access key is a single character from the document character set.

	Pressing an access key assigned to an element gives focus to the element. The action that occurs when an element receives focus depends on the element. For example, when a user activates a link defined by the A element, the user agent generally follows the link. When a user activates a radio button, the user agent changes the value of the radio button. When the user activates a text field, it allows input, etc.

The following elements support the accesskey attribute: A, AREA, BUTTON, INPUT, LABEL, and LEGEND, and TEXTAREA.

	The invocation of access keys depends on the underlying system. For instance, on machines running MS Windows, one generally has to press the 'alt' key in addition to the access key. On Apple systems, one generally has to press the 'cmd' key in addition to the access key."

	self attributes at: 'accesskey' put: aString!

addShortcut: aString 
	self 
		greaseDeprecatedApi: 'WATagBrush>>#addShortcut:'
		details: 'Use WATagBrush>>#accessKey: or a dedicated Javascript library instead.'!

after
	"This template method is called directly after rendering the content of the receiver."!

attributeAt: aKey
	^ self attributes at: aKey!

attributeAt: aKey ifAbsent: aBlock
	^ self attributes at: aKey ifAbsent: aBlock!

attributeAt: aKey ifAbsentPut: aBlock
	^ self attributes at: aKey ifAbsentPut: aBlock!

attributeAt: aKey ifPresent: aBlock
	^ self attributes at: aKey ifPresent: aBlock!

attributeAt: aKey put: aValue
	^ self attributes at: aKey put: aValue!

attributes
	^ attributes ifNil: [ attributes := WAHtmlAttributes new ]!

attributes: anHtmlAttributes
	attributes := anHtmlAttributes!

before
	"This template method is called directly before rendering the content of the receiver."!

class: aString
	"This attribute assigns one or more class names to an element; the element may be said to belong to these classes. A class name may be shared by several element instances. Multiple classes might be added to one brush."

	self attributes addClass: aString!

class: aString if: aBoolean
	"Adds the class aString to the receiving element if aBoolean is true. 
	
	Example:
	
	html div
		class: 'error' if: self hasError;
		with: self errorMessage"

	aBoolean
		ifTrue: [ self class: aString ]!

closeTag
	"Close the receiving tag onto the document."

	self document closeTag: self tag!

confirm: aString 
	self 
		greaseDeprecatedApi: 'WATagBrush>>#confirm:'
		details: 'Use a dedicated Javascript library instead.'.
	self onClick: 'return confirm(' , aString printString , ')'!

direction: aString
	"Set the text direction ltr (left-to-right) or right-to-left (rtl).

	Not supported on:
	APPLET, BASE, BASEFONT, BR, FRAME, FRAMESET, IFRAME, PARAM, SCRIPT"

	self attributes at: 'dir' put: aString!

disabled
	"When set for a form control, this boolean attribute disables the control for user input.
When set, the disabled attribute has the following effects on an element:
	-	Disabled controls do not receive focus.
	-	Disabled controls are skipped in tabbing navigation.
	-	Disabled controls cannot be successful (= will not be submitted).
		
	The following elements support the disabled attribute: BUTTON, INPUT, OPTGROUP, OPTION, SELECT, and TEXTAREA. This one other example of functionality implemented way too high in the class hierarchy because we don't have traits."
	self disabled: true!

disabled: aBoolean
	self attributes at: 'disabled' put: aBoolean!

disableEnter
	"pressing the 'enter' key in the form input element does not submit the form"
	self onEnter: ''!

document
	^ canvas document!

ensureId
	"Answer the id of the receiving attribute. In case the receiver doesn't have an id yet, generate a new one."

	^ self attributes at: 'id' ifAbsentPut: [ canvas nextId ]!

id
	^ self attributes at: 'id'!

id: aString
	"The id attribute assigns a identifier to an element. The id of an element must be unique within a document."

	self attributes at: 'id' put: aString!

isClosed
	"Answer true if this tag should be closed immediately, such as <br />."

	^ false!

isDisabled
	"answers whether the receiver is disabled"
	^self attributes
		at: 'disabled'
		ifAbsent: [ false ]!

language: aString
	"Set the language code."

	self attributes
		at: 'lang' put: aString;
		at: 'xml:lang' put: aString!

onBlur: anObject
	"The onblurs event occurs when the element that is in focus, loses that focus."

	self document scriptGenerator
		event: 'blur'
		do: anObject
		on: self!

onChange: anObject
	"The onchange event occurs when a select input element has a selection made or when a text input element has a change in the text."

	self document scriptGenerator
		event: 'change'
		do: anObject
		on: self!

onClick: anObject
	"The onclick event occurs when the pointing device button is clicked over an element."

	self document scriptGenerator
		event: 'click'
		do: anObject
		on: self!

onDoubleClick: anObject
	"The ondblclick event occurs when the pointing device button is double clicked over an element."

	self document scriptGenerator
		event: 'dblclick'
		do: anObject
		on: self!

onEnter: anObject 
	"If 'enter' is pressed"
	self onKeyPress: 'if((window.event ? window.event.keyCode : event.which) == 13){' , anObject greaseString , '; return false}; return true'!

onError: anObject
	self attributes at: 'error' append: anObject separator: ';'!

onFocus: anObject
	"The onfocus event occurs when an element receives focus either by the pointing device or by tabbing navigation."

	self document scriptGenerator
		event: 'focus'
		do: anObject
		on: self!

onKeyDown: anObject
	"The onkeydown event occurs when a key is pressed down over an element."

	self document scriptGenerator
		event: 'keydown'
		do: anObject
		on: self!

onKeyPress: anObject
	"The onkeypress event occurs when a key is pressed and released over an element."

	self document scriptGenerator
		event: 'keypress'
		do: anObject
		on: self!

onKeyUp: anObject
	"The onkeyup event occurs when a key is released over an element."

	self document scriptGenerator
		event: 'keyup'
		do: anObject
		on: self!

onLoad: anObject
	"The onload event occurs when the user agent finishes loading a window."

	self document scriptGenerator
		event: 'load'
		do: anObject
		on: self!

onMouseDown: anObject
	"The onmousedown event occurs when the pointing device button is pressed over an element."

	self document scriptGenerator
		event: 'mousedown'
		do: anObject
		on: self!

onMouseMove: anObject
	"The onmousemove event occurs when the pointing device is moved while it is over an element."

	self document scriptGenerator
		event: 'mousemove'
		do: anObject
		on: self!

onMouseOut: anObject
	"The onmouseout event occurs when the pointing device is moved away from an element."

	self document scriptGenerator
		event: 'mouseout'
		do: anObject
		on: self!

onMouseOver: anObject
	"The onmouseover event occurs when the pointing device is moved onto an element."

	self document scriptGenerator
		event: 'mouseover'
		do: anObject
		on: self!

onMouseUp: anObject
	"The onmouseup event occurs when the pointing device button is released over an element."

	self document scriptGenerator
		event: 'mouseup'
		do: anObject
		on: self!

onReset: anObject
	"The onreset event occurs when a form is reset."

	self document scriptGenerator
		event: 'reset'
		do: anObject
		on: self!

onResize: anObject
	self attributes at: 'resize' append: anObject separator: ';'!

onScroll: anObject
	self attributes at: 'scroll' append: anObject separator: ';'!

onSelect: anObject
	"The onselect event occurs when a user selects some text in a text field."

	self document scriptGenerator
		event: 'select'
		do: anObject
		on: self!

onSubmit: anObject
	"The onsubmit event occurs when a form is submitted."

	self document scriptGenerator
		event: 'submit'
		do: anObject
		on: self!

onUnload: anObject
	"The onunload event occurs when the user agent removes a document from a window."

	self document scriptGenerator
		event: 'unload'
		do: anObject
		on: self!

openTag
	"Open the receiving and all associated attributes onto the document."

	self document openTag: self tag attributes: attributes closed: self isClosed!

storeCallback: aCallback
	^ canvas callbacks store: aCallback!

style: aString
	"This attribute offers optional CSS style information. The attribute is deprecated and should be avoided in favor of an external stylesheet. Multiple styles might be added to one brush."

	self attributes addStyle: aString!

tabIndex: aString
	"This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767.

	The tabbing order defines the order in which elements will receive focus when navigated by the user via the keyboard. The tabbing order may include elements nested within other elements.

	The following elements support the tabindex attribute: A, AREA, BUTTON, INPUT, OBJECT, SELECT, and TEXTAREA."

	self attributes at: 'tabindex' put: aString!

tag
	self subclassResponsibility!

title: aString
	"This attribute offers advisory information about the element for which it is set. Visual browsers frequently display the title as a 'tool tip'."

	self attributes at: 'title' put: aString!

with: anObject
	"Render anObject into the receiver. Make sure that you call #with: last in the cascade, as this method will serialize the tag onto the output document."

	self openTag.
	super with: [
		self before.
		canvas render: anObject.
		self after ].
	self isClosed
		ifFalse: [ self closeTag ]!

withLineBreaks: aString
	"Renders text preserving line breaks."
	self with: [canvas withLineBreaks: aString]! !
!WATagBrush categoriesFor: #accessKey:!attributes-keyboard!public! !
!WATagBrush categoriesFor: #addShortcut:!public! !
!WATagBrush categoriesFor: #after!private! !
!WATagBrush categoriesFor: #attributeAt:!accessing-attributes!public! !
!WATagBrush categoriesFor: #attributeAt:ifAbsent:!accessing-attributes!public! !
!WATagBrush categoriesFor: #attributeAt:ifAbsentPut:!accessing-attributes!public! !
!WATagBrush categoriesFor: #attributeAt:ifPresent:!accessing-attributes!public! !
!WATagBrush categoriesFor: #attributeAt:put:!accessing-attributes!public! !
!WATagBrush categoriesFor: #attributes!accessing!public! !
!WATagBrush categoriesFor: #attributes:!accessing!public! !
!WATagBrush categoriesFor: #before!private! !
!WATagBrush categoriesFor: #class:!attributes-core!public! !
!WATagBrush categoriesFor: #class:if:!convenience!public! !
!WATagBrush categoriesFor: #closeTag!private! !
!WATagBrush categoriesFor: #confirm:!public! !
!WATagBrush categoriesFor: #direction:!attributes-language!public! !
!WATagBrush categoriesFor: #disabled!attributes!public! !
!WATagBrush categoriesFor: #disabled:!attributes!public! !
!WATagBrush categoriesFor: #disableEnter!convenience!public! !
!WATagBrush categoriesFor: #document!accessing!public! !
!WATagBrush categoriesFor: #ensureId!public! !
!WATagBrush categoriesFor: #id!accessing!public! !
!WATagBrush categoriesFor: #id:!attributes-core!public! !
!WATagBrush categoriesFor: #isClosed!public!testing! !
!WATagBrush categoriesFor: #isDisabled!attributes!public! !
!WATagBrush categoriesFor: #language:!attributes-language!public! !
!WATagBrush categoriesFor: #onBlur:!attributes-events!public! !
!WATagBrush categoriesFor: #onChange:!attributes-events!public! !
!WATagBrush categoriesFor: #onClick:!attributes-events!public! !
!WATagBrush categoriesFor: #onDoubleClick:!attributes-events!public! !
!WATagBrush categoriesFor: #onEnter:!convenience!public! !
!WATagBrush categoriesFor: #onError:!convenience!public! !
!WATagBrush categoriesFor: #onFocus:!attributes-events!public! !
!WATagBrush categoriesFor: #onKeyDown:!attributes-events!public! !
!WATagBrush categoriesFor: #onKeyPress:!attributes-events!public! !
!WATagBrush categoriesFor: #onKeyUp:!attributes-events!public! !
!WATagBrush categoriesFor: #onLoad:!attributes-events!public! !
!WATagBrush categoriesFor: #onMouseDown:!attributes-events!public! !
!WATagBrush categoriesFor: #onMouseMove:!attributes-events!public! !
!WATagBrush categoriesFor: #onMouseOut:!attributes-events!public! !
!WATagBrush categoriesFor: #onMouseOver:!attributes-events!public! !
!WATagBrush categoriesFor: #onMouseUp:!attributes-events!public! !
!WATagBrush categoriesFor: #onReset:!attributes-events!public! !
!WATagBrush categoriesFor: #onResize:!convenience!public! !
!WATagBrush categoriesFor: #onScroll:!convenience!public! !
!WATagBrush categoriesFor: #onSelect:!attributes-events!public! !
!WATagBrush categoriesFor: #onSubmit:!attributes-events!public! !
!WATagBrush categoriesFor: #onUnload:!attributes-events!public! !
!WATagBrush categoriesFor: #openTag!private! !
!WATagBrush categoriesFor: #storeCallback:!private! !
!WATagBrush categoriesFor: #style:!attributes-core!public! !
!WATagBrush categoriesFor: #tabIndex:!attributes-keyboard!public! !
!WATagBrush categoriesFor: #tag!accessing!public! !
!WATagBrush categoriesFor: #title:!attributes-core!public! !
!WATagBrush categoriesFor: #with:!public! !
!WATagBrush categoriesFor: #withLineBreaks:!convenience!public! !

!WATagBrush class methodsFor!

tag
	"WASelectTag tag"
	"WAGenericTag tag"
	^(self selectors includes: #tag)
		ifTrue: [ self new tag ]
		ifFalse: [ nil ]! !
!WATagBrush class categoriesFor: #tag!code generation!public! !

WADateInput guid: (GUID fromString: '{2AA92AE1-FCE0-41D8-AD28-821E21FD493F}')!
WADateInput comment: '
I am a composition of three input fields that allow the user to select year, month and day. #options: can be used to toggle them individually.
The argument for my callback blocks is an instance of Date.

See WADateTimeTest >> #renderDateTimeOn:'!
!WADateInput categoriesForClass!Unclassified! !
!WADateInput methodsFor!

addCallback
	self hasCallback ifFalse: [
		canvas flush.
		^ self ].
	canvas hiddenInput
		callback: [ callbackBlock value: self setValueWithNewDate ];
		 with: nil!

addDayCallbackToBrush: aBrush
	self hasCallback ifFalse: [^self].
	aBrush callback: [ :v | self day: v ]!

addMonthCallbackToBrush: aBrush
	self hasCallback ifFalse: [^self].
	aBrush callback: [ :v | self month: v ]!

addYearCallbackToBrush: aBrush
	self hasCallback ifFalse: [^self].
	aBrush callback: [ :v | self year: v ]!

day
	^day!

day: anIntegerOrString 
	day := anIntegerOrString greaseInteger ifNil: [ 1 ]!

defaultOptions
	^#(month day year)!

month
	^month!

month: anIntegerOrString 
	month := anIntegerOrString greaseInteger ifNil: [ 1 ]!

options
	^options ifNil: [ self defaultOptions ]!

options: anArray
	"Valid values in the array : #year #month #day
	Can be used to control what is shown and in what order
	Default #(month day year)"
	options := anArray!

renderDay
	| brush |
	brush := canvas textInput
		id: (self id isNil ifFalse: [ self id , '-day' ]);
		value: (GRNumberPrinter new
				padding: $0;
				digits: 2;
				print: day);
		yourself.
	self addDayCallbackToBrush: brush.
	brush
		attributeAt: 'size'
			put: 2;
		attributeAt: 'maxlength'
			put: 2!

renderMonth
	| brush |
	brush := canvas select
		id: self id;
		list: (1 to: 12);
		selected: month;
		yourself.
	self addMonthCallbackToBrush: brush.
	brush
		labels: [:ea | Date nameOfMonth: ea]!

renderYear
	| brush |
	brush := canvas textInput
		id: (self id isNil ifFalse: [ self id , '-year' ]);
		value: (GRNumberPrinter new
				padding: $0;
				digits: 4;
				print: year);
		yourself.
	self addYearCallbackToBrush: brush.
	brush
		attributeAt: 'size'
			put: 4;
		attributeAt: 'maxlength'
			put: 4!

setValueWithNewDate
	^value := Date
		newDay: ((day min: (Date daysInMonth: (Date nameOfMonth: month) forYear: year)) max: 1)
		month: (Date nameOfMonth: month)
		year: year!

with: anObject
	super with: anObject.
	value isNil ifTrue: [value := Date today].
	day := value dayOfMonth.
	month := value monthIndex.
	year := value year.
	self options
		do: [:each | self perform: ('render' , each asLowercase capitalized) asSymbol ]
		separatedBy: [ canvas space ].
	self addCallback 
!

year
	^year!

year: anIntegerOrString 
	year := anIntegerOrString greaseInteger ifNil: [ 1900 ]! !
!WADateInput categoriesFor: #addCallback!private-rendering!public! !
!WADateInput categoriesFor: #addDayCallbackToBrush:!private callbacks!public! !
!WADateInput categoriesFor: #addMonthCallbackToBrush:!private callbacks!public! !
!WADateInput categoriesFor: #addYearCallbackToBrush:!private callbacks!public! !
!WADateInput categoriesFor: #day!private callbacks!public! !
!WADateInput categoriesFor: #day:!private callbacks!public! !
!WADateInput categoriesFor: #defaultOptions!private! !
!WADateInput categoriesFor: #month!private callbacks!public! !
!WADateInput categoriesFor: #month:!private callbacks!public! !
!WADateInput categoriesFor: #options!accessing!public! !
!WADateInput categoriesFor: #options:!accessing!public! !
!WADateInput categoriesFor: #renderDay!private-rendering!public! !
!WADateInput categoriesFor: #renderMonth!private-rendering!public! !
!WADateInput categoriesFor: #renderYear!private-rendering!public! !
!WADateInput categoriesFor: #setValueWithNewDate!private callbacks!public! !
!WADateInput categoriesFor: #with:!public! !
!WADateInput categoriesFor: #year!private callbacks!public! !
!WADateInput categoriesFor: #year:!private callbacks!public! !

WATimeInput guid: (GUID fromString: '{07C5C682-0B9D-48D7-A543-0033C93BF0EE}')!
WATimeInput comment: '
I am a composition of three input fields that allows the user to select hour, minute and optionally second.
#withSeconds and #withoutSeconds can be used to toggle seconds.

The argument for my callback blocks is an instance of Time.

See WADateTimeTest >> #renderDateTimeOn:'!
!WATimeInput categoriesForClass!Unclassified! !
!WATimeInput methodsFor!

addCallback
	self hasCallback ifFalse: [
		canvas flush.
		^ self ].
	canvas hiddenInput
		callback: [ callbackBlock value: self setValueWithNewTime ];
		 with: nil!

addHoursCallbackToBrush: aBrush
	self hasCallback ifFalse: [^self].
	aBrush callback: [ :v | self hours: v ]!

addMinutesCallbackToBrush: aBrush
	self hasCallback ifFalse: [^self].
	aBrush callback: [ :v | self minutes: v ]!

addSecondsCallbackToBrush: aBrush
	self hasCallback ifFalse: [^self].
	aBrush callback: [ :v | self seconds: v ]!

hours
	^hours!

hours: anIntegerOrString 
	hours := anIntegerOrString greaseInteger ifNil: [ 0 ]!

initialize
	super initialize.
	self withoutSeconds!

minutes
	^minutes!

minutes: anIntegerOrString 
	minutes := anIntegerOrString greaseInteger ifNil: [ 0 ]!

renderHours
	| brush |
	brush := canvas textInput
		id: self id;
		value: (GRNumberPrinter new
				padding: $0;
				digits: 2;
				print: hours).
	self addHoursCallbackToBrush: brush.
	brush
		attributeAt: 'size'
			put: 2;
		attributeAt: 'maxlength'
			put: 2!

renderMinutes
	| brush |
	brush := canvas textInput
		id: (self id isNil ifFalse: [ self id , '-mins' ]);
		value: (GRNumberPrinter new
				padding: $0;
				digits: 2;
				print: minutes);
		yourself.
	self addMinutesCallbackToBrush: brush.
	brush
		attributeAt: 'size'
			put: 2;
		attributeAt: 'maxlength'
			put: 2!

renderSeconds
	| brush |
	brush := canvas textInput
		id: (self id isNil ifFalse: [ self id , '-secs' ]);
		value: (GRNumberPrinter new
				padding: $0;
				digits: 2;
				print: seconds);
		yourself.
	self addSecondsCallbackToBrush: brush.
	brush
		attributeAt: 'size'
			put: 2;
		attributeAt: 'maxlength'
			put: 2!

seconds
	^seconds!

seconds: anIntegerOrString
	seconds := [anIntegerOrString asNumber] on: Error do: [:e | 0]!

setValueWithNewTime
	^value := Time
				hour: hours
				minute: (minutes min: 59)
				second: (seconds min: 59)!

with: anObject
	super with: anObject.
	value isNil ifTrue: [value := Time now].
	hours := value hour.
	minutes := value minute.
	seconds := value second.
	self renderHours.
	canvas space; text: ':'; space.
	self renderMinutes.
	withSeconds ifTrue:
		[canvas space; text: ':'; space.
		self renderSeconds]
	ifFalse:
		[seconds := 0].
	self addCallback!

withoutSeconds
	withSeconds := false!

withSeconds
	withSeconds := true! !
!WATimeInput categoriesFor: #addCallback!private-rendering!public! !
!WATimeInput categoriesFor: #addHoursCallbackToBrush:!private callbacks!public! !
!WATimeInput categoriesFor: #addMinutesCallbackToBrush:!private callbacks!public! !
!WATimeInput categoriesFor: #addSecondsCallbackToBrush:!private callbacks!public! !
!WATimeInput categoriesFor: #hours!private callbacks!public! !
!WATimeInput categoriesFor: #hours:!private callbacks!public! !
!WATimeInput categoriesFor: #initialize!initialization!public! !
!WATimeInput categoriesFor: #minutes!private callbacks!public! !
!WATimeInput categoriesFor: #minutes:!private callbacks!public! !
!WATimeInput categoriesFor: #renderHours!private-rendering!public! !
!WATimeInput categoriesFor: #renderMinutes!private-rendering!public! !
!WATimeInput categoriesFor: #renderSeconds!private-rendering!public! !
!WATimeInput categoriesFor: #seconds!private callbacks!public! !
!WATimeInput categoriesFor: #seconds:!private callbacks!public! !
!WATimeInput categoriesFor: #setValueWithNewTime!private callbacks!public! !
!WATimeInput categoriesFor: #with:!public! !
!WATimeInput categoriesFor: #withoutSeconds!accessing!public! !
!WATimeInput categoriesFor: #withSeconds!accessing!public! !

WAAnchorTag guid: (GUID fromString: '{A69FD9FF-1F4B-4FB8-AEE2-047BB2437CEB}')!
WAAnchorTag comment: '
I''m the class responsible for adding anchors (links) to your webpage. There are multiple ways of using me.

1. In the following case, the method #doSomethingOnClick will be sent to self when the user click on the anchor ''Click here to do something'':

	html anchor
		callback: [ self doSomethingOnClick ];
		with: ''Click here to do something''.
		
The following code is a shortcut to create an anchor. The executed action is #doSomethingOnClick and the text is ''Do Something On Click'':

	html anchor
		on: #doSomethingOnClick of: self

2. In the following case, a link to an external resource will be generated:

	html anchor
		url: ''http://www.seaside.st'';
		with: ''Visit the Seaside'''!
!WAAnchorTag categoriesForClass!Unclassified! !
!WAAnchorTag methodsFor!

callback: aNiladicValuable 
	aNiladicValuable argumentCount > 0 ifTrue: [ GRInvalidArgumentCount signal: 'Anchors expect a niladic callback.' ].
	self url addField: (self storeCallback: (WAActionCallback on: aNiladicValuable))!

charset: aString
	"This attribute specifies the character encoding of the resource designated by the link."
	
	self attributes at: 'charset' put: aString!

document: aDocument
	self document: aDocument mimeType: nil!

document: aDocument mimeType: mimeType
	self document: aDocument mimeType: mimeType fileName: nil!

document: aDocument mimeType: mimeType fileName: fileName
	self url: (canvas context urlForDocument: aDocument mimeType: mimeType fileName: fileName).
	mimeType isNil ifFalse: [
		self type: mimeType ]!

extraParameters: aString
	self url addField: aString!

extraPath: aString
	self url addToPath: aString!

fragment: aString
	self url fragment: aString!

ignoreURL
	self 
		greaseDeprecatedApi: 'WAAnchorTag>>#ignoreURL'
		details: 'This method call can be left out, it is the default when no URL is specified.'.
	self onClick: 'return false'!

mailto: aString 
	self 
		greaseDeprecatedApi: 'WAAnchorTag>>#mailto:'
		details: 'Use WAAnchorTag>>#url: passing in a "mailto:" URL.'.
	self
		url: 'mailto:' , aString;
		with: aString!

name: aString
	"This attribute names the current anchor so that it may be the destination of another link. The value of this attribute must be a unique anchor name. The scope of this name is the current document. Note that this attribute shares the same name space as the id attribute."

	self attributes at: 'name' put: aString!

navigation
	"Makes the receiving anchor a purely navigational link, this is it won't redirect after processing the callbacks but directly process with the render phase. Don't use this feature if you change your model in the callback'."

	self url addField: '_n'!

newTarget
	self 
		greaseDeprecatedApi: 'WAAnchorTag>>#newTarget'
		details: 'Use "target: ''_new''".'.
	self target: '_new'!

on: aSymbol of: anObject 
	self callback: (GRDelayedSend 
			receiver: anObject
			selector: aSymbol).
	self with: (self 
			labelForSelector: aSymbol
			of: anObject)!

rel: aString 
	self 
		greaseDeprecatedApi: 'WAAnchorTag>>#rel:'
		details: 'Use WAAnchorTag>>#relationship:.'.
	self relationship: aString!

relationship: aString
	"This attribute describes the relationship from the current document to the anchor specified by the href attribute. The value of this attribute is a space-separated list of link types."
	
	self attributes at: 'rel' append: aString!

resourceUrl: aString
	self url: (canvas absoluteUrlForResource: aString)!

reverse: aString
	"This attribute is used to describe a reverse link from the anchor specified by the href attribute to the current document. The value of this attribute is a space-separated list of link types."
	
	self attributes at: 'rev' append: aString!

submitFormNamed: aString 
	"Submits a form with the id aString."
	self 
		greaseDeprecatedApi: 'WAAnchorTag>>#submitFormNamed:'
		details: 'Use a dedicated Javascript library instead.'.
	self onClick: 'document.getElementById(' , aString printString , ').submit()'!

tag
	^ 'a'!

target: aString 
	"This attribute specifies the name of a frame where a document is to be opened."
	
	self attributes at: 'target' put: aString!

text: aString 
	self 
		greaseDeprecatedApi: 'WAAnchorTag>>#text:'
		details: 'Use #with:.'.
	self with: aString!

type: aString
	"This attribute gives an advisory hint as to the content type of the content available at the link target address. It allows user agents to opt to use a fallback mechanism rather than fetch the content if they are advised that they will get content in a content type they do not support."
	
	self attributes at: 'type' put: aString!

url
	^ url ifNil: [ url := canvas actionUrl copy ]!

url: aUrlOrString
	url := aUrlOrString!

useBaseUrl
	"Instead of using the URL of the current page that has been modified through #updateUrl:, use the base URL."

	self url: canvas actionBaseUrl copy!

with: aBlock
	url isNil
		ifFalse: [ self attributes at: 'href' put: url ].
	super with: aBlock! !
!WAAnchorTag categoriesFor: #callback:!callbacks!public! !
!WAAnchorTag categoriesFor: #charset:!attributes!public! !
!WAAnchorTag categoriesFor: #document:!documents!public! !
!WAAnchorTag categoriesFor: #document:mimeType:!documents!public! !
!WAAnchorTag categoriesFor: #document:mimeType:fileName:!documents!public! !
!WAAnchorTag categoriesFor: #extraParameters:!public!url! !
!WAAnchorTag categoriesFor: #extraPath:!public!url! !
!WAAnchorTag categoriesFor: #fragment:!public!url! !
!WAAnchorTag categoriesFor: #ignoreURL!public! !
!WAAnchorTag categoriesFor: #mailto:!public! !
!WAAnchorTag categoriesFor: #name:!attributes!public! !
!WAAnchorTag categoriesFor: #navigation!public! !
!WAAnchorTag categoriesFor: #newTarget!public! !
!WAAnchorTag categoriesFor: #on:of:!callbacks!public! !
!WAAnchorTag categoriesFor: #rel:!public! !
!WAAnchorTag categoriesFor: #relationship:!attributes!public! !
!WAAnchorTag categoriesFor: #resourceUrl:!public!url! !
!WAAnchorTag categoriesFor: #reverse:!attributes!public! !
!WAAnchorTag categoriesFor: #submitFormNamed:!public! !
!WAAnchorTag categoriesFor: #tag!accessing!public! !
!WAAnchorTag categoriesFor: #target:!attributes!public! !
!WAAnchorTag categoriesFor: #text:!public! !
!WAAnchorTag categoriesFor: #type:!attributes!public! !
!WAAnchorTag categoriesFor: #url!accessing!public! !
!WAAnchorTag categoriesFor: #url:!accessing!public! !
!WAAnchorTag categoriesFor: #useBaseUrl!public! !
!WAAnchorTag categoriesFor: #with:!public! !

WABasicFormTag guid: (GUID fromString: '{51F2E7F2-4C87-4EC1-8259-341C768C8239}')!
WABasicFormTag comment: '
Acts as a basic form, with no defaultAction, and no holding of _s and _c values.
'!
!WABasicFormTag categoriesForClass!Unclassified! !
!WABasicFormTag methodsFor!

acceptCharset: aString 
	"This attribute specifies the list of character encodings for input data that is accepted by the server processing this form. The value is a space- and/or comma-delimited list of charset values. The client must interpret this list as an exclusive-or list, i.e., the server is able to accept any single character encoding per entity received.

The default value for this attribute is the reserved string 'UNKNOWN'. User agents may interpret this value as the character encoding that was used to transmit the document containing this FORM element."
	self attributes 
		at: 'accept-charset'
		put: aString!

action: aUrlOrString
	"This attribute specifies a form processing agent. User agent behavior for a value other than an HTTP URI is undefined."
	self attributes 
		at: 'action'
		put: aUrlOrString!

defaultUrlCharset
	"the character set used for POSTs that are application/x-www-form-urlencoded
	and GETs
	There are standards that dictate this:
	http://www.w3.org/International/O-URL-code.html
	but that doesn't mean is will work with your favorite old browser"
	^ 'utf-8'!

get
	"tells the user agent to use the HTTP GET method to submit this form"
	self method: 'get'!

initialize
	| charSet |
	super initialize.
	charSet := self requestContext charSet.
	charSet isNil
		ifTrue: [ self acceptCharset: self defaultUrlCharset ]
		ifFalse: [ self acceptCharset: charSet ]!

method: aString 
	"This attribute specifies which HTTP method will be used to submit the form data set. Possible (case-insensitive) values are 'get' (the default) and 'post'."
	self attributes 
		at: 'method'
		put: aString!

multipart
	"Sets the content type used to submit the form to the server (when the value of method is 'post') to multipart/form-data instead the default application/x-www-form-urlencoded. This should be used in combination with a WAFileUploadTag."
	self attributes 
		at: 'enctype'
		put: 'multipart/form-data'!

multipart: aBoolean
	"Sets the content type used to submit the form to the server.
	true: sets the content type to multipart/form-data
	false: leavess the content type to default application/x-www-form-urlencoded"
	aBoolean ifTrue: [ self multipart ]!

name: aString
	"This attribute names the element so that it may be referred to from style sheets or scripts. Note. This attribute has been included for backwards compatibility. Applications should use the id attribute to identify elements."
	self attributes at: 'name' put: aString!

noAutocomplete
	self attributes 
		at: 'autocomplete'
		put: 'off'!

post
	"tells the user agent to use the HTTP POST method to submit this form"
	self method: 'post'!

setParent: aBrush canvas: aCanvas
	super setParent: aBrush canvas: aCanvas.
	self post; action: aCanvas actionUrl!

tag
	^ 'form'! !
!WABasicFormTag categoriesFor: #acceptCharset:!attributes!public! !
!WABasicFormTag categoriesFor: #action:!attributes!public! !
!WABasicFormTag categoriesFor: #defaultUrlCharset!private! !
!WABasicFormTag categoriesFor: #get!attributes!public! !
!WABasicFormTag categoriesFor: #initialize!initialization!public! !
!WABasicFormTag categoriesFor: #method:!attributes!public! !
!WABasicFormTag categoriesFor: #multipart!attributes!public! !
!WABasicFormTag categoriesFor: #multipart:!attributes!public! !
!WABasicFormTag categoriesFor: #name:!attributes!public! !
!WABasicFormTag categoriesFor: #noAutocomplete!attributes!public! !
!WABasicFormTag categoriesFor: #post!attributes!public! !
!WABasicFormTag categoriesFor: #setParent:canvas:!initialization!public! !
!WABasicFormTag categoriesFor: #tag!accessing!public! !

WABreakTag guid: (GUID fromString: '{6E7B1855-C50B-474D-8C27-B78AF37190DA}')!
WABreakTag comment: '
The BR element forcibly breaks (ends) the current line of text. Authors are advised to use style sheets to control text flow around floating images and other objects.

Prohibiting a line break 

Sometimes authors may want to prevent a line break from occurring between two words. The &nbsp; entity (&#160; or &#xA0;) acts as a space where user agents should not cause a line break.'!
!WABreakTag categoriesForClass!Unclassified! !
!WABreakTag methodsFor!

isClosed
	^ true!

tag
	^ 'br'! !
!WABreakTag categoriesFor: #isClosed!public!testing! !
!WABreakTag categoriesFor: #tag!accessing!public! !

WACollectionTag guid: (GUID fromString: '{5AB6EB8C-432E-488E-A06F-5066AE02A42A}')!
WACollectionTag comment: '
This element allows the use to select one (in single selection mode) or multiple (in single selection mode) elements. Multiple selection can be triggered with #beMultiple, single selection can be triggered with #beSingle .Default is single selection.

The general idea is that you pass the colletion of options to #list: and use #labels: to customize their rendering. The selected option(s) can be set with: #selected:.


This whole class is kind of an akward hack, but noone needs MI anyway. You can always get a way with composition and delegation'!
!WACollectionTag categoriesForClass!Unclassified! !
!WACollectionTag methodsFor!

add: anObject
	self list add: anObject!

addAll: aCollection
	self list addAll: aCollection!

before
	super before.
	self hasList ifTrue: [
		self list do: [ :each |
			self
				renderListItem: each
				labelled: (self labelForOption: each) ] ]!

callback: aBlock
	self subclassResponsibility!

hasList
	^ list notNil and: [ list notEmpty ]!

isSelected: anObject
	"Test if anObject is currently selected."

 	^ selected = anObject!

labelForOption: anObject
	^ labelBlock isNil
		ifTrue: [ anObject ]
		ifFalse: [ labelBlock value: anObject ]!

labels: aBlock
	"Allows to customize the rendering of list items by passing a one argument block that converts each option to a string. If you need to do custom html rendering for the options use #with: or override #renderOn: in your objects."

	labelBlock := aBlock fixCallbackTemps!

list
	^ list ifNil: [ list := OrderedCollection new ]!

list: aCollection
	"Append aCollection of items to display. The rendering can be customized using #labels:."

	aCollection isNil
		ifFalse: [ self addAll: aCollection ]!

on: aSelector of: anObject 
	self selected: (anObject perform: aSelector).
	self callback: (GRDelayedSend 
			receiver: anObject
			selector: aSelector asMutator)!

renderListItem: anObject labelled: aString
	self subclassResponsibility!

selected: anObject
	"Set anObject to be selected."

	selected := anObject! !
!WACollectionTag categoriesFor: #add:!adding!public! !
!WACollectionTag categoriesFor: #addAll:!adding!public! !
!WACollectionTag categoriesFor: #before!private! !
!WACollectionTag categoriesFor: #callback:!callbacks!public! !
!WACollectionTag categoriesFor: #hasList!public!testing! !
!WACollectionTag categoriesFor: #isSelected:!public!testing! !
!WACollectionTag categoriesFor: #labelForOption:!private! !
!WACollectionTag categoriesFor: #labels:!callbacks!public! !
!WACollectionTag categoriesFor: #list!accessing!public! !
!WACollectionTag categoriesFor: #list:!accessing!public! !
!WACollectionTag categoriesFor: #on:of:!callbacks!public! !
!WACollectionTag categoriesFor: #renderListItem:labelled:!private! !
!WACollectionTag categoriesFor: #selected:!accessing!public! !

WADivTag guid: (GUID fromString: '{9B8274A7-DF9F-42A0-AC93-EAE23CB316BE}')!
WADivTag comment: '
The <div> tag defines a division/section in a document.

Use the <div> tag to group block-elements to format them with styles.
'!
!WADivTag categoriesForClass!Unclassified! !
!WADivTag methodsFor!

clear
	self class: 'clear'.
	self with: [canvas space]!

tag
	^ 'div'! !
!WADivTag categoriesFor: #clear!public! !
!WADivTag categoriesFor: #tag!accessing!public! !

WAFieldSetTag guid: (GUID fromString: '{3D0F4DF0-41F5-480A-8703-F9FDDFD1D5A2}')!
WAFieldSetTag comment: '
The FIELDSET element allows authors to group thematically related controls and labels. Grouping controls makes it easier for users to understand their purpose while simultaneously facilitating tabbing navigation for visual user agents and speech navigation for speech-oriented user agents. The proper use of this element makes documents more accessible.

The LEGEND element allows authors to assign a caption to a FIELDSET. The legend improves accessibility when the FIELDSET is rendered non-visually.'!
!WAFieldSetTag categoriesForClass!Unclassified! !
!WAFieldSetTag methodsFor!

before
	super before.
	legend isNil
		ifFalse: [ canvas legend: legend ]!

legend: aString
	legend := aString!

tag
	^ 'fieldset'! !
!WAFieldSetTag categoriesFor: #before!private! !
!WAFieldSetTag categoriesFor: #legend:!accessing!public! !
!WAFieldSetTag categoriesFor: #tag!accessing!public! !

WAFormInputTag guid: (GUID fromString: '{6FDE8474-3989-40EE-8F3B-0C28AC697D32}')!
WAFormInputTag comment: 'The <input> tag defines the start of an input field where the user can enter data.'!
!WAFormInputTag categoriesForClass!Unclassified! !
!WAFormInputTag methodsFor!

callback: aBlock
	self name: (self storeCallback: (WAValueCallback on: aBlock))!

isClosed
	^ true!

name: aString
	"This attribute assigns the control name.
	
	A control's 'control name' is given by its name attribute. The scope of the name attribute for a control within a FORM element is the FORM element."
	self attributes at: 'name' put: aString!

on: aSelector of: anObject 
	self value: (anObject perform: aSelector).
	self callback: (GRDelayedSend 
			receiver: anObject
			selector: aSelector asMutator)!

readonly: aBoolean
	"When set to true, this boolean attribute prohibits changes to the widget."
	self attributes at: 'readonly' put: aBoolean!

setFocus
	"Makes this element have the initial focus once the page is loaded aka autofocus."
	self 
		greaseDeprecatedApi: 'WAFormInputTag>>#setFocus'
		details: 'Use an appropriate Javascript library instead.'.
	canvas document addLoadScript: 'document.getElementById(' , self ensureId printString , ').focus()'!

size: aNumber 
	"This attribute tells the user agent the initial width of the widget. The width is given in pixels except when type attribute has the value 'text' or 'password'. In that case, its value refers to the (integer) number of characters."
	self attributes 
		at: 'size'
		put: aNumber!

submitOnClick
	self 
		greaseDeprecatedApi: 'WAFormInputTag>>#submitOnClick'
		details: 'Use a dedicated Javascript library.'.
	self onClick: 'submit()'!

tag
	^ 'input'!

text: aString
	self value: aString!

type
	^ nil!

type: aString
	self attributes at: 'type' put: aString!

value
	^ self attributes at: 'value'!

value: anObject
	anObject isNil
		ifFalse: [ self attributes at: 'value' put: anObject ]!

with: aBlock
	self type isNil ifFalse: [
		self attributes at: 'type' ifAbsentPut: [ self type ].
		self class: self type ].
	super with: aBlock! !
!WAFormInputTag categoriesFor: #callback:!callbacks!public! !
!WAFormInputTag categoriesFor: #isClosed!public!testing! !
!WAFormInputTag categoriesFor: #name:!attributes!public! !
!WAFormInputTag categoriesFor: #on:of:!callbacks!public! !
!WAFormInputTag categoriesFor: #readonly:!attributes!public! !
!WAFormInputTag categoriesFor: #setFocus!public! !
!WAFormInputTag categoriesFor: #size:!attributes!public! !
!WAFormInputTag categoriesFor: #submitOnClick!public! !
!WAFormInputTag categoriesFor: #tag!accessing!public! !
!WAFormInputTag categoriesFor: #text:!attributes!public! !
!WAFormInputTag categoriesFor: #type!accessing!public! !
!WAFormInputTag categoriesFor: #type:!attributes!public! !
!WAFormInputTag categoriesFor: #value!attributes!public! !
!WAFormInputTag categoriesFor: #value:!attributes!public! !
!WAFormInputTag categoriesFor: #with:!public! !

WAGenericTag guid: (GUID fromString: '{F7B402E3-8412-4DAC-A25B-05FD2111FE54}')!
WAGenericTag comment: '
A WAGenericTag is the class for all tags that do not have a class of their own.

Instance Variables
	tag:		<String>

tag
	- the name of the tag
'!
!WAGenericTag categoriesForClass!Unclassified! !
!WAGenericTag methodsFor!

initializeWithTag: aString
	self initialize.
	tag := aString!

tag
	^ tag! !
!WAGenericTag categoriesFor: #initializeWithTag:!initialization!public! !
!WAGenericTag categoriesFor: #tag!accessing!public! !

!WAGenericTag class methodsFor!

tag: aString
	^ self basicNew initializeWithTag: aString; yourself! !
!WAGenericTag class categoriesFor: #tag:!instance creation!public! !

WAHeadingTag guid: (GUID fromString: '{CEB059D7-5B86-4F8D-84B2-86DCD37D70DB}')!
WAHeadingTag comment: '
A heading element briefly describes the topic of the section it introduces. Heading information may be used by user agents, for example, to construct a table of contents for a document automatically.

There are six levels of headings in HTML with H1 as the most important and H6 as the least. Visual browsers usually render more important headings in larger fonts than less important ones.'!
!WAHeadingTag categoriesForClass!Unclassified! !
!WAHeadingTag methodsFor!

initialize
	super initialize.
	self level1!

level
	^ level!

level: anInteger
	level := (anInteger max: 1) min: 6!

level1
	level := 1!

level2
	level := 2!

level3
	level := 3!

level4
	level := 4!

level5
	level := 5!

level6
	level := 6!

tag
	^ 'h' , self level greaseString! !
!WAHeadingTag categoriesFor: #initialize!initialization!public! !
!WAHeadingTag categoriesFor: #level!accessing!public! !
!WAHeadingTag categoriesFor: #level:!accessing!public! !
!WAHeadingTag categoriesFor: #level1!convenience!public! !
!WAHeadingTag categoriesFor: #level2!convenience!public! !
!WAHeadingTag categoriesFor: #level3!convenience!public! !
!WAHeadingTag categoriesFor: #level4!convenience!public! !
!WAHeadingTag categoriesFor: #level5!convenience!public! !
!WAHeadingTag categoriesFor: #level6!convenience!public! !
!WAHeadingTag categoriesFor: #tag!accessing!public! !

WAHorizontalRuleTag guid: (GUID fromString: '{5E491968-F68A-4EA4-A79B-83E3892AE6C8}')!
WAHorizontalRuleTag comment: '
The HR element causes a horizontal rule to be rendered by visual user agents.

The amount of vertical space inserted between a rule and the content that surrounds it depends on the user agent.'!
!WAHorizontalRuleTag categoriesForClass!Unclassified! !
!WAHorizontalRuleTag methodsFor!

isClosed
	^ true!

tag
	^ 'hr'! !
!WAHorizontalRuleTag categoriesFor: #isClosed!public!testing! !
!WAHorizontalRuleTag categoriesFor: #tag!accessing!public! !

WAIframeTag guid: (GUID fromString: '{8E486340-4B95-459A-93D8-CB410CA9C5EA}')!
WAIframeTag comment: '
The IFRAME element allows authors to insert a frame within a block of text. Inserting an inline frame within a section of text is much like inserting an object via the OBJECT element: they both allow you to insert an HTML document in the middle of another, they may both be aligned with surrounding text, etc. 

The information to be inserted inline is designated by the src attribute of this element. The contents of the IFRAME element, on the other hand, should only be displayed by user agents that do not support frames or are configured not to display frames.

Inline frames may not be resized.'!
!WAIframeTag categoriesForClass!Unclassified! !
!WAIframeTag methodsFor!

contents: anObject
	self url: (canvas urlForAction: [ self performRendering: anObject ])!

document: anObject
	self document: anObject mimeType: nil!

document: anObject mimeType: aMimeString
	self document: anObject mimeType: aMimeString fileName: nil!

document: anObject mimeType: aMimeString fileName: aFileNameString
	self url: (canvas context
		urlForDocument: anObject
		mimeType: aMimeString
		fileName: aFileNameString)!

height: anInteger
	"The height of the inline frame."
	self attributes at: 'height' put: anInteger!

name: aString
	"This attribute assigns a name to the current frame. This name may be used as the target of subsequent links."
	self attributes at: 'name' put: aString!

performRendering: anObject
	| innerContext docRoot document renderer |
	self requestContext respond: [ :response |
		innerContext := canvas context copy.
		docRoot := WAHtmlRoot context: innerContext.
		self rootBlock value: docRoot.
		response doNotCache.
		document := self requestContext handler documentClass 
			on: response stream codec: self requestContext codec.
		canvas context document: document.
		document open: docRoot.
		renderer := canvas species context: canvas context.
		renderer render: anObject; flush.
		document close ]!

rootBlock
	"Anser the block to render the HTML root."
	^ rootBlock isNil
		ifTrue: [ [ :root | root base target: '_top' ] ]
		ifFalse: [ rootBlock ]!

rootBlock: aOneArgumentBlock
	"Set the block hat is used to render the html <head> element. An instance of WAHtmlRoot will be passed as an argument. You'll probably want to add:
		root base target: '_top' 
	to your block."
	rootBlock := aOneArgumentBlock!

tag
	^ 'iframe'!

url: aString 
	self attributes 
		at: 'src'
		put: aString!

width: anInteger
	"The width of the inline frame."
	self attributes at: 'width' put: anInteger! !
!WAIframeTag categoriesFor: #contents:!convenience!public! !
!WAIframeTag categoriesFor: #document:!convenience!public! !
!WAIframeTag categoriesFor: #document:mimeType:!convenience!public! !
!WAIframeTag categoriesFor: #document:mimeType:fileName:!convenience!public! !
!WAIframeTag categoriesFor: #height:!attributes!public! !
!WAIframeTag categoriesFor: #name:!attributes!public! !
!WAIframeTag categoriesFor: #performRendering:!private! !
!WAIframeTag categoriesFor: #rootBlock!accessing!public! !
!WAIframeTag categoriesFor: #rootBlock:!accessing!public! !
!WAIframeTag categoriesFor: #tag!accessing!public! !
!WAIframeTag categoriesFor: #url:!attributes!public! !
!WAIframeTag categoriesFor: #width:!attributes!public! !

WAImageTag guid: (GUID fromString: '{C34756A0-5DF1-4D38-A5A2-7BA0DDBCE3C4}')!
WAImageTag comment: '
The IMG element embeds an image in the current document at the location of the element''s definition. The IMG element has no content; it is usually replaced inline by the image designated by the src attribute, the exception being for left or right-aligned images that are "floated" out of line.

The alt attribute specifies alternate text that is rendered when the image cannot be displayed (see below for information on how to specify alternate text ). User agents must render alternate text when they cannot support images, they cannot support a certain image type or when they are configured not to display images.

Seaside per default sets the alternate text to an empty string. This helps validation of the page.'!
!WAImageTag categoriesForClass!Unclassified! !
!WAImageTag methodsFor!

altText: aString
	"The alt attribute provides a short description of the image."
	self attributes at: 'alt' put: aString!

document: aDocument
	self document: aDocument mimeType: nil!

document: aDocument mimeType: mimeType
	self document: aDocument mimeType: mimeType fileName: nil!

document: aDocument mimeType: mimeType fileName: fileName
	self url: (canvas context urlForDocument: aDocument mimeType: mimeType fileName: fileName)!

height: anInteger
	self attributes at: 'height' put: anInteger!

initialize
	super initialize.
	self altText: ''!

isClosed
	^ true!

resourceUrl: aString
	self url: (canvas absoluteUrlForResource: aString)!

setParent: aBrush canvas: aCanvas 
	super 
		setParent: aBrush
		canvas: aCanvas.
	(aBrush isKindOf: WAImageMapTag) ifTrue: [ 
		"in case the parent is an image map we need to set this attribute"
		self attributes 
			at: 'ismap'
			put: true ]!

src: aString 
	self 
		greaseDeprecatedApi: 'WAImageTag>>#src:'
		details: 'Use #url:.'.
	self url: aString!

tag
	^ 'img'!

url: aString
	self attributes at: 'src' put: aString!

width: anInteger
	self attributes at: 'width' put: anInteger! !
!WAImageTag categoriesFor: #altText:!attributes!public! !
!WAImageTag categoriesFor: #document:!accessing!public! !
!WAImageTag categoriesFor: #document:mimeType:!accessing!public! !
!WAImageTag categoriesFor: #document:mimeType:fileName:!accessing!public! !
!WAImageTag categoriesFor: #height:!attributes!public! !
!WAImageTag categoriesFor: #initialize!initialization!public! !
!WAImageTag categoriesFor: #isClosed!public!testing! !
!WAImageTag categoriesFor: #resourceUrl:!accessing!public! !
!WAImageTag categoriesFor: #setParent:canvas:!initialization!public! !
!WAImageTag categoriesFor: #src:!public! !
!WAImageTag categoriesFor: #tag!accessing!public! !
!WAImageTag categoriesFor: #url:!attributes!public! !
!WAImageTag categoriesFor: #width:!attributes!public! !

WAKeyGeneratorTag guid: (GUID fromString: '{CE5F2FCD-69E8-4106-9832-8F0E24ED2C64}')!
WAKeyGeneratorTag comment: '
A WAKeygenTag is allows the user agent to generate a secure key and submits the public key.

Supported by:
    * Netscape 3, 4, 6, 7
    * Mozilla 1
    * Firefox 1
    * Opera 3, 4, 5, 6, 7, 8
    * Safari 1 

=== Links for more info ===
http://lists.whatwg.org/pipermail/whatwg-whatwg.org/attachments/20080714/07ea5534/attachment.txt
http://wp.netscape.com/eng/security/comm4-keygen.html
http://wp.netscape.com/eng/security/ca-interface.html
http://webdesign.about.com/od/htmltags/p/bltags_keygen.htm
http://eskimonorth.com/~bloo/indexdot/html/tagpages/k/keygen.htm
http://web.archive.org/web/20040710102131/devedge.netscape.com/library/manuals/1998/htmlguide/
http://64.233.183.104/search?q=cache:TExfCslqOcwJ:www.html4newbies.com/Keygen.php
http://www.di.unito.it/~rabser/ssleay/x509_netscape.html
http://msdn.microsoft.com/en-us/library/cc214558.aspx - Something that may look like the MS version of the keygen attribute
'!
!WAKeyGeneratorTag categoriesForClass!Unclassified! !
!WAKeyGeneratorTag methodsFor!

callback: aBlock
	self name: (self storeCallback: (WAValueCallback on: aBlock))!

challenge: aString
	"Specifies the challenge string to be packaged with the public key for use in verification of the form submission. If no challenge string is provided, then it is encoded as an 'IA5STRING' of length zero. "
	self attributeAt: 'challenge' put: aString!

isClosed
	^true!

keyType: aString
	"This attribute specifies the type of encryption security method to use to verify the receiver. 
    Values: 'RSA' (default) or 'DSA'"
	self attributeAt: 'keytype' put: aString!

name: aString
	"The same as WAFormInputTag >> #name:"
	self attributeAt: 'name' put: aString!

pqg: aString
	"This attribute appears to be a security string to be sent and verified."
	self attributeAt: 'pqg' put: aString!

tag
	^ 'keygen'! !
!WAKeyGeneratorTag categoriesFor: #callback:!callbacks!public! !
!WAKeyGeneratorTag categoriesFor: #challenge:!attributes!public! !
!WAKeyGeneratorTag categoriesFor: #isClosed!public!testing! !
!WAKeyGeneratorTag categoriesFor: #keyType:!attributes!public! !
!WAKeyGeneratorTag categoriesFor: #name:!attributes!public! !
!WAKeyGeneratorTag categoriesFor: #pqg:!attributes!public! !
!WAKeyGeneratorTag categoriesFor: #tag!accessing!public! !

WALabelTag guid: (GUID fromString: '{9D397ED3-4B0B-4EF0-B083-5C2AAC575970}')!
WALabelTag comment: 'Defines a label to a control. If you click the text within the label element,  it is supposed to toggle the control.'!
!WALabelTag categoriesForClass!Unclassified! !
!WALabelTag methodsFor!

for: aString 
	self attributes 
		at: 'for'
		put: aString!

tag
	^ 'label'! !
!WALabelTag categoriesFor: #for:!attributes!public! !
!WALabelTag categoriesFor: #tag!accessing!public! !

WAObjectTag guid: (GUID fromString: '{B81619ED-5A7F-4A6B-B0F3-D6D076877C75}')!
WAObjectTag comment: '
Defines an embedded object. Use this element to add multimedia to your XHTML page.
This element allows you to specify the data and parameters for objects inserted into HTML documents, and the code that can be used to display/manipulate that data.'!
!WAObjectTag categoriesForClass!Unclassified! !
!WAObjectTag methodsFor!

archive: aUrl 
	self attributes 
		at: 'archive'
		put: aUrl!

classId: aUrl 
	self attributes 
		at: 'classid'
		put: aUrl!

codebase: aUrl 
	self attributes 
		at: 'codebase'
		put: aUrl!

codetype: aString 
	self attributes 
		at: 'codetype'
		put: aString!

declare: aBoolean 
	self attributes 
		at: 'declare'
		put: aBoolean!

height: anInteger 
	self attributes 
		at: 'height'
		put: anInteger!

standby: aString 
	self attributes 
		at: 'standby'
		put: aString!

tag
	^ 'object'!

type: aString 
	self attributes 
		at: 'type'
		put: aString!

url: aUrl 
	self attributes 
		at: 'data'
		put: aUrl!

width: anInteger 
	self attributes 
		at: 'width'
		put: anInteger! !
!WAObjectTag categoriesFor: #archive:!attributes!public! !
!WAObjectTag categoriesFor: #classId:!attributes!public! !
!WAObjectTag categoriesFor: #codebase:!attributes!public! !
!WAObjectTag categoriesFor: #codetype:!attributes!public! !
!WAObjectTag categoriesFor: #declare:!attributes!public! !
!WAObjectTag categoriesFor: #height:!attributes!public! !
!WAObjectTag categoriesFor: #standby:!attributes!public! !
!WAObjectTag categoriesFor: #tag!accessing!public! !
!WAObjectTag categoriesFor: #type:!attributes!public! !
!WAObjectTag categoriesFor: #url:!attributes!public! !
!WAObjectTag categoriesFor: #width:!attributes!public! !

WAOptionGroupTag guid: (GUID fromString: '{BBFACC6C-7DC5-40B3-91CA-E93305F8C3B0}')!
WAOptionGroupTag comment: '
The OPTGROUP element allows authors to group choices logically. This is particularly helpful when the user must choose from a long list of options; groups of related choices are easier to grasp and remember than a single long list of options.

It has crappy browser support and noone as ever used it. See WAInputTest >> #renderOptionGroupOn: for examples.'!
!WAOptionGroupTag categoriesForClass!Unclassified! !
!WAOptionGroupTag methodsFor!

initialize
	super initialize.
	self label: ''!

label: aString
	"This attribute specifies the label for the option group."

	self attributes at: 'label' put: aString!

tag
	^ 'optgroup'! !
!WAOptionGroupTag categoriesFor: #initialize!initialization!public! !
!WAOptionGroupTag categoriesFor: #label:!attributes!public! !
!WAOptionGroupTag categoriesFor: #tag!accessing!public! !

WAOptionTag guid: (GUID fromString: '{4F1412B4-90AA-4779-8E53-9E843D70C035}')!
WAOptionTag comment: 'The option element defines an option in a drop-down list. '!
!WAOptionTag categoriesForClass!Unclassified! !
!WAOptionTag methodsFor!

callback: aBlock
	self value: (self storeCallback: (WAValueCallback on: aBlock))!

label: aString
	"This attribute allows authors to specify a shorter label for an option than the content of the OPTION element. When specified, user agents should use the value of this attribute rather than the content of the OPTION element as the option label."

	self attributes at: 'label' put: aString!

selected: aBoolean
	self attributes at: 'selected' put: aBoolean!

tag
	^ 'option'!

value: aString
	self attributes at: 'value' put: aString!

value: anObject with: aListTag
	self selected: (aListTag isSelected: anObject).
	self value: (aListTag valueFor: anObject)
	! !
!WAOptionTag categoriesFor: #callback:!callbacks!public! !
!WAOptionTag categoriesFor: #label:!attributes!public! !
!WAOptionTag categoriesFor: #selected:!attributes!public! !
!WAOptionTag categoriesFor: #tag!accessing!public! !
!WAOptionTag categoriesFor: #value:!attributes!public! !
!WAOptionTag categoriesFor: #value:with:!attributes!public! !

WAParameterTag guid: (GUID fromString: '{06C30B9B-2CEC-4C6B-ACC5-5CDB9C03E998}')!
WAParameterTag comment: 'The param element allows you to specify the run-time settings for an object inserted into XHTML documents.'!
!WAParameterTag categoriesForClass!Unclassified! !
!WAParameterTag methodsFor!

name: aString 
	self attributes 
		at: 'name'
		put: aString!

tag
	^ 'param'!

type: aString 
	self attributes 
		at: 'type'
		put: aString!

value: aString 
	self attributes 
		at: 'value'
		put: aString! !
!WAParameterTag categoriesFor: #name:!attributes!public! !
!WAParameterTag categoriesFor: #tag!accessing!public! !
!WAParameterTag categoriesFor: #type:!attributes!public! !
!WAParameterTag categoriesFor: #value:!attributes!public! !

WARubyTextTag guid: (GUID fromString: '{F23E6C06-7B09-48F3-BEB4-16F8ED64F357}')!
WARubyTextTag comment: '
This element works with the <ruby> element. 
The text following <rt> appears as a note to the base text displayed by the 
<ruby> element.'!
!WARubyTextTag categoriesForClass!Unclassified! !
!WARubyTextTag methodsFor!

span: anInteger 
	self attributes 
		at: 'rbspan'
		put: anInteger!

tag
	^ 'rt'! !
!WARubyTextTag categoriesFor: #span:!attributes!public! !
!WARubyTextTag categoriesFor: #tag!accessing!public! !

WAScriptTag guid: (GUID fromString: '{EEAEDAF1-7FC1-4228-98A8-E7C0780F17AD}')!
WAScriptTag comment: 'Defines a script, such as a JavaScript.'!
!WAScriptTag categoriesForClass!Unclassified! !
!WAScriptTag methodsFor!

after
	super after.
	self document nextPutAll: '/*]]>*/'!

before
	super before.
	self document nextPutAll: '/*<!![CDATA[*/'!

defer
	"When set, this boolean attribute provides a hint to the user agent that the script is not going to generate any document content (e.g., no 'document.write' in javascript) and thus, the user agent can continue parsing and rendering."
	self attributes 
		at: 'defer'
		put: true!

resourceUrl: aString
	self url: (canvas absoluteUrlForResource: aString)!

tag
	^ 'script'!

url: aString
	self attributes at: 'src' put: aString!

with: aString 
	self attributes 
		at: 'type'
		ifAbsentPut: [ 'text/javascript' ].
	super with: 
		[ aString isNil ifFalse: [ self document nextPutAll: aString greaseString ] ]! !
!WAScriptTag categoriesFor: #after!private! !
!WAScriptTag categoriesFor: #before!private! !
!WAScriptTag categoriesFor: #defer!attributes!public! !
!WAScriptTag categoriesFor: #resourceUrl:!attributes!public! !
!WAScriptTag categoriesFor: #tag!accessing!public! !
!WAScriptTag categoriesFor: #url:!attributes!public! !
!WAScriptTag categoriesFor: #with:!public! !

WATableCellTag guid: (GUID fromString: '{63CD028A-52E4-446E-9B61-6EFA03EF68E0}')!
WATableCellTag comment: ''!
!WATableCellTag categoriesForClass!Unclassified! !
!WATableCellTag methodsFor!

align: aString
	"This attribute specifies the alignment of data and the justification of text in a cell. Possible values:
	
- left: Left-flush data/Left-justify text. This is the default value for table data.
- center: Center data/Center-justify text. This is the default value for table headers.
- right: Right-flush data/Right-justify text.
- justify: Double-justify text.
- char: Align text around a specific character. If a user agent doesn't support character alignment, behavior in - the presence of this value is unspecified."

	self attributes at: 'align' put: aString!

character: aString
	"This attribute specifies a single character within a text fragment to act as an axis for alignment. The default value for this attribute is the decimal point character for the current language as set by the lang attribute. User agents are not required to support this attribute."
	
	self attributes at: 'char' put: aString!

characterOffset: anInteger
	"When present, this attribute specifies the offset to the first occurrence of the alignment character on each line. If a line doesn't include the alignment character, it should be horizontally shifted to end at the alignment position."

	self attributes at: 'charoff' put: anInteger!

verticalAlign: aString
	"This attribute specifies the vertical position of data within a cell. Possible values:

- top: Cell data is flush with the top of the cell.
- middle: Cell data is centered vertically within the cell. This is the default value.
- bottom: Cell data is flush with the bottom of the cell.
- baseline: All cells in the same row as a cell whose valign attribute has this value should have their textual data positioned so that the first text line occurs on a baseline common to all cells in the row. This constraint does not apply to subsequent text lines in these cells."
		
	self attributes at: 'valign' put: aString! !
!WATableCellTag categoriesFor: #align:!attributes!public! !
!WATableCellTag categoriesFor: #character:!attributes!public! !
!WATableCellTag categoriesFor: #characterOffset:!attributes!public! !
!WATableCellTag categoriesFor: #verticalAlign:!attributes!public! !

WATableTag guid: (GUID fromString: '{E188511C-107E-4F60-9BB4-F7CD81F87A76}')!
WATableTag comment: 'The <table> tag defines a table. Inside a <table> tag you can put table headers, table rows, table cells, and other tables.'!
!WATableTag categoriesForClass!Unclassified! !
!WATableTag methodsFor!

align: aString 
	self 
		greaseDeprecatedApi: 'WATableTag>>#align:'
		details: 'Use a CSS stylesheet.'.
	self attributes 
		at: 'align'
		put: aString!

border: anInteger 
	self 
		greaseDeprecatedApi: 'WATableTag>>#border:'
		details: 'Use a CSS stylesheet.'.
	self attributes 
		at: 'border'
		put: anInteger!

cellpadding: anInteger
	self attributes at: 'cellpadding' put: anInteger!

cellspacing: anInteger
	self attributes at: 'cellspacing' put: anInteger!

frame: aString
	"frame = void|above|below|hsides|lhs|rhs|vsides|box|border [CI]
    This attribute specifies which sides of the frame surrounding a table will be visible. Possible values:

        * void: No sides. This is the default value.
        * above: The top side only.
        * below: The bottom side only.
        * hsides: The top and bottom sides only.
        * vsides: The right and left sides only.
        * lhs: The left-hand side only.
        * rhs: The right-hand side only.
        * box: All four sides.
        * border: All four sides."

	self attributes at: 'frame' put: aString!

rules: aString
	"rules = none|groups|rows|cols|all [CI]
    This attribute specifies which rules will appear between cells within a table. The rendering of rules is user agent dependent. Possible values:

        * none: No rules. This is the default value.
        * groups: Rules will appear between row groups (see THEAD, TFOOT, and TBODY) and column groups (see COLGROUP and COL) only.
        * rows: Rules will appear between rows only.
        * cols: Rules will appear between columns only.
        * all: Rules will appear between all rows and columns."
	self attributes at: 'rules' put: aString!

summary: aString
	self attributes at: 'summary' put: aString!

tag
	^ 'table'! !
!WATableTag categoriesFor: #align:!public! !
!WATableTag categoriesFor: #border:!public! !
!WATableTag categoriesFor: #cellpadding:!attributes!public! !
!WATableTag categoriesFor: #cellspacing:!attributes!public! !
!WATableTag categoriesFor: #frame:!attributes!public! !
!WATableTag categoriesFor: #rules:!attributes!public! !
!WATableTag categoriesFor: #summary:!attributes!public! !
!WATableTag categoriesFor: #tag!accessing!public! !

WAImageMapTag guid: (GUID fromString: '{840AE0F8-FA28-4E78-81B9-5A1CE8BCF90C}')!
WAImageMapTag comment: '
A WAImageMapTag is supposed to be used like this:

	html map
		callback: [ :point | self click: point ];
		with: [ html image url: ''foo.gif'' ]
			
An example can be found in WAScreenshot.

Technincal:
http://www.w3.org/TR/html4/struct/objects.html#include-maps

The location clicked is passed to the server as follows. The user agent derives a new URI from the URI specified by the href attribute of the A element, by appending `?'' followed by the x and y coordinates, separated by a comma. The link is then followed using the new URI. For instance, in the given example, if the user clicks at the location x=10, y=27 then the derived URI is "http://www.acme.com/cgi-bin/competition?10,27".
'!
!WAImageMapTag categoriesForClass!Unclassified! !
!WAImageMapTag methodsFor!

callback: aBlock
	"The parameter for the image-map callback must be the last one, as the web-browser will use the same name and replace it with the coordinates."

	self url addField: (self storeCallback: (WAMapCallback on: aBlock)) value: ''! !
!WAImageMapTag categoriesFor: #callback:!callbacks!public! !

WAPopupAnchorTag guid: (GUID fromString: '{6BB33478-CB1D-47E0-8D94-95F43EAC8E83}')!
WAPopupAnchorTag comment: '
I am used to create a link that opens in a new window. A name can be specified using #name: and many features can be configured. Note, that not all features are supported on all web browser platforms. If Javascript is disabled the link will behave like any other anchor.

Most of the time a popup-anchor is created like this:

	html popupAnchor
		callback: [ WARenderLoop new call: WACounter new ];
		with: ''Open the counter within a new window''

This code creates a new render-loop and displays a new instance of WACounter within the new browser window.		
'!
!WAPopupAnchorTag categoriesForClass!Unclassified! !
!WAPopupAnchorTag methodsFor!

dependent: aBoolean
	"Specifies whether the new window is closed as well when the parent window gets closed."

	features at: #dependent put: aBoolean!

extent: aPoint
	"Specifies the width and height of the new window."

	self width: aPoint x; height: aPoint y!

featureString
	^ String streamContents: 
		[ :stream | 
		features associations 
			do: 
				[ :association | 
				stream
					nextPutAll: association key;
					nextPut: $=.
				stream nextPutAll: (association value == true 
						ifTrue: [ 'yes' ]
						ifFalse: 
							[ association value == false 
								ifTrue: [ 'no' ]
								ifFalse: [ association value greaseString ] ]) ]
			separatedBy: [ stream nextPut: $, ] ]!

height: anInteger
	"Specifies the height of the new window."

	features at: #height put: anInteger!

initialize
	super initialize.
	name := '_blank'.
	features := GRSmallDictionary new!

left: anInteger
	"Specifies the x coordinate of the top left corner of the new window. "

	features at: #left put: anInteger!

location: aBoolean
	"Specifies whether to display the address line in the new window."

	features at: #location put: aBoolean!

menubar: aBoolean
	"Specifies whether to display the browser menu bar."

	features at: #menubar put: aBoolean!

name
	^ name!

name: aString
	"String specifying the name of the new window. If a window with this name already exists, then the new content will be displayed in that existing window, rather than creating a new one."

	name := aString!

position: aPoint
	"Specifies the x and y coordinates of the top left corner of the new window."

	self left: aPoint x; top: aPoint y!

resizable: aBoolean
	"Specifies whether the new window is resizable."

	features at: #resizable put: aBoolean!

scrollbars: aBoolean
	"Specifies whether the new window should have scrollbars."

	features at: #scrollbars put: aBoolean!

status: aBoolean
	"Specifies whether to display the browser status bar."

	features at: #status put: aBoolean!

toolbar: aBoolean
	"Specifies whether to display the toolbar in the new window."

	features at: #toolbar put: aBoolean!

top: anInteger
	"Specifies the y coordinate of the top left corner of the new window. "

	features at: #top put: anInteger!

width: anInteger
	"Specifies the width of the new window."

	features at: #width put: anInteger!

with: aBlock
	self onClick: 'window.open(this.href,' , self name printString , ',' , self featureString printString , ');return false'.
	super with: aBlock! !
!WAPopupAnchorTag categoriesFor: #dependent:!features!public! !
!WAPopupAnchorTag categoriesFor: #extent:!features!public! !
!WAPopupAnchorTag categoriesFor: #featureString!private! !
!WAPopupAnchorTag categoriesFor: #height:!features!public! !
!WAPopupAnchorTag categoriesFor: #initialize!initialization!public! !
!WAPopupAnchorTag categoriesFor: #left:!features!public! !
!WAPopupAnchorTag categoriesFor: #location:!features!public! !
!WAPopupAnchorTag categoriesFor: #menubar:!features!public! !
!WAPopupAnchorTag categoriesFor: #name!accessing!public! !
!WAPopupAnchorTag categoriesFor: #name:!accessing!public! !
!WAPopupAnchorTag categoriesFor: #position:!features!public! !
!WAPopupAnchorTag categoriesFor: #resizable:!features!public! !
!WAPopupAnchorTag categoriesFor: #scrollbars:!features!public! !
!WAPopupAnchorTag categoriesFor: #status:!features!public! !
!WAPopupAnchorTag categoriesFor: #toolbar:!features!public! !
!WAPopupAnchorTag categoriesFor: #top:!features!public! !
!WAPopupAnchorTag categoriesFor: #width:!features!public! !
!WAPopupAnchorTag categoriesFor: #with:!public! !

WAFormTag guid: (GUID fromString: '{964C51A0-356A-4D08-93A0-B995FD549A30}')!
WAFormTag comment: '
The FORM element acts as a container for input elements and buttons.

Evaluation order:
The input fields callbacks will be evaluated in the order they
appear in the XHTML. Buttons will always be evaluated last, no matter
where they are positioned.'!
!WAFormTag categoriesForClass!Unclassified! !
!WAFormTag methodsFor!

after
	super after.
	self isGet ifTrue: [
		"Normally we have the session and continuation id in the action URL. However
		in the case of a GET <form> the browser will drop them."
		canvas div: [
			canvas actionUrl queryFields keysAndValuesDo: [ :k :v |
				canvas hiddenInput
					name: k;
					value: v ] ] ]!

before
	"Define the default action form buttons. Some implementation notes on this feature: (1) a tab-index of -1 is not valid XHTML, but most todays browser accept it and ignore the element in the tab-order. (2) Internet Explorer requires an additional text field (without other functionality) to make the default action work. Other browser should not include this text-field, as it prevents remembering form input."

	super before.
	defaultAction ifNil: [ ^ nil ].
	canvas div: [
		canvas submitButton
			tabIndex: -1;
			value: 'Default';
			callback: defaultAction;
			style: 'position: absolute; top: -100em'.
		self isInternetExplorer ifTrue: [
			canvas textInput
				tabIndex: -1;
				callback: [ :v | ];
				style: 'position: absolute; top: -100em' ] ]!

defaultAction: aBlock
	"The default action gets evaluated whenever the user presses submits
	the form by pressing enter without having the focus on a specific
	submit-button."
	defaultAction := aBlock!

isGet
	^(self attributeAt: 'method') = 'get'!

isInternetExplorer
	"Tries to find out whether the current request is made by IE. This is extremely unrelyable."
	| userAgent |
	userAgent := self requestContext request userAgent.
	^ userAgent notNil and: 
		[ (userAgent includesSubString: 'MSIE') and: [ (userAgent includesSubString: 'Opera') not ] ]! !
!WAFormTag categoriesFor: #after!private! !
!WAFormTag categoriesFor: #before!private! !
!WAFormTag categoriesFor: #defaultAction:!callbacks!public! !
!WAFormTag categoriesFor: #isGet!public!testing! !
!WAFormTag categoriesFor: #isInternetExplorer!private! !

WAListTag guid: (GUID fromString: '{676655B6-799E-488D-8693-AB1FAD22A17C}')!
WAListTag comment: '
Abstract base class for ordered and unordered list tags.

Ordered and unordered lists are rendered in an identical manner except that visual user agents number ordered list items. User agents may present those numbers in a variety of ways. Unordered list items are not numbered.

Both types of lists are made up of sequences of list items defined by the LI element (whose end tag may be omitted).

Lists may also be nested.'!
!WAListTag categoriesForClass!Unclassified! !
!WAListTag methodsFor!

callback: aBlock
	callbackBlock := aBlock fixCallbackTemps!

hasCallback
	^ callbackBlock notNil!

performCallback: anObject
	self hasCallback ifTrue: [ callbackBlock value: anObject ]!

renderListItem: anObject labelled: aString
	canvas listItem
		class: 'option-selected' if: (self isSelected: anObject);
		with: [
			self hasCallback
				ifFalse: [ canvas render: aString ]
				ifTrue: [
					canvas anchor
						callback: [ self performCallback: anObject ];
						with: aString ] ]! !
!WAListTag categoriesFor: #callback:!callbacks!public! !
!WAListTag categoriesFor: #hasCallback!public!testing! !
!WAListTag categoriesFor: #performCallback:!private! !
!WAListTag categoriesFor: #renderListItem:labelled:!private! !

WASelectTag guid: (GUID fromString: '{FD1381A3-36E0-4EAE-83E8-D7515D6A61E6}')!
WASelectTag comment: '
This element allows the use to select one (in single selection mode) or multiple (in single selection mode) elements. Default is single selection. Multiple selection can be triggered with #beMultiple.

Single selection is in general a drop-down list, so make sure the list of options is not too big.
Multiple selection has in general crappy browser support and a list of checkboxes is in general the better option.

If in single selection mode and you want enable "no selection" see #beOptional.

If you absolutely need to you can render the options yourself with ''html option'' inside #with:

Make sure to check the superclass for more methods.

See WAInputTest >> #renderSingleSelectionOn: and WAInputTest >> #renderMultiSelectionOn: for examples.'!
!WASelectTag categoriesForClass!Unclassified! !
!WASelectTag methodsFor!

before
	self isOptional ifTrue: [ self renderOptional ].
	super before!

beOptional
	"This adds a nil item to #list: which has the semantic of no selection. #optionalLabel: is the label for nil. This only really makes sense in single selection mode."

	isOptional := true!

beSubmitOnChange
	"Submit the form in the user selects a value."
	self 
		greaseDeprecatedApi: 'WASelectTag>>#beSubmitOnChange'
		details: 'Use a dedicated Javascript library instead.'.
	self onChange: 'submit()'!

callback: aBlock
	values := Dictionary new.
	self name: (self storeCallback: (self callbackClass on: aBlock values: values))!

callbackClass
	^ WAValuesCallback!

dispatchCallback
	^ self name: (self storeCallback: WADispatchCallback new)!

enabled: aOneArgumentBlock
	"Enable only those elements for selection for whom aBlock return true."

	enabledBlock := aOneArgumentBlock fixCallbackTemps!

hasCallback
	^ values notNil!

initialize
	super initialize.
	isOptional := false
	!

isEnabled: anObject
	"Test if anObject is enabled."

 	^ enabledBlock isNil or: [ enabledBlock value: anObject ]!

isOptional
	^ isOptional!

name: aString
	"This attribute assigns the control name."

	self attributes at: 'name' put: aString!

nextKey
	^ values size + 1
!

optionalLabel: aString
	"The label for the nil element. See #beOptional."

	optionalLabel := aString!

renderListItem: anObject labelled: aString
	| option |
	option := canvas option.
	self hasCallback
		ifTrue: [ option value: (self valueFor: anObject) ].
	titleBlock isNil
		ifFalse: [ option title: (self titleFor: anObject) ].
	option
		selected: (self isSelected: anObject);
		disabled: (self isEnabled: anObject) not;
		with: aString!

renderOptional
	self renderListItem: nil labelled: optionalLabel!

size: aNumber
	"If a SELECT element is presented as a scrolled list box, this attribute specifies the number of rows in the list that should be visible at the same time. Visual user agents are not required to present a SELECT element as a list box; they may use any other mechanism, such as a drop-down menu."

	self attributes at: 'size' put: aNumber!

tag
	^ 'select'!

titleFor: anObject
	^ titleBlock isNil
		ifTrue: [ anObject ]
		ifFalse: [ titleBlock value: anObject ]!

titles: aOneArgumentBlock
	"The given block will be used to generated title attributes for any of the options."

	titleBlock := aOneArgumentBlock fixCallbackTemps!

valueFor: anObject
	^ self valuesAt: self nextKey put: anObject!

valuesAt: key put: anObject
	values at: key put: anObject.
	^ values size! !
!WASelectTag categoriesFor: #before!private! !
!WASelectTag categoriesFor: #beOptional!attributes!public! !
!WASelectTag categoriesFor: #beSubmitOnChange!public! !
!WASelectTag categoriesFor: #callback:!callbacks!public! !
!WASelectTag categoriesFor: #callbackClass!accessing!public! !
!WASelectTag categoriesFor: #dispatchCallback!callbacks!public! !
!WASelectTag categoriesFor: #enabled:!callbacks!public! !
!WASelectTag categoriesFor: #hasCallback!accessing!public! !
!WASelectTag categoriesFor: #initialize!initialization!public! !
!WASelectTag categoriesFor: #isEnabled:!public!testing! !
!WASelectTag categoriesFor: #isOptional!public!testing! !
!WASelectTag categoriesFor: #name:!attributes!public! !
!WASelectTag categoriesFor: #nextKey!private! !
!WASelectTag categoriesFor: #optionalLabel:!attributes!public! !
!WASelectTag categoriesFor: #renderListItem:labelled:!private! !
!WASelectTag categoriesFor: #renderOptional!private! !
!WASelectTag categoriesFor: #size:!attributes!public! !
!WASelectTag categoriesFor: #tag!accessing!public! !
!WASelectTag categoriesFor: #titleFor:!private! !
!WASelectTag categoriesFor: #titles:!callbacks!public! !
!WASelectTag categoriesFor: #valueFor:!private! !
!WASelectTag categoriesFor: #valuesAt:put:!accessing!public! !

WAOrderedListTag guid: (GUID fromString: '{CB7948E4-D09A-4336-B9F6-2D1A1883FB48}')!
WAOrderedListTag comment: 'See superclass comment.'!
!WAOrderedListTag categoriesForClass!Unclassified! !
!WAOrderedListTag methodsFor!

tag
	^ 'ol'! !
!WAOrderedListTag categoriesFor: #tag!accessing!public! !

WAUnorderedListTag guid: (GUID fromString: '{B4091ADB-0006-4107-9186-6C83DBEBAE75}')!
WAUnorderedListTag comment: 'See superclass comment.'!
!WAUnorderedListTag categoriesForClass!Unclassified! !
!WAUnorderedListTag methodsFor!

tag
	^ 'ul'! !
!WAUnorderedListTag categoriesFor: #tag!accessing!public! !

WAMultiSelectTag guid: (GUID fromString: '{CE5B2907-7B0B-42F4-A062-261B82B19756}')!
WAMultiSelectTag comment: 'See superclass.'!
!WAMultiSelectTag categoriesForClass!Unclassified! !
!WAMultiSelectTag methodsFor!

callbackClass
	^WAMultipleValuesCallback!

closeTag
	super closeTag.
	self hasCallback ifFalse: [ ^ self ].
	canvas hiddenInput
		callback: [ self triggerCallback ].
	canvas flush!

isSelected: anObject
	^ selected notNil and: [ selected includes: anObject ]!

openTag
	self attributes at: 'multiple' put: true.
	super openTag
!

storeCallback: aCallback
	^ super storeCallback: (callback := aCallback)!

triggerCallback
	"Ensure that the callback triggers even if the browser does not submit a value."

	self requestContext request
		at: callback key
		ifAbsent: [ callback evaluateWithFieldValues: #() ]! !
!WAMultiSelectTag categoriesFor: #callbackClass!accessing!public! !
!WAMultiSelectTag categoriesFor: #closeTag!private! !
!WAMultiSelectTag categoriesFor: #isSelected:!public!testing! !
!WAMultiSelectTag categoriesFor: #openTag!private! !
!WAMultiSelectTag categoriesFor: #storeCallback:!private! !
!WAMultiSelectTag categoriesFor: #triggerCallback!private! !

WAAbstractTextAreaTag guid: (GUID fromString: '{ACDDA5B8-4EB5-4948-BF1B-53C7416C4E02}')!
WAAbstractTextAreaTag comment: 'An abstract class to describe the HTML elements that allow the user to enter text.'!
!WAAbstractTextAreaTag categoriesForClass!Unclassified! !
!WAAbstractTextAreaTag methodsFor!

callback: aBlock
	self name: (self storeCallback: (WAValueCallback on: aBlock)).
	self value: self value!

exampleText: aString 
	self 
		greaseDeprecatedApi: 'WAAbstractTextAreaTag>>#exampleText:'
		details: 'Use an appropriate Javascript library instead.'.
	(self value isEmptyOrNil or: [ self value = aString ]) ifFalse: [ ^ self ].
	self onFocus: 'if(value==' , aString printString , '){value='''';style.color=null}'.
	self
		style: 'color: #aaa';
		value: aString!

setCursorPosition: anInteger 
	self 
		greaseDeprecatedApi: 'WAAbstractTextAreaTag>>#setCursorPosition:'
		details: 'Use an appropriate Javascript library instead.'!

setSelectionFrom: aStartInteger to: aStopInteger 
	self 
		greaseDeprecatedApi: 'WAAbstractTextAreaTag>>#setSelectionFrom:to:'
		details: 'Use an appropriate Javascript library instead.'! !
!WAAbstractTextAreaTag categoriesFor: #callback:!callbacks!public! !
!WAAbstractTextAreaTag categoriesFor: #exampleText:!public! !
!WAAbstractTextAreaTag categoriesFor: #setCursorPosition:!public! !
!WAAbstractTextAreaTag categoriesFor: #setSelectionFrom:to:!public! !

WAButtonTag guid: (GUID fromString: '{B78C72D5-3BA7-4E72-A700-822C229AD1E4}')!
WAButtonTag comment: 'Buttons created with the BUTTON element function just like buttons created with the INPUT element, but they offer richer rendering possibilities: the BUTTON element may have content. For example, a BUTTON element that contains an image functions like and may resemble an INPUT element whose type is set to "image", but the BUTTON element type allows content.'!
!WAButtonTag categoriesForClass!Unclassified! !
!WAButtonTag methodsFor!

bePush
	"Creates a push button. Push buttons have no default behavior. Each push button may have client-side scripts associated with the element's event attributes. When an event occurs (e.g., the user presses the button, releases it, etc.), the associated script is triggered."
	type := 'button'!

beReset
	"Creates a reset button. When activated it resets all controls to their initial values."
	type := 'reset'!

beSubmit
	"Creates a submit button. When activated, a submit button submits a form. A form may contain more than one submit button. This is the default."
	type := 'submit'!

callback: aNiladicValuable 
	aNiladicValuable argumentCount > 0 ifTrue: [ GRInvalidArgumentCount signal: 'Buttons expect a niladic callback.' ].
	self name: (self storeCallback: (WAActionCallback on: aNiladicValuable))!

initialize
	super initialize.
	self beSubmit!

isClosed
	^ false!

on: aSymbol of: anObject 
	self value: (self 
			labelForSelector: aSymbol
			of: anObject).
	self callback: (GRDelayedSend 
			receiver: anObject
			selector: aSymbol)!

tag
	^ 'button'!

type
	^ type!

value
	^ value!

value: aString
	value := aString!

with: aBlock
	super with: (value ifNil: [ aBlock ])! !
!WAButtonTag categoriesFor: #bePush!accessing!public! !
!WAButtonTag categoriesFor: #beReset!accessing!public! !
!WAButtonTag categoriesFor: #beSubmit!accessing!public! !
!WAButtonTag categoriesFor: #callback:!callbacks!public! !
!WAButtonTag categoriesFor: #initialize!initialization!public! !
!WAButtonTag categoriesFor: #isClosed!public!testing! !
!WAButtonTag categoriesFor: #on:of:!callbacks!public! !
!WAButtonTag categoriesFor: #tag!accessing!public! !
!WAButtonTag categoriesFor: #type!accessing!public! !
!WAButtonTag categoriesFor: #value!accessing!public! !
!WAButtonTag categoriesFor: #value:!accessing!public! !
!WAButtonTag categoriesFor: #with:!public! !

WACheckboxTag guid: (GUID fromString: '{6FA53A40-FE4E-45C0-8207-BF61AC448DD2}')!
WACheckboxTag comment: '
The checkbox element is used with an associated property of typ boolean. It renders a HTML <input> element of type checkbox.

If this input element is disabled then the callback will still be evaluted but with an argument that is false. See method comment of #callback: for more information.

'!
!WACheckboxTag categoriesForClass!Unclassified! !
!WACheckboxTag methodsFor!

after
	super after.
	callback isNil ifTrue: [ ^ self ].
	canvas hiddenInput 
		callback: [
			callback value: value.
			value := false ]!

callback: aBlock
	"Compared to other form elements this input element is disabled then the callback will still be evaluted but with an argument that is false. So either don't assign a callback to disabled checkboxes or make the callback code aware that he might be invoked in a disabled state.
	
	However if you enable a disabled checkbox with JavaScript then the callback is invoked with the correct argument.
	
	http://code.google.com/p/seaside/issues/detail?id=18"
	value := false.
	callback := aBlock fixCallbackTemps.
	super callback: [value := true]!

onTrue: trueBlock onFalse: falseBlock
	trueBlock fixCallbackTemps. falseBlock fixCallbackTemps.
	self callback: [ :v | v ifTrue: [ trueBlock value ] ifFalse: [ falseBlock value ] ]!

submitFormNamed: aString 
	self 
		greaseDeprecatedApi: 'WACheckboxTag>>#submitFormNamed:'
		details: 'Use a dedicatedJavascript library instead.'.
	self onClick: 'document.getElementById(' , aString printString , ').submit();return false;'!

type
	^ 'checkbox'!

value: aBoolean 
	self attributes 
		at: 'checked'
		put: aBoolean! !
!WACheckboxTag categoriesFor: #after!private! !
!WACheckboxTag categoriesFor: #callback:!callbacks!public! !
!WACheckboxTag categoriesFor: #onTrue:onFalse:!attributes!public! !
!WACheckboxTag categoriesFor: #submitFormNamed:!public! !
!WACheckboxTag categoriesFor: #type!accessing!public! !
!WACheckboxTag categoriesFor: #value:!attributes!public! !

WAFileUploadTag guid: (GUID fromString: '{E7719CAD-F6D1-41F2-BD8D-C642A1E069E8}')!
WAFileUploadTag comment: 'I represent a file input element (<input type="file"). My callbacks will be evaluated with an instance of WAFile as an argument.'!
!WAFileUploadTag categoriesForClass!Unclassified! !
!WAFileUploadTag methodsFor!

accept: aString
	"This attribute specifies a comma-separated list of content types that a server processing this form will handle correctly. User agents may use this information to filter out non-conforming files when prompting a user to select files to be sent to the server"
	self attributes at: 'accept' put: aString!

callback: aBlock
	self name: (self storeCallback: (WAUploadCallback on: aBlock))!

on: aSelector of: anObject 
	self callback: (GRDelayedSend 
			receiver: anObject
			selector: aSelector asMutator)!

type
	^ 'file'! !
!WAFileUploadTag categoriesFor: #accept:!attributes!public! !
!WAFileUploadTag categoriesFor: #callback:!callbacks!public! !
!WAFileUploadTag categoriesFor: #on:of:!callbacks!public! !
!WAFileUploadTag categoriesFor: #type!accessing!public! !

WAHiddenInputTag guid: (GUID fromString: '{45E7A6BF-8A01-415F-A182-FA3E29B1D0A7}')!
WAHiddenInputTag comment: 'Authors may create controls that are not rendered but whose values are submitted with a form. Authors generally use this control type to store information between client/server exchanges that would otherwise be lost due to the stateless nature of HTTP (see [RFC2616]). The INPUT element is used to create a hidden control.'!
!WAHiddenInputTag categoriesForClass!Unclassified! !
!WAHiddenInputTag methodsFor!

type
	^ 'hidden'! !
!WAHiddenInputTag categoriesFor: #type!accessing!public! !

WARadioButtonTag guid: (GUID fromString: '{046DD52D-F2F4-49BF-B520-F1CC4EB5B027}')!
WARadioButtonTag comment: '
Radio buttons works like checkboxes. The difference is that radio buttons, when sharing a single control name, are exclusive. This means that only one of those radio buttons can be checked, and when it''s checked, the rest are automatically unchecked.

Radio buttons must be created through a radio group.

Example:
| group |
group := html radioGroup.
group radioButton
	selected: aBoolean;
	callback: [ self someThing ].'!
!WARadioButtonTag categoriesForClass!Unclassified! !
!WARadioButtonTag methodsFor!

beChecked
	self selected: true!

beUnchecked
	self selected: false!

callback: aBlock
	self attributes at: 'value' put: (self storeCallback: (WAValueCallback on: aBlock))!

checked: aBoolean
	self attributes 
		at: 'checked'
		put: aBoolean!

group
	^ group!

group: aRadioGroup
	self name: aRadioGroup key.
	group := aRadioGroup!

selected: aBoolean 
	self checked: aBoolean!

type
	^ 'radio'!

value: anObject
	group isNil
		ifTrue: [ ^ super value: anObject ].
	group hasSelection 
		ifTrue: [ self selected: (group isSelected: anObject) ].
	group hasCallback 
		ifTrue: [ super value: (group callbackValue: anObject) ]! !
!WARadioButtonTag categoriesFor: #beChecked!attributes!public! !
!WARadioButtonTag categoriesFor: #beUnchecked!attributes!public! !
!WARadioButtonTag categoriesFor: #callback:!callbacks!public! !
!WARadioButtonTag categoriesFor: #checked:!attributes!public! !
!WARadioButtonTag categoriesFor: #group!accessing!public! !
!WARadioButtonTag categoriesFor: #group:!accessing!public! !
!WARadioButtonTag categoriesFor: #selected:!attributes!public! !
!WARadioButtonTag categoriesFor: #type!accessing!public! !
!WARadioButtonTag categoriesFor: #value:!attributes!public! !

WASubmitButtonTag guid: (GUID fromString: '{9EB846CC-9D30-48E1-998C-124A9C881AA0}')!
WASubmitButtonTag comment: 'The submit type creates a button. When a submit button is pressed it automatically submits the form.'!
!WASubmitButtonTag categoriesForClass!Unclassified! !
!WASubmitButtonTag methodsFor!

callback: aNiladicValuable 
	aNiladicValuable argumentCount > 0 ifTrue: 
		[ GRInvalidArgumentCount signal: 'Submit buttons expect a niladic callback.' ].
	self name: (self storeCallback: (WAActionCallback on: aNiladicValuable))!

on: aSymbol of: anObject 
	self value: (self 
			labelForSelector: aSymbol
			of: anObject).
	self callback: (GRDelayedSend 
			receiver: anObject
			selector: aSymbol)!

type
	^ 'submit'!

with: anObject 
	anObject isNil ifFalse: [ self value: anObject greaseString ].
	super with: nil! !
!WASubmitButtonTag categoriesFor: #callback:!callbacks!public! !
!WASubmitButtonTag categoriesFor: #on:of:!callbacks!public! !
!WASubmitButtonTag categoriesFor: #type!accessing!public! !
!WASubmitButtonTag categoriesFor: #with:!public! !

WATextAreaTag guid: (GUID fromString: '{373CF475-DAD6-4B1C-B838-4CD675BA844E}')!
WATextAreaTag comment: 'I am a multi line text input widget. See WAInputTest >> #renderTextAreaWithExampleOn: for examples.'!
!WATextAreaTag categoriesForClass!Unclassified! !
!WATextAreaTag methodsFor!

columns: anInteger 
	"This attribute specifies the visible width in average character widths. User agents may wrap visible text lines to keep long lines visible without the need for scrolling."
	self attributes 
		at: 'cols'
		put: anInteger!

initialize
	super initialize.
	self rows: 'auto'; columns: 'auto'!

isClosed
	^ false!

rows: anInteger 
	"This attribute specifies the number of visible text lines. If more are entered, the widget scrolls."
	self attributes 
		at: 'rows'
		put: anInteger!

tag
	^ 'textarea'!

value
	^ value!

value: aString
	value := aString!

with: aBlock
	super with: (value ifNil: [ aBlock ])! !
!WATextAreaTag categoriesFor: #columns:!attributes!public! !
!WATextAreaTag categoriesFor: #initialize!initialization!public! !
!WATextAreaTag categoriesFor: #isClosed!public!testing! !
!WATextAreaTag categoriesFor: #rows:!attributes!public! !
!WATextAreaTag categoriesFor: #tag!accessing!public! !
!WATextAreaTag categoriesFor: #value!accessing!public! !
!WATextAreaTag categoriesFor: #value:!accessing!public! !
!WATextAreaTag categoriesFor: #with:!public! !

WATextInputTag guid: (GUID fromString: '{0A8389D4-0886-4AF0-92F8-54707A59E2DD}')!
WATextInputTag comment: 'I am a single line text input widget. See WAInputTest >> #renderTextInputWithExampleOn: for examples.'!
!WATextInputTag categoriesForClass!Unclassified! !
!WATextInputTag methodsFor!

maxLength: aNumber 
	"This attribute specifies the maximum number of characters the user may enter. This number may exceed the specified #size:, in which case the user agent should offer a scrolling mechanism. The default value for this attribute is an unlimited number."
	self attributes 
		at: 'maxlength'
		put: aNumber!

type
	^ 'text'!

with: anObject 
	anObject isNil ifFalse: [ self value: anObject greaseString ].
	super with: nil! !
!WATextInputTag categoriesFor: #maxLength:!attributes!public! !
!WATextInputTag categoriesFor: #type!accessing!public! !
!WATextInputTag categoriesFor: #with:!public! !

WAPasswordInputTag guid: (GUID fromString: '{4AB1E8D0-7D73-45F3-9AE6-55AF60517940}')!
WAPasswordInputTag comment: 'I am a password input widget that does not display the entered text.'!
!WAPasswordInputTag categoriesForClass!Unclassified! !
!WAPasswordInputTag methodsFor!

type
	^ 'password'! !
!WAPasswordInputTag categoriesFor: #type!accessing!public! !

WACancelButtonTag guid: (GUID fromString: '{5271767C-87BC-427C-B9E0-425E79AB1274}')!
WACancelButtonTag comment: ''!
!WACancelButtonTag categoriesForClass!Unclassified! !
!WACancelButtonTag methodsFor!

callback: aBlock
	self name: (self storeCallback: (WACancelActionCallback on: aBlock))! !
!WACancelButtonTag categoriesFor: #callback:!callbacks!public! !

WAImageButtonTag guid: (GUID fromString: '{C76D237D-3CCC-4BC9-A95C-3632D67F51D2}')!
WAImageButtonTag comment: '
Creates a graphical submit button. The value of the src attribute specifies the URI of the image that will decorate the button. For accessibility reasons, authors should provide alternate text for the image via the alt attribute. 

When a pointing device is used to click on the image, the form is submitted and the click coordinates passed to the server. The x value is measured in pixels from the left of the image, and the y value in pixels from the top of the image. The submitted data includes name.x=x-value and name.y=y-value where "name" is the value of the name attribute, and x-value and y-value are the x and y coordinate values, respectively.'!
!WAImageButtonTag categoriesForClass!Unclassified! !
!WAImageButtonTag methodsFor!

callback: aBlock
	self name: (self storeCallback: (WAImageCallback on: aBlock))!

document: aDocument
	self document: aDocument mimeType: nil!

document: aDocument mimeType: mimeType
	self document: aDocument mimeType: mimeType fileName: nil!

document: aDocument mimeType: mimeType fileName: fileName
	self url: (canvas context urlForDocument: aDocument mimeType: mimeType fileName: fileName)!

extent: aPoint
	self width: aPoint x; height: aPoint y!

height: aNumber
	self attributes at: 'height' put: aNumber!

resourceUrl: aString
	self url: (canvas absoluteUrlForResource: aString)!

type
	^ 'image'!

url: aString
	self attributes at: 'src' put: aString!

width: aNumber
	self attributes at: 'width' put: aNumber! !
!WAImageButtonTag categoriesFor: #callback:!callbacks!public! !
!WAImageButtonTag categoriesFor: #document:!accessing!public! !
!WAImageButtonTag categoriesFor: #document:mimeType:!accessing!public! !
!WAImageButtonTag categoriesFor: #document:mimeType:fileName:!accessing!public! !
!WAImageButtonTag categoriesFor: #extent:!attributes!public! !
!WAImageButtonTag categoriesFor: #height:!attributes!public! !
!WAImageButtonTag categoriesFor: #resourceUrl:!accessing!public! !
!WAImageButtonTag categoriesFor: #type!accessing!public! !
!WAImageButtonTag categoriesFor: #url:!attributes!public! !
!WAImageButtonTag categoriesFor: #width:!attributes!public! !

WAEditTag guid: (GUID fromString: '{19A571BB-5B76-4C8D-936F-53D4E210E2A6}')!
WAEditTag comment: '
INS and DEL are used to markup sections of the document that have been inserted or deleted with respect to a different version of a document (e.g., in draft legislation where lawmakers need to view the changes).

These two elements are unusual for HTML in that they may serve as either block-level or inline elements (but not both). They may contain one or more words within a paragraph or contain one or more block-level elements such as paragraphs, lists and tables.

This example could be from a bill to change the legislation for how many deputies a County Sheriff can employ from 3 to 5.

<P>
  A Sheriff can employ <DEL>3</DEL><INS>5</INS> deputies.
</P>

The INS and DEL elements must not contain block-level content when these elements behave as inline elements.'!
!WAEditTag categoriesForClass!Unclassified! !
!WAEditTag methodsFor!

cite: aUrl 
	"The value of this attribute is a URI that designates a source document or message. This attribute is intended to point to information explaining why a document was changed."
	self attributes 
		at: 'cite'
		put: aUrl!

datetime: anObject 
	"The value of this attribute specifies the date and time when the change was made.
	ISO date format"
	self attributes 
		at: 'datetime'
		put: anObject! !
!WAEditTag categoriesFor: #cite:!attributes!public! !
!WAEditTag categoriesFor: #datetime:!attributes!public! !

WATableColumnGroupTag guid: (GUID fromString: '{404D79EF-C623-4129-8998-934E6FA0B190}')!
WATableColumnGroupTag comment: 'WATableColumnGroupTag groups a set of col elements. It allows you to group several semantically related columns together.'!
!WATableColumnGroupTag categoriesForClass!Unclassified! !
!WATableColumnGroupTag methodsFor!

span: anInteger
	"This attribute must be an integer > 0; the default value is 1. This specifies the number of columns in a colgroup, or specifies the number of columns spanned by the col element."
	
	self attributes at: 'span' put: anInteger!

tag
	^ 'colgroup'!

width: anInteger
	"The width attribute specifies the width of the columns"
	
	self attributes at: 'width' put: anInteger! !
!WATableColumnGroupTag categoriesFor: #span:!attributes!public! !
!WATableColumnGroupTag categoriesFor: #tag!accessing!public! !
!WATableColumnGroupTag categoriesFor: #width:!attributes!public! !

WATableDataTag guid: (GUID fromString: '{EE978532-4D12-4926-AE24-A63526A529F6}')!
WATableDataTag comment: '
The WATableDataTag defines a cell in a table.

'!
!WATableDataTag categoriesForClass!Unclassified! !
!WATableDataTag methodsFor!

abbreviation: aString
	"This attribute should be used to provide an abbreviated form of the cell's content, and may be rendered by user agents when appropriate in place of the cell's content. Abbreviated names should be short since user agents may render them repeatedly. For instance, speech synthesizers may render the abbreviated headers relating to a particular cell before rendering that cell's content."
	
	self attributes at: 'abbr' put: aString!

axis: aString
	"This attribute may be used to place a cell into conceptual categories that can be considered to form axes in an n-dimensional space. User agents may give users access to these categories (e.g., the user may query the user agent for all cells that belong to certain categories, the user agent may present a table in the form of a table of contents, etc.). Please consult the section on categorizing cells for more information. The value of this attribute is a comma-separated list of category names."
	
	self attributes at: 'axis' put: aString!

colSpan: anInteger
	"This attribute specifies the number of columns spanned by the current cell. The default value of this attribute is one. The value zero means that the cell spans all columns from the current column to the last column of the column group (colgroup) in which the cell is defined."
	
	self attributes at: 'colspan' put: anInteger!

headers: aString
	"This attribute specifies the list of header cells that provide header information for the current data cell. The value of this attribute is a space-separated list of cell names; those cells must be named by setting their id attribute. Authors generally use the headers attribute to help non-visual user agents render header information about data cells (e.g., header information is spoken prior to the cell data), but the attribute may also be used in conjunction with style sheets. See also the scope attribute."
	
	self attributes at: 'headers' put: aString!

rowSpan: anInteger
	"This attribute specifies the number of rows spanned by the current cell. The default value of this attribute is one. The value zero means that the cell spans all rows from the current row to the last row of the current table section (rowgroup) in which the cell is defined. thead, tbody, and tfoot elements are rowgroups."
	
	self attributes at: 'rowspan' put: anInteger!

scope: aString
	"This attribute specifies the set of data cells for which the current header cell provides header information. This attribute may be used in place of the headers attribute, particularly for simple tables. When specified, this attribute must have one of the following values:

- row: The current cell provides header information for the rest of the row that contains it (see also the section on table directionality).
- col: The current cell provides header information for the rest of the column that contains it.
- rowgroup: The header cell provides header information for the rest of the row group that contains it.
- colgroup: The header cell provides header information for the rest of the column group that contains it."

	self attributes at: 'scope' put: aString!

tag
	^ 'td'! !
!WATableDataTag categoriesFor: #abbreviation:!attributes!public! !
!WATableDataTag categoriesFor: #axis:!attributes!public! !
!WATableDataTag categoriesFor: #colSpan:!attributes!public! !
!WATableDataTag categoriesFor: #headers:!attributes!public! !
!WATableDataTag categoriesFor: #rowSpan:!attributes!public! !
!WATableDataTag categoriesFor: #scope:!attributes!public! !
!WATableDataTag categoriesFor: #tag!accessing!public! !

WATableColumnTag guid: (GUID fromString: '{5925CEC1-C753-4CF1-A5C1-2B6BEF7C65F1}')!
WATableColumnTag comment: 'WATableColumnTag elements define the alignment properties for cells in one or more columns.'!
!WATableColumnTag categoriesForClass!Unclassified! !
!WATableColumnTag methodsFor!

isClosed
	^ true!

tag
	^ 'col'! !
!WATableColumnTag categoriesFor: #isClosed!public!testing! !
!WATableColumnTag categoriesFor: #tag!accessing!public! !

WATableHeadingTag guid: (GUID fromString: '{18CD9408-EFE0-464F-9793-159AE8D7C373}')!
WATableHeadingTag comment: 'The WATableHeadingTag defines a table header cell in a table. The text within the th element usually renders in bold.'!
!WATableHeadingTag categoriesForClass!Unclassified! !
!WATableHeadingTag methodsFor!

tag
	^ 'th'! !
!WATableHeadingTag categoriesFor: #tag!accessing!public! !

WACanvas guid: (GUID fromString: '{17393BFA-79D9-48B7-A135-E0EE9C848C63}')!
WACanvas comment: '
This is the superclass of all canvas. It''s a rendering interfact that generates brushes (see WABrush).

Subclass this class, if you want to generate an XML dialect.'!
!WACanvas categoriesForClass!Unclassified! !
!WACanvas methodsFor!

brush: aBrush
	self flush.
	currentBrush := aBrush.
	aBrush setParent: parentBrush canvas: self.
	^ aBrush!

flush
	super flush.
	currentBrush isNil
		ifTrue: [ ^ self ].
	currentBrush close.
	currentBrush := nil!

insert: aBlock
	| oldBrush |
	oldBrush := currentBrush.
	currentBrush := nil.
	aBlock value.
	self flush.
	currentBrush := oldBrush!

nest: aBlock
	parentBrush := currentBrush.
	currentBrush := nil.
	self render: aBlock.
	self flush.
	parentBrush := parentBrush parent!

render: anObject
	self flush.
	super render: anObject!

text: anObject
	self flush.
	super text: anObject! !
!WACanvas categoriesFor: #brush:!public! !
!WACanvas categoriesFor: #flush!private! !
!WACanvas categoriesFor: #insert:!private! !
!WACanvas categoriesFor: #nest:!private! !
!WACanvas categoriesFor: #render:!public! !
!WACanvas categoriesFor: #text:!public! !

WATagCanvas guid: (GUID fromString: '{EC314A3B-6D74-48AE-8A9E-264038BE1750}')!
WATagCanvas comment: ''!
!WATagCanvas categoriesForClass!Unclassified! !
!WATagCanvas methodsFor!

break
	self subclassResponsibility !

space
	self flush.
	self document nextPutAll: self spaceEntity!

space: anInteger
	anInteger timesRepeat: [ self space ]!

spaceEntity
	self subclassResponsibility !

tag: aString
	"Defines a generic tag with the name aString."

	^ self brush: (WAGenericTag tag: aString)!

tag: aString with: aBlock
	(self tag: aString) with: aBlock!

withLineBreaks: aString
	"Renders text preserving line breaks."
	| stream |
	stream := aString readStream.
	[ stream atEnd ] whileFalse: [
		self text: stream nextLine.
		stream atEnd ifFalse: [ self break ] ]! !
!WATagCanvas categoriesFor: #break!private! !
!WATagCanvas categoriesFor: #space!convenience!public! !
!WATagCanvas categoriesFor: #space:!convenience!public! !
!WATagCanvas categoriesFor: #spaceEntity!private! !
!WATagCanvas categoriesFor: #tag:!public! !
!WATagCanvas categoriesFor: #tag:with:!public! !
!WATagCanvas categoriesFor: #withLineBreaks:!convenience!public! !

WAHtmlCanvas guid: (GUID fromString: '{3E19E3F4-C4A6-4E51-9A4D-9E2A42A81273}')!
WAHtmlCanvas comment: 'This is an abstract canvas that knows about HTML but nothing about callbacks. Subclasses must implement #document.'!
!WAHtmlCanvas categoriesForClass!Unclassified! !
!WAHtmlCanvas methodsFor!

abbreviated
	"Defines an abbreviation, such as 'M.', 'Inc.', 'et al.', 'etc.'"

	^ self tag: 'abbr'!

abbreviated: aBlock
	self abbreviated with: aBlock!

acronym
	"Defines an acronym, such as 'GmbH', 'NATO', and 'F.B.I.'"

	^ self tag: 'acronym'!

acronym: aBlock
	self acronym with: aBlock!

address
	"Defines an address element."

	^ self tag: 'address'!

address: aBlock
	self address with: aBlock!

anchor
	"Defines an anchor."

	^ self brush: WAAnchorTag new!

anchor: aBlock
	self anchor with: aBlock!

basicForm
	^ self brush: WABasicFormTag new!

basicForm: aBlock
	self basicForm with: aBlock!

big
	"Defines big text."

	^ self tag: 'big'!

big: aBlock
	self big with: aBlock!

blockquote
	"Defines a long quotation."

	^ self tag: 'blockquote'!

blockquote: aBlock
	self blockquote with: aBlock!

break
	"Inserts a single line break."

	^ self brush: WABreakTag new!

citation
	"Defines a citation."

	^ self tag: 'cite'!

citation: aBlock
	self citation with: aBlock!

code
	"Defines computer code text."

	^ self tag: 'code'!

code: aBlock
	self code with: aBlock!

definition
	"Defines a definition term."

	^ self tag: 'dfn'!

definition: aBlock
	self definition with: aBlock!

definitionData
	"Defines a definition description."

	^ self tag: 'dd'!

definitionData: aBlock
	self definitionData with: aBlock!

definitionList
	"Defines a definition list."

	^ self tag: 'dl'!

definitionList: aBlock
	self definitionList with: aBlock!

definitionTerm
	"Defines a definition term."

	^ self tag: 'dt'!

definitionTerm: aBlock
	self definitionTerm with: aBlock!

deleted
	"Defines deleted text."

	^ self brush: (WAEditTag tag: 'del')!

deleted: aBlock
	self deleted with: aBlock!

div
	"Defines a section in a document."

	^ self brush: WADivTag new!

div: aBlock
	self div with: aBlock!

emphasis
	"Defines emphasized text."

	^ self tag: 'em'!

emphasis: aBlock
	self emphasis with: aBlock!

encodeCharacter: aCharacter 
	self html: '&#' , aCharacter greaseInteger greaseString , ';'!

fieldSet
	"Defines a fieldset."

	^ self brush: WAFieldSetTag new!

fieldSet: aBlock
	self fieldSet with: aBlock!

form
	"Defines a form."

	^ self basicForm!

form: aBlock
	self form with: aBlock!

heading
	"Defines header 1 to header 6."

	^ self brush: WAHeadingTag new!

heading: aBlock
	self heading with: aBlock!

heading: anObject level: anInteger 
	self 
		greaseDeprecatedApi: 'WAHtmlCanvas>>#heading:level:'
		details: 'Use WAHeadingTag>>level: and WAHeadingTag>>with:. For example: "html heading level: 1; with: ''some text''".'.
	self heading
		level: anInteger;
		with: anObject!

horizontalRule
	"Defines a horizontal rule."

	^ self brush: WAHorizontalRuleTag new!

html: aString 
	"Emit aString unescaped onto the target document."
	self flush.
	self document nextPutAll: aString greaseString!

iframe
	^ self brush: WAIframeTag new!

image
	"Defines an image."

	^ self brush: WAImageTag new!

image: aBlock
	self image with: aBlock!

inserted
	"Defines inserted text."

	^ self brush: (WAEditTag tag: 'ins')!

inserted: aBlock
	self inserted with: aBlock!

keyboard
	"Defines keyboard text."

	^ self tag: 'kbd'!

keyboard: aBlock
	self keyboard with: aBlock!

keyboardInput
	self 
		greaseDeprecatedApi: 'WAHtmlCanvas>>#keyboardInput'
		details: 'Use #keyboard.'.
	^ self keyboard!

keyboardInput: aBlock 
	self 
		greaseDeprecatedApi: 'WAHtmlCanvas>>#keyboardInput:'
		details: 'Use #keyboard:.'.
	self keyboard: aBlock!

label
	"Defines a label for a form control."

	^ self brush: WALabelTag new!

label: aBlock
	self label with: aBlock!

legend
	"Defines a title in a fieldset."

	^ self tag: 'legend'!

legend: aBlock
	self legend with: aBlock!

listItem
	"Defines a list item."

	^ self tag: 'li'!

listItem: aBlock
	self listItem with: aBlock!

map
	"Defines an anchor to be used around an image."

	^ self brush: WAImageMapTag new!

map: aBlock
	self map with: aBlock!

object
	"Defines an embedded object."

	^ self brush: WAObjectTag new!

object: aBlock
	self object with: aBlock!

orderedList
	"Defines an ordered list."

	^ self brush: WAOrderedListTag new!

orderedList: aBlock
	self orderedList with: aBlock!

paragraph
	"Defines a paragraph."

	^ self tag: 'p'!

paragraph: aBlock
	self paragraph with: aBlock!

parameter
	"Defines a parameter for an object."

	^ self brush: WAParameterTag new!

parameter: aBlock
	self parameter!

popupAnchor
	^ self brush: WAPopupAnchorTag new!

popupAnchor: aBlock
	self popupAnchor with: aBlock!

preformatted
	"Defines preformatted text."

	^ self tag: 'pre'!

preformatted: aBlock
	self preformatted with: aBlock!

quote
	"Defines a short quotation."

	^ self tag: 'q'!

quote: aBlock
	self quote with: aBlock!

ruby
	^ self tag: 'ruby'!

ruby: aBlock
	self ruby with: aBlock!

rubyBase
	^ self tag: 'rb'!

rubyBase: aBlock
	self rubyBase with: aBlock!

rubyBaseContainer
	^ self tag: 'rbc'!

rubyBaseContainer: aBlock
	self rubyBaseContainer with: aBlock!

rubyParentheses
	^ self tag: 'rp'!

rubyParentheses: aBlock
	self rubyParentheses with: aBlock!

rubyText
	^ self brush: WARubyTextTag new!

rubyText: aBlock
	self rubyText with: aBlock!

rubyTextContainer
	^ self tag: 'rtc'!

rubyTextContainer: aBlock
	self rubyTextContainer with: aBlock!

sample
	"Defines sample computer code."

	^ self tag: 'samp'!

sample: aBlock
	self sample with: aBlock!

sampleOutput
	self 
		greaseDeprecatedApi: 'WAHtmlCanvas>>#sampleOutput'
		details: 'Use #sample.'.
	^ self sample!

sampleOutput: aBlock 
	self 
		greaseDeprecatedApi: 'WAHtmlCanvas>>#sampleOutput:'
		details: 'Use #sample:.'.
	self sample: aBlock!

script
	"Defines a script."

	^ self brush: WAScriptTag new!

script: aBlock
	self script with: aBlock!

small
	"Defines small text."

	^ self tag: 'small'!

small: aBlock
	self small with: aBlock!

spaceEntity
	"The HTML entity representing a space. To be subclassed as needed."

	^ '&nbsp;'!

span
	"Defines a section in a document."

	^ self tag: 'span'!

span: aBlock
	self span with: aBlock!

strong
	"Defines strong text."

	^ self tag: 'strong'!

strong: aBlock
	self strong with: aBlock!

subscript
	"Defines subscripted text."

	^ self tag: 'sub'!

subscript: aBlock
	self subscript with: aBlock!

superscript
	"Defines superscripted text."

	^ self tag: 'sup'!

superscript: aBlock
	self superscript with: aBlock!

table
	"Defines a table."

	^ self brush: WATableTag new!

table: aBlock
	self table with: aBlock!

tableBody
	"Defines a table body."

	^ self tag: 'tbody'!

tableBody: aBlock
	self tableBody with: aBlock!

tableCaption
	"Defines a table caption."

	^ self tag: 'caption'!

tableCaption: aBlock
	self tableCaption with: aBlock!

tableColumn
	"Defines attributes for table columns."

	^ self brush: WATableColumnTag new!

tableColumn: aBlock
	self tableColumn with: aBlock!

tableColumnGroup
	"Defines groups of table columns."

	^ self brush: WATableColumnGroupTag new!

tableColumnGroup: aBlock
	self tableColumnGroup with: aBlock!

tableData
	"Defines a table cell."

	^ self brush: WATableDataTag new!

tableData: aBlock
	self tableData with: aBlock!

tableFoot
	"Defines a table footer."

	^ self tag: 'tfoot'!

tableFoot: aBlock
	^ self tableFoot with: aBlock!

tableHead
	"Defines a table header."

	^ self tag: 'thead'!

tableHead: aBlock
	self tableHead with: aBlock!

tableHeading
	"Defines a table header."

	^ self brush: WATableHeadingTag new!

tableHeading: aBlock
	self tableHeading with: aBlock!

tableRow
	"Defines a table row."

	^ self tag: 'tr'!

tableRow: aBlock
	self tableRow with: aBlock!

teletype
	"Defines teletype text."

	^ self tag: 'tt'!

teletype: aBlock
	self teletype with: aBlock!

textArea
	^ self brush: WATextAreaTag new!

unorderedList
	"Defines an unordered list."

	^ self brush: WAUnorderedListTag new!

unorderedList: aBlock
	self unorderedList with: aBlock!

variable
	"Defines a variable."

	^ self tag: 'var'!

variable: aBlock
	self variable with: aBlock!

withLineBreaksAndUrls: aString
	| stream |
	aString ifNil: [^ self].
	stream := aString readStream.
	[stream atEnd] whileFalse:
		[self withUrls: stream nextLine.
		stream atEnd ifFalse: [self break]]!

withUrls: aString 
	| stream url |
	stream := aString readStream.
	[ stream atEnd ] whileFalse: 
		[ self text: (stream greaseUpToAll: 'http://').
		stream atEnd ifFalse: 
			[ url := 'http://' , (stream upTo: Character space).
			self anchor
				url: url;
				with: url.
			self text: ' ' ] ]! !
!WAHtmlCanvas categoriesFor: #abbreviated!public!tags-block! !
!WAHtmlCanvas categoriesFor: #abbreviated:!public!tags-block! !
!WAHtmlCanvas categoriesFor: #acronym!public!tags-block! !
!WAHtmlCanvas categoriesFor: #acronym:!public!tags-block! !
!WAHtmlCanvas categoriesFor: #address!public!tags-block! !
!WAHtmlCanvas categoriesFor: #address:!public!tags-block! !
!WAHtmlCanvas categoriesFor: #anchor!public!tags-input! !
!WAHtmlCanvas categoriesFor: #anchor:!public!tags-input! !
!WAHtmlCanvas categoriesFor: #basicForm!public!tags-input! !
!WAHtmlCanvas categoriesFor: #basicForm:!public!tags-input! !
!WAHtmlCanvas categoriesFor: #big!public!tags-format! !
!WAHtmlCanvas categoriesFor: #big:!public!tags-format! !
!WAHtmlCanvas categoriesFor: #blockquote!public!tags-block! !
!WAHtmlCanvas categoriesFor: #blockquote:!public!tags-block! !
!WAHtmlCanvas categoriesFor: #break!public!tags! !
!WAHtmlCanvas categoriesFor: #citation!public!tags-block! !
!WAHtmlCanvas categoriesFor: #citation:!public!tags-block! !
!WAHtmlCanvas categoriesFor: #code!public!tags-output! !
!WAHtmlCanvas categoriesFor: #code:!public!tags-output! !
!WAHtmlCanvas categoriesFor: #definition!public!tags-output! !
!WAHtmlCanvas categoriesFor: #definition:!public!tags-output! !
!WAHtmlCanvas categoriesFor: #definitionData!public!tags-lists! !
!WAHtmlCanvas categoriesFor: #definitionData:!public!tags-lists! !
!WAHtmlCanvas categoriesFor: #definitionList!public!tags-lists! !
!WAHtmlCanvas categoriesFor: #definitionList:!public!tags-lists! !
!WAHtmlCanvas categoriesFor: #definitionTerm!public!tags-lists! !
!WAHtmlCanvas categoriesFor: #definitionTerm:!public!tags-lists! !
!WAHtmlCanvas categoriesFor: #deleted!public!tags-block! !
!WAHtmlCanvas categoriesFor: #deleted:!public!tags-block! !
!WAHtmlCanvas categoriesFor: #div!public!tags-styles! !
!WAHtmlCanvas categoriesFor: #div:!public!tags-styles! !
!WAHtmlCanvas categoriesFor: #emphasis!public!tags-format! !
!WAHtmlCanvas categoriesFor: #emphasis:!public!tags-format! !
!WAHtmlCanvas categoriesFor: #encodeCharacter:!convenience!public! !
!WAHtmlCanvas categoriesFor: #fieldSet!public!tags-input! !
!WAHtmlCanvas categoriesFor: #fieldSet:!public!tags-input! !
!WAHtmlCanvas categoriesFor: #form!public!tags-input! !
!WAHtmlCanvas categoriesFor: #form:!public!tags-input! !
!WAHtmlCanvas categoriesFor: #heading!public!tags! !
!WAHtmlCanvas categoriesFor: #heading:!public!tags! !
!WAHtmlCanvas categoriesFor: #heading:level:!public! !
!WAHtmlCanvas categoriesFor: #horizontalRule!public!tags! !
!WAHtmlCanvas categoriesFor: #html:!public! !
!WAHtmlCanvas categoriesFor: #iframe!public!tags-transitional! !
!WAHtmlCanvas categoriesFor: #image!public!tags-images! !
!WAHtmlCanvas categoriesFor: #image:!public!tags-images! !
!WAHtmlCanvas categoriesFor: #inserted!public!tags-block! !
!WAHtmlCanvas categoriesFor: #inserted:!public!tags-block! !
!WAHtmlCanvas categoriesFor: #keyboard!public!tags-output! !
!WAHtmlCanvas categoriesFor: #keyboard:!public!tags-output! !
!WAHtmlCanvas categoriesFor: #keyboardInput!public! !
!WAHtmlCanvas categoriesFor: #keyboardInput:!public! !
!WAHtmlCanvas categoriesFor: #label!public!tags-input! !
!WAHtmlCanvas categoriesFor: #label:!public!tags-input! !
!WAHtmlCanvas categoriesFor: #legend!public!tags-input! !
!WAHtmlCanvas categoriesFor: #legend:!public!tags-input! !
!WAHtmlCanvas categoriesFor: #listItem!public!tags-lists! !
!WAHtmlCanvas categoriesFor: #listItem:!public!tags-lists! !
!WAHtmlCanvas categoriesFor: #map!public!tags-images! !
!WAHtmlCanvas categoriesFor: #map:!public!tags-images! !
!WAHtmlCanvas categoriesFor: #object!public!tags-program! !
!WAHtmlCanvas categoriesFor: #object:!public!tags-program! !
!WAHtmlCanvas categoriesFor: #orderedList!public!tags-lists! !
!WAHtmlCanvas categoriesFor: #orderedList:!public!tags-lists! !
!WAHtmlCanvas categoriesFor: #paragraph!public!tags! !
!WAHtmlCanvas categoriesFor: #paragraph:!public!tags! !
!WAHtmlCanvas categoriesFor: #parameter!public!tags-program! !
!WAHtmlCanvas categoriesFor: #parameter:!public!tags-program! !
!WAHtmlCanvas categoriesFor: #popupAnchor!public!tags-input! !
!WAHtmlCanvas categoriesFor: #popupAnchor:!public!tags-input! !
!WAHtmlCanvas categoriesFor: #preformatted!public!tags-output! !
!WAHtmlCanvas categoriesFor: #preformatted:!public!tags-output! !
!WAHtmlCanvas categoriesFor: #quote!public!tags-block! !
!WAHtmlCanvas categoriesFor: #quote:!public!tags-block! !
!WAHtmlCanvas categoriesFor: #ruby!public!tags-ruby! !
!WAHtmlCanvas categoriesFor: #ruby:!public!tags-ruby! !
!WAHtmlCanvas categoriesFor: #rubyBase!public!tags-ruby! !
!WAHtmlCanvas categoriesFor: #rubyBase:!public!tags-ruby! !
!WAHtmlCanvas categoriesFor: #rubyBaseContainer!public!tags-ruby! !
!WAHtmlCanvas categoriesFor: #rubyBaseContainer:!public!tags-ruby! !
!WAHtmlCanvas categoriesFor: #rubyParentheses!public!tags-ruby! !
!WAHtmlCanvas categoriesFor: #rubyParentheses:!public!tags-ruby! !
!WAHtmlCanvas categoriesFor: #rubyText!public!tags-ruby! !
!WAHtmlCanvas categoriesFor: #rubyText:!public!tags-ruby! !
!WAHtmlCanvas categoriesFor: #rubyTextContainer!public!tags-ruby! !
!WAHtmlCanvas categoriesFor: #rubyTextContainer:!public!tags-ruby! !
!WAHtmlCanvas categoriesFor: #sample!public!tags-output! !
!WAHtmlCanvas categoriesFor: #sample:!public!tags-output! !
!WAHtmlCanvas categoriesFor: #sampleOutput!public! !
!WAHtmlCanvas categoriesFor: #sampleOutput:!public! !
!WAHtmlCanvas categoriesFor: #script!public!tags-program! !
!WAHtmlCanvas categoriesFor: #script:!public!tags-program! !
!WAHtmlCanvas categoriesFor: #small!public!tags-format! !
!WAHtmlCanvas categoriesFor: #small:!public!tags-format! !
!WAHtmlCanvas categoriesFor: #spaceEntity!private! !
!WAHtmlCanvas categoriesFor: #span!public!tags-styles! !
!WAHtmlCanvas categoriesFor: #span:!public!tags-styles! !
!WAHtmlCanvas categoriesFor: #strong!public!tags-format! !
!WAHtmlCanvas categoriesFor: #strong:!public!tags-format! !
!WAHtmlCanvas categoriesFor: #subscript!public!tags-format! !
!WAHtmlCanvas categoriesFor: #subscript:!public!tags-format! !
!WAHtmlCanvas categoriesFor: #superscript!public!tags-format! !
!WAHtmlCanvas categoriesFor: #superscript:!public!tags-format! !
!WAHtmlCanvas categoriesFor: #table!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #table:!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableBody!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableBody:!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableCaption!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableCaption:!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableColumn!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableColumn:!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableColumnGroup!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableColumnGroup:!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableData!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableData:!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableFoot!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableFoot:!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableHead!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableHead:!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableHeading!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableHeading:!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableRow!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #tableRow:!public!tags-tables! !
!WAHtmlCanvas categoriesFor: #teletype!public!tags-output! !
!WAHtmlCanvas categoriesFor: #teletype:!public!tags-output! !
!WAHtmlCanvas categoriesFor: #textArea!public!tags-input! !
!WAHtmlCanvas categoriesFor: #unorderedList!public!tags-lists! !
!WAHtmlCanvas categoriesFor: #unorderedList:!public!tags-lists! !
!WAHtmlCanvas categoriesFor: #variable!public!tags-output! !
!WAHtmlCanvas categoriesFor: #variable:!public!tags-output! !
!WAHtmlCanvas categoriesFor: #withLineBreaksAndUrls:!convenience!public! !
!WAHtmlCanvas categoriesFor: #withUrls:!convenience!public! !

!WAHtmlCanvas class methodsFor!

builder
	^ super builder
			rootClass: WAHtmlRoot;
			documentClass: WAHtmlDocument;
			yourself! !
!WAHtmlCanvas class categoriesFor: #builder!instance creation!public! !

WAXmlCanvas guid: (GUID fromString: '{42F9D8AD-3D30-4297-81E6-DA3FCA1CAB03}')!
WAXmlCanvas comment: 'This is an abstract canvas base class for build canvas for custom XML dialects.'!
!WAXmlCanvas categoriesForClass!Unclassified! !
!WAXmlCanvas methodsFor!

break
	^ String with: Character cr with: Character lf!

cdata: aString
	"aString must not include ']]>'
	
	Google says if there is an error in the feed, there is a 0.02% chance
	that this is the cause, combined with the fact that about 7% of all feeds
	have errors there is a (2 / 10000) * (7 / 100) chance this goes wrong.
	Do you deal in chance?
	
	http://googlereader.blogspot.com/2005/12/xml-errors-in-feeds.html"
	self flush.
	self document nextPutAll: '<!![CDATA['.
	self document nextPutAll: aString.
	self document nextPutAll: ']]>'!

spaceEntity
	^'&#160;'! !
!WAXmlCanvas categoriesFor: #break!private! !
!WAXmlCanvas categoriesFor: #cdata:!convenience!public! !
!WAXmlCanvas categoriesFor: #spaceEntity!private! !

WARenderCanvas guid: (GUID fromString: '{6277EDEA-1543-4927-89CA-37AE3345BDFE}')!
WARenderCanvas comment: 'This canvas knows about callbacks and is intertwined with the rest of the framework.'!
!WARenderCanvas categoriesForClass!Unclassified! !
!WARenderCanvas methodsFor!

button
	^ self brush: WAButtonTag new!

button: anObject
	^ self button with: anObject!

cancelButton
	^ self brush: WACancelButtonTag new!

cancelButton: anObject
	^ self cancelButton with: anObject!

checkbox
	^ self brush: WACheckboxTag new!

dateInput
	^ self brush: WADateInput new!

fileUpload
	^ self brush: WAFileUploadTag new!

form
	^ self brush: WAFormTag new!

hiddenInput
	^ self brush: WAHiddenInputTag new!

imageButton
	^ self brush: WAImageButtonTag new!

imageButton: anObject
	^ self imageButton with: anObject!

keyGenerator
	^ self brush: WAKeyGeneratorTag new!

multiSelect
	^ self brush: WAMultiSelectTag new!

multiSelect: aBlock
	^ self multiSelect with: aBlock!

option
	^ self brush: WAOptionTag new!

option: aBlock
	^ self option with: aBlock!

optionGroup
	^ self brush: WAOptionGroupTag new!

optionGroup: aBlock
	^ self optionGroup with: aBlock!

painter
	self 
		greaseDeprecatedApi: 'WARenderCanvas>>#painter'
		details: 'This is not needed anymore.'!

passwordInput
	^ self brush: WAPasswordInputTag new!

passwordInput: anObject
	^ self passwordInput with: anObject!

radioButton
	^ self brush: WARadioButtonTag new!

radioButton: aBlock
	^ self radioButton with: aBlock!

radioGroup
	^ WARadioGroup canvas: self!

radioGroup: aBlock
	^ aBlock value: self radioGroup!

select
	^ self brush: WASelectTag new!

select: aBlock
	^ self select with: aBlock!

submitButton
	^ self brush: WASubmitButtonTag new!

submitButton: anObject
	^ self submitButton with: anObject!

textArea: anObject
	^ self textArea with: anObject!

textInput
	^ self brush: WATextInputTag new!

textInput: anObject
	^ self textInput with: anObject!

timeInput
	^ self brush: WATimeInput new! !
!WARenderCanvas categoriesFor: #button!form-buttons!public! !
!WARenderCanvas categoriesFor: #button:!form-buttons!public! !
!WARenderCanvas categoriesFor: #cancelButton!form-buttons!public! !
!WARenderCanvas categoriesFor: #cancelButton:!form-buttons!public! !
!WARenderCanvas categoriesFor: #checkbox!form-elements!public! !
!WARenderCanvas categoriesFor: #dateInput!form-elements!public! !
!WARenderCanvas categoriesFor: #fileUpload!form-elements!public! !
!WARenderCanvas categoriesFor: #form!form!public! !
!WARenderCanvas categoriesFor: #hiddenInput!form-elements!public! !
!WARenderCanvas categoriesFor: #imageButton!form-buttons!public! !
!WARenderCanvas categoriesFor: #imageButton:!form-buttons!public! !
!WARenderCanvas categoriesFor: #keyGenerator!form-elements!public! !
!WARenderCanvas categoriesFor: #multiSelect!form-elements!public! !
!WARenderCanvas categoriesFor: #multiSelect:!form-elements!public! !
!WARenderCanvas categoriesFor: #option!form-elements!public! !
!WARenderCanvas categoriesFor: #option:!form-elements!public! !
!WARenderCanvas categoriesFor: #optionGroup!form-elements!public! !
!WARenderCanvas categoriesFor: #optionGroup:!form-elements!public! !
!WARenderCanvas categoriesFor: #painter!public! !
!WARenderCanvas categoriesFor: #passwordInput!form-elements!public! !
!WARenderCanvas categoriesFor: #passwordInput:!form-elements!public! !
!WARenderCanvas categoriesFor: #radioButton!form-elements!public! !
!WARenderCanvas categoriesFor: #radioButton:!form-elements!public! !
!WARenderCanvas categoriesFor: #radioGroup!form-elements!public! !
!WARenderCanvas categoriesFor: #radioGroup:!form-elements!public! !
!WARenderCanvas categoriesFor: #select!form-elements!public! !
!WARenderCanvas categoriesFor: #select:!form-elements!public! !
!WARenderCanvas categoriesFor: #submitButton!form-buttons!public! !
!WARenderCanvas categoriesFor: #submitButton:!form-buttons!public! !
!WARenderCanvas categoriesFor: #textArea:!form-elements!public! !
!WARenderCanvas categoriesFor: #textInput!form-elements!public! !
!WARenderCanvas categoriesFor: #textInput:!form-elements!public! !
!WARenderCanvas categoriesFor: #timeInput!form-elements!public! !

!WARenderCanvas class methodsFor!

initialize
	self selectAsDefault!

unload
	self unselectAsDefault! !
!WARenderCanvas class categoriesFor: #initialize!class initialization!public! !
!WARenderCanvas class categoriesFor: #unload!class initialization!public! !

"Binary Globals"!

