| package |
package := Package name: 'Seaside-Dolphin-Environment'.
package paxVersion: 1;
	basicComment: ''.

package basicPackageVersion: '6'.


package classNames
	add: #WAHtmlHaltAndErrorHandler;
	yourself.

package methodNames
	add: 'GRPackage class' -> #seasideDolphinEnvironment;
	yourself.

package binaryGlobalNames: (Set new
	yourself).

package globalAliases: (Set new
	yourself).

package setPrerequisites: (IdentitySet new
	add: '..\Grease\Grease-Core';
	add: 'Seaside-Environment';
	yourself).

package!

"Class Definitions"!

WAHtmlErrorHandler subclass: #WAHtmlHaltAndErrorHandler
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!

"Global Aliases"!


"Loose Methods"!

!GRPackage class methodsFor!

seasideDolphinEnvironment
	^ self new
		name: 'Seaside-Dolphin-Environment';
		addDependency: 'Seaside-Environment';
		addDependency: 'Seaside-Dolphin-Core';
		url: #seasideUrl;
		yourself! !
!GRPackage class categoriesFor: #seasideDolphinEnvironment!*seaside-pharo-environment!public! !

"End of package definition"!

"Source Globals"!

"Classes"!

WAHtmlHaltAndErrorHandler guid: (GUID fromString: '{59836E2C-B1CE-40B6-B663-AD6E4322E9D3}')!
WAHtmlHaltAndErrorHandler comment: '
This exception handler also catches halts, in order to prevent Debugger windows from popping up and blocking server processes in deployed images.

Subclass this to provide a customized response or more advanced handling (e.g. emailing of errors).'!
!WAHtmlHaltAndErrorHandler categoriesForClass!Unclassified! !
!WAHtmlHaltAndErrorHandler class methodsFor!

exceptionSelector
	#toDo. "Wee need halt as a first class Object?"
	^ super exceptionSelector ", Halt"! !
!WAHtmlHaltAndErrorHandler class categoriesFor: #exceptionSelector!exception handling!public! !

"Binary Globals"!

