| package |
package := Package name: 'Seaside-Dolphin-Extensions'.
package paxVersion: 1;
	basicComment: ''.


package classNames
	add: #JQLightbox;
	yourself.

package methodNames
	add: #WAComponent -> #jQueryLightbox:;
	add: #WAComponent -> #jQueryLightbox:onAnswer:;
	yourself.

package binaryGlobalNames: (Set new
	yourself).

package globalAliases: (Set new
	yourself).

package setPrerequisites: (IdentitySet new
	add: 'Seaside-Component';
	yourself).

package!

"Class Definitions"!

WADecoration subclass: #JQLightbox
	instanceVariableNames: 'delegate'
	classVariableNames: ''
	poolDictionaries: ''
	classInstanceVariableNames: ''!

"Global Aliases"!


"Loose Methods"!

!WAComponent methodsFor!

jQueryLightbox: aComponent 
	"Display aComponent within a JQuerylightbox of the receiver.
	Note, that this does a full refresh displaying the lightbox.
	Also note, that this only works well, if you sent to the root component of your application."

	"This is  NOT MODAL"
	^self jQueryLightbox: aComponent onAnswer: [:v | ]!

jQueryLightbox: aComponent onAnswer: aMonadicValuable

	^self 
		show: aComponent
		onAnswer: aMonadicValuable
		delegation: ((JQLightbox new)
				delegate: aComponent;
				yourself)! !
!WAComponent categoriesFor: #jQueryLightbox:!*scriptaculous-components-call/answer!public! !
!WAComponent categoriesFor: #jQueryLightbox:onAnswer:!public! !

"End of package definition"!

"Source Globals"!

"Classes"!

JQLightbox guid: (GUID fromString: '{927835A4-C193-46E3-9FBD-0AF8C8ECAFBC}')!
JQLightbox comment: ''!
!JQLightbox categoriesForClass!Unclassified! !
!JQLightbox methodsFor!

children
	^ super children copyWith: self delegate!

delegate
	^ delegate!

delegate: aComponent
	delegate := aComponent!

isDelegation
	^ true!

renderContentOn: html 
	"Under test and use with caution."

	| id |
	super renderContentOn: html.
	(html div)
		id: (id := html nextId);
		script: ((html jQuery new dialog)
					html: self delegate;
					resizable: false;
					modal: true;
					title: 'Please answer';
					autoOpen: true)!

style
	"Remove the close X in the title bar of the dialog."

	^'.ui-dialog-titlebar-close{
    display: none;
}'! !
!JQLightbox categoriesFor: #children!accessing!public! !
!JQLightbox categoriesFor: #delegate!accessing!public! !
!JQLightbox categoriesFor: #delegate:!accessing!public! !
!JQLightbox categoriesFor: #isDelegation!public! !
!JQLightbox categoriesFor: #renderContentOn:!public! !
!JQLightbox categoriesFor: #style!accessing-scripts!public! !

"Binary Globals"!

